using System;
using System.Collections.Generic;

namespace com.vip.category.service{
	
	
	public interface CategoryPublishService {
		
		
		void addTagLog( string userId_,   int? tagGroupSn_,   int? tagSn_,   long? operateTime_,   int? operateType_,   string operateDesc_ );
		
		List<com.vip.category.service.CategoryAttributes> batchSaveCategoryAttributeList( List<com.vip.category.service.CategoryAttributes> categoryAttributesList_,   string operator_,   string appId_ );
		
		List<com.vip.category.service.CategoryExchangedReason> batchSaveCategoryExchangedReasonList( List<com.vip.category.service.CategoryExchangedReason> categoryReasonList_,   string operator_,   string appId_ );
		
		List<com.vip.category.service.CategoryIdMapping> batchSaveCategoryIdMappingList( List<com.vip.category.service.CategoryIdMapping> categoryIdMappingList_,   string appId_,   string userId_ );
		
		List<com.vip.category.service.CategoryMigratePlan> batchSaveCategoryMigratePlanList( List<com.vip.category.service.CategoryMigratePlan> categoryMigratePlanList_,   string appId_,   string userId_ );
		
		List<com.vip.category.service.CategoryQualificationResult> batchSaveCategoryQualification( List<com.vip.category.service.CategoryQualification> categoryQualificationList_,   string appId_,   string userId_ );
		
		Dictionary<int?, com.vip.category.service.ErrorCodeMessage> batchSaveCategoryQuestionAnswerList( com.vip.category.service.ReqContext reqContext_,   List<com.vip.category.service.CategoryQuestionAnswerModel> questionAnswerList_ );
		
		List<com.vip.category.service.CategorySizetableConfigs> batchSaveCategorySizeTableConfigs( List<com.vip.category.service.CategorySizetableConfigs> categorySizeConfigsList_,   string operator_,   string appId_ );
		
		List<com.vip.category.service.CategoryVersion> batchSaveCategoryVersionList( List<com.vip.category.service.CategoryVersion> categoryVersionList_,   string appId_,   string userId_ );
		
		bool? checkHasCategoryJdMapping( int categoryId_,   List<com.vip.category.service.AttrOptId> attrOptIdList_,   string appId_ );
		
		List<com.vip.category.service.TagCanUsed> checkTagsUsed( List<int?> tagSnList_,   com.vip.category.service.UsedType? usedType_,   string userCode_,   string appId_ );
		
		long? countExchangedReasonListByCritra( com.vip.category.service.ExchangedReasonParam exchangedReasonParam_,   string appId_ );
		
		bool? deleteCategoryQualification( int categoryId_,   long qualificationId_,   string appId_,   string userId_ );
		
		bool? deleteQualificationById( long qualificationId_,   string appId_,   string userId_ );
		
		List<int?> getAllCategoryMigratePlan( string appId_ );
		
		int? getAttributeOptionId( int categoryId_,   int attributeId_,   string optionName_,   int? brandId_ );
		
		com.vip.category.service.AttributeOptionsReturn getAttributeOptionsByPagination( int? attributeId_,   int curPage_,   int pageSize_,   string appId_ );
		
		com.vip.category.service.AttributesReturn getAttributesByPagination( int curPage_,   int pageSize_,   string appId_ );
		
		List<com.vip.category.service.TagCategoryBinding> getBindingCategoryByTagSn( int? tagSn_,   string appId_ );
		
		List<com.vip.category.service.TagInfo> getCanUsedTagsByTagType( com.vip.category.service.TagType? tagType_,   com.vip.category.service.UsedType? usedType_,   string userCode_,   byte? identifier_ );
		
		com.vip.category.service.CategoriesQueryResponse getCategoriesByCritra( com.vip.category.service.CategoriesQueryRequest categoriesQueryRequest_,   string appId_ );
		
		com.vip.category.service.CategoriesQueryResponse getCategoriesByReasonId( long? reasonId_,   int pageNo_,   int pageSize_,   string appId_ );
		
		List<com.vip.category.service.Category> getCategoryByName( string name_,   int? hierarchyId_,   int limit_,   bool onlyLeaf_,   string appId_ );
		
		com.vip.category.service.CategoryIdMappingResponse getCategoryIdMappingByCriteria( int? preCategoryId_,   int? newCategoryId_,   int? pageNo_,   int? pageSize_,   string appId_ );
		
		com.vip.category.service.CategoryMigratePlanResponse getCategoryMigratePlanByCriteria( int? categoryId_,   int? isEnable_,   int? pageNo_,   int? pageSize_,   string appId_ );
		
		com.vip.category.service.CategoryQualificationReturn getCategoryQualificationByCriteria( int? categoryId_,   string categoryName_,   long? qualificationId_,   int curPage_,   int pageSize_,   string appId_ );
		
		com.vip.category.service.QuestionAnswerReturn getCategoryQuestionAnswerListByCriteria( com.vip.category.service.ReqContext reqContext_,   com.vip.category.service.CommonSearchParam commonSearchParam_ );
		
		Dictionary<int?, com.vip.category.service.CategoryQuestionAnswer> getCategoryQuestionAnswerListByIds( com.vip.category.service.ReqContext reqContext_,   List<int?> categoryIdList_ );
		
		List<com.vip.category.service.CategorySizetableConfigs> getCategorySizeTableConfigsList( List<int?> categoryIdSet_,   string appId_ );
		
		List<com.vip.category.service.CategorySizetableConfigs> getCategorySizeTableListByPagination( int maxCategoryId_,   int curPage_,   int pageSize_,   string appId_ );
		
		com.vip.category.service.Category getDeduceCategory( int hierarchyId_,   int publishCategoryId_,   long dateTime_,   string appId_ );
		
		List<com.vip.category.service.ExchangedSeason> getExchangedReasonListByCritra( com.vip.category.service.ExchangedReasonParam exchangedReasonParam_,   int curPage_,   int pageSize_,   string appId_ );
		
		List<com.vip.category.service.OperateGroup> getOperateGroupList( List<int?> operateGroupSnList_,   byte? identifier_,   string appId_ );
		
		com.vip.category.service.QualificationsReturn getQualificationByCategoryId( int? categoryId_,   string categoryName_,   int curPage_,   int pageSize_,   string appId_ );
		
		com.vip.category.service.QualificationsReturn getQualificationByCriteria( long? qualificationId_,   string qualificationName_,   int curPage_,   int pageSize_,   string appId_ );
		
		List<com.vip.category.service.TagInfo> getTagBySnList( List<int?> tagSnList_,   byte? identifier_ );
		
		com.vip.category.service.TagGroup getTagGroupByGroupSn( int tagGroupSn_,   string appId_ );
		
		List<com.vip.category.service.TagGroup> getTagGroupByName( string tagGroupName_,   byte? identifier_,   int curPage_,   int pageSize_,   string appId_ );
		
		List<com.vip.category.service.TagLogger> getTagLogger( int? tagGroupSn_,   int? tagSn_,   string appId_ );
		
		List<com.vip.category.service.TagInfo> getTagsByTagType( com.vip.category.service.TagType? tagType_,   int curPage_,   int pageSize_,   byte? identifier_ );
		
		com.vip.category.service.CategoryUpdates getUpdatedPublishCategories( long sinceUpdateTime_,   int hierarchyId_,   int? pageNum_,   int? pageSize_ );
		
		com.vip.hermes.core.health.CheckResult healthCheck();
		
		void insertCustomOption( com.vip.category.service.CategoryStandard categoryStandard_ );
		
		com.vip.category.service.CategoryAttrOptIds parseAttributesForJd( int categoryId_,   List<com.vip.category.service.AttrOptId> attrOptIdList_,   string appId_,   long? jdStoreId_ );
		
		com.vip.category.service.ExchangedSeason saveExchangedReason( com.vip.category.service.ExchangedSeason exchangedSeason_,   string operator_,   string appId_ );
		
		com.vip.category.service.Qualification saveQualification( com.vip.category.service.Qualification qualification_,   string appId_,   string userId_ );
		
		com.vip.category.service.TagResult saveTag( com.vip.category.service.Tag tag_,   string appId_,   string userId_ );
		
		com.vip.category.service.TagResult saveTagEx( com.vip.category.service.TagEx tagEx_,   string appId_ );
		
		com.vip.category.service.TagGroupResult saveTagGroup( com.vip.category.service.TagGroup tagGroup_,   string appId_,   string userId_ );
		
		List<com.vip.category.service.TagUpdatedResult> updatedTagStatusByCriteria( List<int?> tagGroupSnList_,   List<int?> tagSnList_,   com.vip.category.service.Status? status_,   string appId_,   string userId_ );
		
	}
	
}