using System;

namespace com.vip.category.service{
	
	
	public enum TagType {
		
		
		///<summary>
		/// 商品标签
		///</summary>
		Product_tag = 0, 
		
		///<summary>
		/// 品牌标签
		///</summary>
		Brand_tag = 1, 
		
		///<summary>
		/// 档期标签
		///</summary>
		Schedule_tag = 2 
	}
	
	public class TagTypeUtil{
		
		private readonly int value;
		private TagTypeUtil(int value){
			this.value = value;
		}
		
		public int getValue() {
			return value;
		}
		
		
		public static TagType? FindByValue(int value){
			
			switch(value){
				
				case 0: return TagType.Product_tag; 
				case 1: return TagType.Brand_tag; 
				case 2: return TagType.Schedule_tag; 
				
				default: return null; 
				
			}
			
		}
		
		public static TagType? FindByName(string name){
			
			if(TagType.Product_tag.ToString().Equals(name)){
				
				return TagType.Product_tag; 
			}
			
			if(TagType.Brand_tag.ToString().Equals(name)){
				
				return TagType.Brand_tag; 
			}
			
			if(TagType.Schedule_tag.ToString().Equals(name)){
				
				return TagType.Schedule_tag; 
			}
			
			
			return null;
			
		}
		
	}
	
}