using System;

namespace com.vip.category.service{
	
	
	public enum UsedType {
		
		
		///<summary>
		/// 商务用户
		///</summary>
		pdc_used = 0, 
		
		///<summary>
		/// 供应商用户
		///</summary>
		vendor_used = 1, 
		
		///<summary>
		/// 选品中心
		///</summary>
		product_used = 2, 
		
		///<summary>
		/// 提示语优先
		///</summary>
		tips_used = 3, 
		
		///<summary>
		/// 搜索排序优先
		///</summary>
		search_used = 4 
	}
	
	public class UsedTypeUtil{
		
		private readonly int value;
		private UsedTypeUtil(int value){
			this.value = value;
		}
		
		public int getValue() {
			return value;
		}
		
		
		public static UsedType? FindByValue(int value){
			
			switch(value){
				
				case 0: return UsedType.pdc_used; 
				case 1: return UsedType.vendor_used; 
				case 2: return UsedType.product_used; 
				case 3: return UsedType.tips_used; 
				case 4: return UsedType.search_used; 
				
				default: return null; 
				
			}
			
		}
		
		public static UsedType? FindByName(string name){
			
			if(UsedType.pdc_used.ToString().Equals(name)){
				
				return UsedType.pdc_used; 
			}
			
			if(UsedType.vendor_used.ToString().Equals(name)){
				
				return UsedType.vendor_used; 
			}
			
			if(UsedType.product_used.ToString().Equals(name)){
				
				return UsedType.product_used; 
			}
			
			if(UsedType.tips_used.ToString().Equals(name)){
				
				return UsedType.tips_used; 
			}
			
			if(UsedType.search_used.ToString().Equals(name)){
				
				return UsedType.search_used; 
			}
			
			
			return null;
			
		}
		
	}
	
}