using System;
using System.Collections.Generic;
using System.Text;

namespace com.vip.osp.category.api.comm{
	
	
	
	
	
	public class Attribute {
		
		///<summary>
		/// 属性Id/标签组SN
		///</summary>
		
		private int? attriuteId_;
		
		///<summary>
		/// 属性名称/标签组名称
		///</summary>
		
		private string name_;
		
		///<summary>
		/// 英文名称
		///</summary>
		
		private string englishname_;
		
		///<summary>
		/// 属性说明
		///</summary>
		
		private string description_;
		
		///<summary>
		/// 属性类型：自然属性/Tag属性
		///</summary>
		
		private com.vip.osp.category.api.comm.AttributeType? type_;
		
		///<summary>
		/// 数据类型：文本/数值/选项
		///</summary>
		
		private com.vip.osp.category.api.comm.DataType? dataType_;
		
		///<summary>
		/// 数值单位
		///</summary>
		
		private string unit_;
		
		///<summary>
		/// 排序因子
		///</summary>
		
		private int? sort_;
		
		///<summary>
		/// 属性标记位,条件属性
		///</summary>
		
		private long? flags_;
		
		///<summary>
		/// 父属性ID，为0表示为独立属性，否则为依赖属性
		///</summary>
		
		private int? parentAttributeId_;
		
		///<summary>
		/// 选项列表
		///</summary>
		
		private List<com.vip.osp.category.api.comm.Option> options_;
		
		///<summary>
		/// 属性分组名称, add by chuping.zhai 2014-07-07
		///</summary>
		
		private string attributegroup_;
		
		///<summary>
		/// 外国名称, 保存格式为JSON, add by chuping.zhai 2014-07-07
		///</summary>
		
		private string foreignname_;
		
		///<summary>
		/// 数据类型为文本类型时，需要增加文本长度限制, add by chuping.zhai 2014-07-07
		///</summary>
		
		private int? textlength_;
		
		///<summary>
		/// 是否为筛选条件，默认为否（是：0 否：1）, add by chuping.zhai 2014-07-07
		///</summary>
		
		private int? screeningstatus_;
		
		///<summary>
		/// 有效开始时间, add by chuping.zhai 2014-07-23
		///</summary>
		
		private long? starttime_;
		
		///<summary>
		/// 有效结束时间, add by chuping.zhai 2014-07-23
		///</summary>
		
		private long? endtime_;
		
		///<summary>
		/// 属性解析是否成功标识。false：失败，true：成功 add by chuping.zhai 2014-10-22
		///</summary>
		
		private bool? flag_;
		
		///<summary>
		/// 特征集ID ，内部字段不对外开放 。add by apple01.liu on 2015-09-08
		///</summary>
		
		private int? charactersetid_;
		
		///<summary>
		/// 前置状态 ，内部字段不对外开放 。add by apple01.liu on 2016-06-21
		///</summary>
		
		private int? dependenceStatus_;
		
		///<summary>
		/// 外漏状态 ，内部字段不对外开放 。add by chuping.zhai 2017-08-21
		///</summary>
		
		private int? leakageStatus_;
		
		public int? GetAttriuteId(){
			return this.attriuteId_;
		}
		
		public void SetAttriuteId(int? value){
			this.attriuteId_ = value;
		}
		public string GetName(){
			return this.name_;
		}
		
		public void SetName(string value){
			this.name_ = value;
		}
		public string GetEnglishname(){
			return this.englishname_;
		}
		
		public void SetEnglishname(string value){
			this.englishname_ = value;
		}
		public string GetDescription(){
			return this.description_;
		}
		
		public void SetDescription(string value){
			this.description_ = value;
		}
		public com.vip.osp.category.api.comm.AttributeType? GetType(){
			return this.type_;
		}
		
		public void SetType(com.vip.osp.category.api.comm.AttributeType? value){
			this.type_ = value;
		}
		public com.vip.osp.category.api.comm.DataType? GetDataType(){
			return this.dataType_;
		}
		
		public void SetDataType(com.vip.osp.category.api.comm.DataType? value){
			this.dataType_ = value;
		}
		public string GetUnit(){
			return this.unit_;
		}
		
		public void SetUnit(string value){
			this.unit_ = value;
		}
		public int? GetSort(){
			return this.sort_;
		}
		
		public void SetSort(int? value){
			this.sort_ = value;
		}
		public long? GetFlags(){
			return this.flags_;
		}
		
		public void SetFlags(long? value){
			this.flags_ = value;
		}
		public int? GetParentAttributeId(){
			return this.parentAttributeId_;
		}
		
		public void SetParentAttributeId(int? value){
			this.parentAttributeId_ = value;
		}
		public List<com.vip.osp.category.api.comm.Option> GetOptions(){
			return this.options_;
		}
		
		public void SetOptions(List<com.vip.osp.category.api.comm.Option> value){
			this.options_ = value;
		}
		public string GetAttributegroup(){
			return this.attributegroup_;
		}
		
		public void SetAttributegroup(string value){
			this.attributegroup_ = value;
		}
		public string GetForeignname(){
			return this.foreignname_;
		}
		
		public void SetForeignname(string value){
			this.foreignname_ = value;
		}
		public int? GetTextlength(){
			return this.textlength_;
		}
		
		public void SetTextlength(int? value){
			this.textlength_ = value;
		}
		public int? GetScreeningstatus(){
			return this.screeningstatus_;
		}
		
		public void SetScreeningstatus(int? value){
			this.screeningstatus_ = value;
		}
		public long? GetStarttime(){
			return this.starttime_;
		}
		
		public void SetStarttime(long? value){
			this.starttime_ = value;
		}
		public long? GetEndtime(){
			return this.endtime_;
		}
		
		public void SetEndtime(long? value){
			this.endtime_ = value;
		}
		public bool? GetFlag(){
			return this.flag_;
		}
		
		public void SetFlag(bool? value){
			this.flag_ = value;
		}
		public int? GetCharactersetid(){
			return this.charactersetid_;
		}
		
		public void SetCharactersetid(int? value){
			this.charactersetid_ = value;
		}
		public int? GetDependenceStatus(){
			return this.dependenceStatus_;
		}
		
		public void SetDependenceStatus(int? value){
			this.dependenceStatus_ = value;
		}
		public int? GetLeakageStatus(){
			return this.leakageStatus_;
		}
		
		public void SetLeakageStatus(int? value){
			this.leakageStatus_ = value;
		}
		
	}
	
}