using System;
using System.Collections.Generic;
using System.Text;

namespace com.vip.osp.category.api.comm{
	
	
	
	
	
	public class BriefCategory {
		
		///<summary>
		/// 分类ID
		///</summary>
		
		private int? categoryId_;
		
		///<summary>
		/// 分类名称
		///</summary>
		
		private string name_;
		
		///<summary>
		/// 分类类型
		///</summary>
		
		private com.vip.osp.category.api.comm.CategoryType? type_;
		
		///<summary>
		/// 分类映射
		///</summary>
		
		private List<com.vip.osp.category.api.comm.BriefCategoryMapping> mapping_;
		
		///<summary>
		/// 子分类
		///</summary>
		
		private List<com.vip.osp.category.api.comm.BriefCategory> children_;
		
		///<summary>
		/// 主父分类
		///</summary>
		
		private int? majorParentCategoryid_;
		
		///<summary>
		/// 非主父分类
		///</summary>
		
		private List<int?> salveParentCategoryids_;
		
		///<summary>
		/// 图片链接
		///</summary>
		
		private string image_;
		
		///<summary>
		/// 目标链接地址
		///</summary>
		
		private string linkaddress_;
		
		///<summary>
		/// 展示粒度状态位
		///</summary>
		
		private int? flag_;
		
		///<summary>
		/// 展示模式  0:映射录入导航 1:URL链接 2:档期ID
		///</summary>
		
		private int? showType_;
		
		///<summary>
		/// 档期ID
		///</summary>
		
		private int? timeLineId_;
		
		///<summary>
		/// 展示导航二级分类属性并集属性值并集,格式：pid:vid;pid:vid; 
		///</summary>
		
		private string subCatAttr_;
		
		///<summary>
		/// 属性IDS
		///</summary>
		
		private List<int?> attributeIds_;
		
		///<summary>
		/// 标签信息, 包括商品标签，品牌标签，档期标签
		///</summary>
		
		private List<com.vip.osp.category.api.comm.BriefTag> tags_;
		
		///<summary>
		/// 特有属性信息
		///</summary>
		
		private List<com.vip.osp.category.api.comm.BriefSpecialAttribute> specialAttribute_;
		
		///<summary>
		/// 品牌IDS
		///</summary>
		
		private List<string> brandList_;
		
		///<summary>
		/// 导航ID
		///</summary>
		
		private int? hierarchyId_;
		
		///<summary>
		/// 展示分类标签条件属性,格式：pid:vid;pid:vid; add by chuping.zhai 20160919
		///</summary>
		
		private string tagFilter_;
		
		///<summary>
		/// 删除状态，add by chuping.zhai 20161128
		///</summary>
		
		private int? status_;
		
		///<summary>
		/// 主父分类，add by chuping.zhai 20161205
		///</summary>
		
		private com.vip.osp.category.api.comm.Parents majorParents_;
		
		///<summary>
		/// 从父分类，add by chuping.zhai 20161205
		///</summary>
		
		private List<com.vip.osp.category.api.comm.Parents> salveParents_;
		
		///<summary>
		/// 关键字, add by chuping.zhai 20180907
		///</summary>
		
		private string keywords_;
		
		///<summary>
		/// 展示分类PTP标签条件属性,格式：pid:vid,vid|pid:vid,vid, add by david.jiang 20190422
		///</summary>
		
		private string ptpTagFilter_;
		
		///<summary>
		/// 展示分类关联的PTP筛选标签, add by david.jiang 20190422
		///</summary>
		
		private List<com.vip.osp.category.api.comm.PtpTagInfo> ptpTagInfoList_;
		
		public int? GetCategoryId(){
			return this.categoryId_;
		}
		
		public void SetCategoryId(int? value){
			this.categoryId_ = value;
		}
		public string GetName(){
			return this.name_;
		}
		
		public void SetName(string value){
			this.name_ = value;
		}
		public com.vip.osp.category.api.comm.CategoryType? GetType(){
			return this.type_;
		}
		
		public void SetType(com.vip.osp.category.api.comm.CategoryType? value){
			this.type_ = value;
		}
		public List<com.vip.osp.category.api.comm.BriefCategoryMapping> GetMapping(){
			return this.mapping_;
		}
		
		public void SetMapping(List<com.vip.osp.category.api.comm.BriefCategoryMapping> value){
			this.mapping_ = value;
		}
		public List<com.vip.osp.category.api.comm.BriefCategory> GetChildren(){
			return this.children_;
		}
		
		public void SetChildren(List<com.vip.osp.category.api.comm.BriefCategory> value){
			this.children_ = value;
		}
		public int? GetMajorParentCategoryid(){
			return this.majorParentCategoryid_;
		}
		
		public void SetMajorParentCategoryid(int? value){
			this.majorParentCategoryid_ = value;
		}
		public List<int?> GetSalveParentCategoryids(){
			return this.salveParentCategoryids_;
		}
		
		public void SetSalveParentCategoryids(List<int?> value){
			this.salveParentCategoryids_ = value;
		}
		public string GetImage(){
			return this.image_;
		}
		
		public void SetImage(string value){
			this.image_ = value;
		}
		public string GetLinkaddress(){
			return this.linkaddress_;
		}
		
		public void SetLinkaddress(string value){
			this.linkaddress_ = value;
		}
		public int? GetFlag(){
			return this.flag_;
		}
		
		public void SetFlag(int? value){
			this.flag_ = value;
		}
		public int? GetShowType(){
			return this.showType_;
		}
		
		public void SetShowType(int? value){
			this.showType_ = value;
		}
		public int? GetTimeLineId(){
			return this.timeLineId_;
		}
		
		public void SetTimeLineId(int? value){
			this.timeLineId_ = value;
		}
		public string GetSubCatAttr(){
			return this.subCatAttr_;
		}
		
		public void SetSubCatAttr(string value){
			this.subCatAttr_ = value;
		}
		public List<int?> GetAttributeIds(){
			return this.attributeIds_;
		}
		
		public void SetAttributeIds(List<int?> value){
			this.attributeIds_ = value;
		}
		public List<com.vip.osp.category.api.comm.BriefTag> GetTags(){
			return this.tags_;
		}
		
		public void SetTags(List<com.vip.osp.category.api.comm.BriefTag> value){
			this.tags_ = value;
		}
		public List<com.vip.osp.category.api.comm.BriefSpecialAttribute> GetSpecialAttribute(){
			return this.specialAttribute_;
		}
		
		public void SetSpecialAttribute(List<com.vip.osp.category.api.comm.BriefSpecialAttribute> value){
			this.specialAttribute_ = value;
		}
		public List<string> GetBrandList(){
			return this.brandList_;
		}
		
		public void SetBrandList(List<string> value){
			this.brandList_ = value;
		}
		public int? GetHierarchyId(){
			return this.hierarchyId_;
		}
		
		public void SetHierarchyId(int? value){
			this.hierarchyId_ = value;
		}
		public string GetTagFilter(){
			return this.tagFilter_;
		}
		
		public void SetTagFilter(string value){
			this.tagFilter_ = value;
		}
		public int? GetStatus(){
			return this.status_;
		}
		
		public void SetStatus(int? value){
			this.status_ = value;
		}
		public com.vip.osp.category.api.comm.Parents GetMajorParents(){
			return this.majorParents_;
		}
		
		public void SetMajorParents(com.vip.osp.category.api.comm.Parents value){
			this.majorParents_ = value;
		}
		public List<com.vip.osp.category.api.comm.Parents> GetSalveParents(){
			return this.salveParents_;
		}
		
		public void SetSalveParents(List<com.vip.osp.category.api.comm.Parents> value){
			this.salveParents_ = value;
		}
		public string GetKeywords(){
			return this.keywords_;
		}
		
		public void SetKeywords(string value){
			this.keywords_ = value;
		}
		public string GetPtpTagFilter(){
			return this.ptpTagFilter_;
		}
		
		public void SetPtpTagFilter(string value){
			this.ptpTagFilter_ = value;
		}
		public List<com.vip.osp.category.api.comm.PtpTagInfo> GetPtpTagInfoList(){
			return this.ptpTagInfoList_;
		}
		
		public void SetPtpTagInfoList(List<com.vip.osp.category.api.comm.PtpTagInfo> value){
			this.ptpTagInfoList_ = value;
		}
		
	}
	
}