using System;
using System.Collections.Generic;
using System.Text;

namespace com.vip.osp.category.api.comm{
	
	
	
	
	
	public class CategoryVre {
		
		///<summary>
		/// 展示分类ID
		///</summary>
		
		private int? categoryId_;
		
		///<summary>
		/// 分类类型
		///</summary>
		
		private com.vip.osp.category.api.comm.CategoryType? type_;
		
		///<summary>
		/// 子分类（Top和Sub节点才有子分类）
		///</summary>
		
		private List<com.vip.osp.category.api.comm.CategoryVre> children_;
		
		///<summary>
		/// 映射录入分类，包括：录入分类ID，条件属性, 当且仅当只leaf分类的场合，获取对应映射录入分类及属性条件信息
		///</summary>
		
		private List<com.vip.osp.category.api.comm.BriefCategoryMapping> mapping_;
		
		///<summary>
		/// 品牌IDS
		///</summary>
		
		private List<string> brandList_;
		
		///<summary>
		/// 特有属性，key:sale_style, country_codes, channel_ids,show_tos, value:特有属性值，逗号分隔
		///</summary>
		
		private Dictionary<string, string> specialAttrMap_;
		
		///<summary>
		/// 展示分类标签条件属性, 格式：pid:vid,vid;pid:vid,vid
		///</summary>
		
		private string tagFilter_;
		
		///<summary>
		/// 筛选属性IDS
		///</summary>
		
		private List<int?> attributeIds_;
		
		///<summary>
		/// 筛选标签IDS
		///</summary>
		
		private List<int?> tagIds_;
		
		///<summary>
		/// 大数据筛选标签IDS， add by chuping.zhai 2017-07-17 
		///</summary>
		
		private List<int?> bigDataTagIds_;
		
		///<summary>
		/// 展示分类PTP标签条件属性,格式：pid:vid,vid|pid:vid,vid, add by david.jiang 20190422
		///</summary>
		
		private string ptpTagFilter_;
		
		///<summary>
		/// 展示分类关联的PTP筛选标签, add by david.jiang 20190422
		///</summary>
		
		private List<com.vip.osp.category.api.comm.PtpTagInfo> ptpTagInfoList_;
		
		///<summary>
		/// 删除状态，add by chuping.zhai 20161128
		///</summary>
		
		private int? status_;
		
		public int? GetCategoryId(){
			return this.categoryId_;
		}
		
		public void SetCategoryId(int? value){
			this.categoryId_ = value;
		}
		public com.vip.osp.category.api.comm.CategoryType? GetType(){
			return this.type_;
		}
		
		public void SetType(com.vip.osp.category.api.comm.CategoryType? value){
			this.type_ = value;
		}
		public List<com.vip.osp.category.api.comm.CategoryVre> GetChildren(){
			return this.children_;
		}
		
		public void SetChildren(List<com.vip.osp.category.api.comm.CategoryVre> value){
			this.children_ = value;
		}
		public List<com.vip.osp.category.api.comm.BriefCategoryMapping> GetMapping(){
			return this.mapping_;
		}
		
		public void SetMapping(List<com.vip.osp.category.api.comm.BriefCategoryMapping> value){
			this.mapping_ = value;
		}
		public List<string> GetBrandList(){
			return this.brandList_;
		}
		
		public void SetBrandList(List<string> value){
			this.brandList_ = value;
		}
		public Dictionary<string, string> GetSpecialAttrMap(){
			return this.specialAttrMap_;
		}
		
		public void SetSpecialAttrMap(Dictionary<string, string> value){
			this.specialAttrMap_ = value;
		}
		public string GetTagFilter(){
			return this.tagFilter_;
		}
		
		public void SetTagFilter(string value){
			this.tagFilter_ = value;
		}
		public List<int?> GetAttributeIds(){
			return this.attributeIds_;
		}
		
		public void SetAttributeIds(List<int?> value){
			this.attributeIds_ = value;
		}
		public List<int?> GetTagIds(){
			return this.tagIds_;
		}
		
		public void SetTagIds(List<int?> value){
			this.tagIds_ = value;
		}
		public List<int?> GetBigDataTagIds(){
			return this.bigDataTagIds_;
		}
		
		public void SetBigDataTagIds(List<int?> value){
			this.bigDataTagIds_ = value;
		}
		public string GetPtpTagFilter(){
			return this.ptpTagFilter_;
		}
		
		public void SetPtpTagFilter(string value){
			this.ptpTagFilter_ = value;
		}
		public List<com.vip.osp.category.api.comm.PtpTagInfo> GetPtpTagInfoList(){
			return this.ptpTagInfoList_;
		}
		
		public void SetPtpTagInfoList(List<com.vip.osp.category.api.comm.PtpTagInfo> value){
			this.ptpTagInfoList_ = value;
		}
		public int? GetStatus(){
			return this.status_;
		}
		
		public void SetStatus(int? value){
			this.status_ = value;
		}
		
	}
	
}