using System;

namespace com.vip.osp.category.api.comm{
	
	
	public enum ResultFields {
		
		
		///<summary>
		/// 属性
		///</summary>
		Attribute = 1, 
		
		///<summary>
		/// 标签
		///</summary>
		Tag = 2, 
		
		///<summary>
		/// 特有属性
		///</summary>
		SpecialAttribute = 3, 
		
		///<summary>
		/// 映射录入分类
		///</summary>
		Mapping = 4 
	}
	
	public class ResultFieldsUtil{
		
		private readonly int value;
		private ResultFieldsUtil(int value){
			this.value = value;
		}
		
		public int getValue() {
			return value;
		}
		
		
		public static ResultFields? FindByValue(int value){
			
			switch(value){
				
				case 1: return ResultFields.Attribute; 
				case 2: return ResultFields.Tag; 
				case 3: return ResultFields.SpecialAttribute; 
				case 4: return ResultFields.Mapping; 
				
				default: return null; 
				
			}
			
		}
		
		public static ResultFields? FindByName(string name){
			
			if(ResultFields.Attribute.ToString().Equals(name)){
				
				return ResultFields.Attribute; 
			}
			
			if(ResultFields.Tag.ToString().Equals(name)){
				
				return ResultFields.Tag; 
			}
			
			if(ResultFields.SpecialAttribute.ToString().Equals(name)){
				
				return ResultFields.SpecialAttribute; 
			}
			
			if(ResultFields.Mapping.ToString().Equals(name)){
				
				return ResultFields.Mapping; 
			}
			
			
			return null;
			
		}
		
	}
	
}