using System;

namespace com.vip.osp.category.api.comm{
	
	
	public enum TagType {
		
		
		///<summary>
		/// 商品标签
		///</summary>
		GoodsTag = 0, 
		
		///<summary>
		/// 品牌标签
		///</summary>
		BrandTag = 1, 
		
		///<summary>
		/// 档期标签
		///</summary>
		ScheduleTag = 2 
	}
	
	public class TagTypeUtil{
		
		private readonly int value;
		private TagTypeUtil(int value){
			this.value = value;
		}
		
		public int getValue() {
			return value;
		}
		
		
		public static TagType? FindByValue(int value){
			
			switch(value){
				
				case 0: return TagType.GoodsTag; 
				case 1: return TagType.BrandTag; 
				case 2: return TagType.ScheduleTag; 
				
				default: return null; 
				
			}
			
		}
		
		public static TagType? FindByName(string name){
			
			if(TagType.GoodsTag.ToString().Equals(name)){
				
				return TagType.GoodsTag; 
			}
			
			if(TagType.BrandTag.ToString().Equals(name)){
				
				return TagType.BrandTag; 
			}
			
			if(TagType.ScheduleTag.ToString().Equals(name)){
				
				return TagType.ScheduleTag; 
			}
			
			
			return null;
			
		}
		
	}
	
}