using System;

namespace com.vip.pms.data.service{
	
	
	public enum BlackListType {
		
		
		///<summary>
		/// 档期（专场）
		///</summary>
		BRAND = 1, 
		
		///<summary>
		/// 品牌sn
		///</summary>
		BRAND_STORE_SN = 2, 
		
		///<summary>
		/// 三级录入分类id
		///</summary>
		CATEGORY_ID = 3, 
		
		///<summary>
		/// 店铺ID
		///</summary>
		STORE_ID = 4, 
		
		///<summary>
		/// 品牌品类
		///</summary>
		BRAND_CATEGORY = 5, 
		
		///<summary>
		/// 商品编码prodSpuId(pSpu)
		///</summary>
		PROD_SPU_ID = 6 
	}
	
	public class BlackListTypeUtil{
		
		private readonly int value;
		private BlackListTypeUtil(int value){
			this.value = value;
		}
		
		public int getValue() {
			return value;
		}
		
		
		public static BlackListType? FindByValue(int value){
			
			switch(value){
				
				case 1: return BlackListType.BRAND; 
				case 2: return BlackListType.BRAND_STORE_SN; 
				case 3: return BlackListType.CATEGORY_ID; 
				case 4: return BlackListType.STORE_ID; 
				case 5: return BlackListType.BRAND_CATEGORY; 
				case 6: return BlackListType.PROD_SPU_ID; 
				
				default: return null; 
				
			}
			
		}
		
		public static BlackListType? FindByName(string name){
			
			if(BlackListType.BRAND.ToString().Equals(name)){
				
				return BlackListType.BRAND; 
			}
			
			if(BlackListType.BRAND_STORE_SN.ToString().Equals(name)){
				
				return BlackListType.BRAND_STORE_SN; 
			}
			
			if(BlackListType.CATEGORY_ID.ToString().Equals(name)){
				
				return BlackListType.CATEGORY_ID; 
			}
			
			if(BlackListType.STORE_ID.ToString().Equals(name)){
				
				return BlackListType.STORE_ID; 
			}
			
			if(BlackListType.BRAND_CATEGORY.ToString().Equals(name)){
				
				return BlackListType.BRAND_CATEGORY; 
			}
			
			if(BlackListType.PROD_SPU_ID.ToString().Equals(name)){
				
				return BlackListType.PROD_SPU_ID; 
			}
			
			
			return null;
			
		}
		
	}
	
}