using System;
using System.Collections.Generic;
using System.Text;

namespace com.vip.product.change.service{
	
	
	
	
	
	public class ProductAndSkuChangeInfo {
		
		///<summary>
		/// 商品条码
		///</summary>
		
		private string barcode_;
		
		///<summary>
		/// 供应商编码
		///</summary>
		
		private int? vendorId_;
		
		///<summary>
		/// 事务号， WMS传参过来
		///</summary>
		
		private string txNum_;
		
		///<summary>
		/// 货号，优先取色号否则取款号
		///</summary>
		
		private string sn_;
		
		///<summary>
		/// 商品SKUID
		///</summary>
		
		private long? skuId_;
		
		///<summary>
		/// 商品名称
		///</summary>
		
		private string name_;
		
		///<summary>
		/// 品牌ID
		///</summary>
		
		private int? brandId_;
		
		///<summary>
		/// 品牌名称, 品牌中文名称品牌英文名称（拼接起来）
		///</summary>
		
		private string brandName_;
		
		///<summary>
		/// 品牌等级
		///</summary>
		
		private string brandLevel_;
		
		///<summary>
		/// sku单位（EACH）
		///</summary>
		
		private string unit_;
		
		///<summary>
		/// 尺码名称（例如：S M L等）
		///</summary>
		
		private string sizeName_;
		
		///<summary>
		/// 商品颜色
		///</summary>
		
		private string corlor_;
		
		///<summary>
		/// 商品所属一级类目ID
		///</summary>
		
		private int? category1Id_;
		
		///<summary>
		/// 商品所属一级类目名称
		///</summary>
		
		private string category1Name_;
		
		///<summary>
		/// 商品所属二级类目ID
		///</summary>
		
		private int? category2Id_;
		
		///<summary>
		/// 商品所属二级类目名称
		///</summary>
		
		private string category2Name_;
		
		///<summary>
		/// 商品所属三级类目ID
		///</summary>
		
		private int? category3Id_;
		
		///<summary>
		/// 商品所属三级类目名称
		///</summary>
		
		private string category3Name_;
		
		///<summary>
		/// 是否航空禁运品（Y/N）
		///</summary>
		
		private string isAirForbit_;
		
		///<summary>
		/// 是否易碎品（Y/N）
		///</summary>
		
		private string isEasyBreak_;
		
		///<summary>
		/// 是否大件（Y/N）
		///</summary>
		
		private string isLarge_;
		
		///<summary>
		/// 是否贵重物品（Y/N）
		///</summary>
		
		private string isValuable_;
		
		///<summary>
		/// 商品名称
		///</summary>
		
		private string isExpMan_;
		
		///<summary>
		/// 商品的过期类型（V/E）,V:生产日期, E:过期日期
		///</summary>
		
		private string expBaseline_;
		
		///<summary>
		/// 保险期
		///</summary>
		
		private int? insuredDeadline_;
		
		///<summary>
		/// 售卖截止日期
		///</summary>
		
		private int? sellDeadline_;
		
		///<summary>
		/// 保质期
		///</summary>
		
		private int? shelfLife_;
		
		///<summary>
		/// 配件信息
		///</summary>
		
		private string accessoryInfo_;
		
		///<summary>
		/// 原产地
		///</summary>
		
		private string areaOutput_;
		
		///<summary>
		/// 税率(EBS需要)
		///</summary>
		
		private double? taxRate_;
		
		///<summary>
		/// 商品长度（mm）
		///</summary>
		
		private int? length_;
		
		///<summary>
		/// 商品宽度（mm）
		///</summary>
		
		private int? width_;
		
		///<summary>
		/// 商品高度（mm）
		///</summary>
		
		private int? height_;
		
		///<summary>
		/// 商品重量(g)
		///</summary>
		
		private long? weight_;
		
		///<summary>
		/// 商品存储温度
		///</summary>
		
		private string temperature_;
		
		///<summary>
		/// 是否消费税（Y/N）(EBS需要),  默认为N
		///</summary>
		
		private string isConsumptionTax_;
		
		///<summary>
		/// 供应商名称(EBS需要), 商品库无该信息（返回空）
		///</summary>
		
		private string vendorName_;
		
		///<summary>
		/// 外包装语言标识(WMS需要)
		///</summary>
		
		private string labelLang_;
		
		///<summary>
		/// 净重(g)(WMS需要)
		///</summary>
		
		private long? netWeight_;
		
		///<summary>
		/// 毛重(g)(WMS需要)
		///</summary>
		
		private long? grossWeight_;
		
		///<summary>
		/// 有效期相关6个字段信息是否以PDC的数据为准（Y/N）, 默认N：忽略PDC返回的有效期相关6个字段信息, Y：以PDC返回的有效期相关6个字段信息为准
		///</summary>
		
		private string usePdcExpireData_;
		
		///<summary>
		/// 是否奢侈品（Y/N）
		///</summary>
		
		private string isLuxury_;
		
		///<summary>
		/// 是否有防盗扣 (是/否)
		///</summary>
		
		private string isAntiTheft_;
		
		///<summary>
		/// 吊牌零售价
		///</summary>
		
		private double? marketPrice_;
		
		///<summary>
		/// 性别列表
		///</summary>
		
		private List<string> sexes_;
		
		///<summary>
		/// 性别
		///</summary>
		
		private string sex_;
		
		///<summary>
		/// 季节列表
		///</summary>
		
		private List<string> seasons_;
		
		///<summary>
		/// 季节
		///</summary>
		
		private string season_;
		
		///<summary>
		/// 5号图（列表图）, 域名需调用方拼接
		///</summary>
		
		private string listImage_;
		
		///<summary>
		/// 收货截止期限
		///</summary>
		
		private int? inbLife_;
		
		///<summary>
		/// SKU属性信息集合
		///</summary>
		
		private List<com.vip.product.change.service.PropertyItem> vendorSkuPropertyList_;
		
		///<summary>
		/// 是否序列号管理（Y/N）默认为N
		///</summary>
		
		private string isSerialNumManage_;
		
		///<summary>
		/// 序列号长度 小于等于30的整数	
		///</summary>
		
		private string serialNumLength_;
		
		///<summary>
		/// 序列号规则 1(纯字母)或2(纯数字)或3(字母+数字)
		///</summary>
		
		private string serialNumRule_;
		
		///<summary>
		/// 入库储藏方式
		///</summary>
		
		private string storageConditions_;
		
		///<summary>
		/// 套装明细
		///</summary>
		
		private string suitDetails_;
		
		///<summary>
		/// 是否主资料
		///</summary>
		
		private bool? isProductCatalogue_;
		
		///<summary>
		/// 奢侈品标签修改时间戳(毫秒）
		///</summary>
		
		private long? luxuryUpdateTime_;
		
		public string GetBarcode(){
			return this.barcode_;
		}
		
		public void SetBarcode(string value){
			this.barcode_ = value;
		}
		public int? GetVendorId(){
			return this.vendorId_;
		}
		
		public void SetVendorId(int? value){
			this.vendorId_ = value;
		}
		public string GetTxNum(){
			return this.txNum_;
		}
		
		public void SetTxNum(string value){
			this.txNum_ = value;
		}
		public string GetSn(){
			return this.sn_;
		}
		
		public void SetSn(string value){
			this.sn_ = value;
		}
		public long? GetSkuId(){
			return this.skuId_;
		}
		
		public void SetSkuId(long? value){
			this.skuId_ = value;
		}
		public string GetName(){
			return this.name_;
		}
		
		public void SetName(string value){
			this.name_ = value;
		}
		public int? GetBrandId(){
			return this.brandId_;
		}
		
		public void SetBrandId(int? value){
			this.brandId_ = value;
		}
		public string GetBrandName(){
			return this.brandName_;
		}
		
		public void SetBrandName(string value){
			this.brandName_ = value;
		}
		public string GetBrandLevel(){
			return this.brandLevel_;
		}
		
		public void SetBrandLevel(string value){
			this.brandLevel_ = value;
		}
		public string GetUnit(){
			return this.unit_;
		}
		
		public void SetUnit(string value){
			this.unit_ = value;
		}
		public string GetSizeName(){
			return this.sizeName_;
		}
		
		public void SetSizeName(string value){
			this.sizeName_ = value;
		}
		public string GetCorlor(){
			return this.corlor_;
		}
		
		public void SetCorlor(string value){
			this.corlor_ = value;
		}
		public int? GetCategory1Id(){
			return this.category1Id_;
		}
		
		public void SetCategory1Id(int? value){
			this.category1Id_ = value;
		}
		public string GetCategory1Name(){
			return this.category1Name_;
		}
		
		public void SetCategory1Name(string value){
			this.category1Name_ = value;
		}
		public int? GetCategory2Id(){
			return this.category2Id_;
		}
		
		public void SetCategory2Id(int? value){
			this.category2Id_ = value;
		}
		public string GetCategory2Name(){
			return this.category2Name_;
		}
		
		public void SetCategory2Name(string value){
			this.category2Name_ = value;
		}
		public int? GetCategory3Id(){
			return this.category3Id_;
		}
		
		public void SetCategory3Id(int? value){
			this.category3Id_ = value;
		}
		public string GetCategory3Name(){
			return this.category3Name_;
		}
		
		public void SetCategory3Name(string value){
			this.category3Name_ = value;
		}
		public string GetIsAirForbit(){
			return this.isAirForbit_;
		}
		
		public void SetIsAirForbit(string value){
			this.isAirForbit_ = value;
		}
		public string GetIsEasyBreak(){
			return this.isEasyBreak_;
		}
		
		public void SetIsEasyBreak(string value){
			this.isEasyBreak_ = value;
		}
		public string GetIsLarge(){
			return this.isLarge_;
		}
		
		public void SetIsLarge(string value){
			this.isLarge_ = value;
		}
		public string GetIsValuable(){
			return this.isValuable_;
		}
		
		public void SetIsValuable(string value){
			this.isValuable_ = value;
		}
		public string GetIsExpMan(){
			return this.isExpMan_;
		}
		
		public void SetIsExpMan(string value){
			this.isExpMan_ = value;
		}
		public string GetExpBaseline(){
			return this.expBaseline_;
		}
		
		public void SetExpBaseline(string value){
			this.expBaseline_ = value;
		}
		public int? GetInsuredDeadline(){
			return this.insuredDeadline_;
		}
		
		public void SetInsuredDeadline(int? value){
			this.insuredDeadline_ = value;
		}
		public int? GetSellDeadline(){
			return this.sellDeadline_;
		}
		
		public void SetSellDeadline(int? value){
			this.sellDeadline_ = value;
		}
		public int? GetShelfLife(){
			return this.shelfLife_;
		}
		
		public void SetShelfLife(int? value){
			this.shelfLife_ = value;
		}
		public string GetAccessoryInfo(){
			return this.accessoryInfo_;
		}
		
		public void SetAccessoryInfo(string value){
			this.accessoryInfo_ = value;
		}
		public string GetAreaOutput(){
			return this.areaOutput_;
		}
		
		public void SetAreaOutput(string value){
			this.areaOutput_ = value;
		}
		public double? GetTaxRate(){
			return this.taxRate_;
		}
		
		public void SetTaxRate(double? value){
			this.taxRate_ = value;
		}
		public int? GetLength(){
			return this.length_;
		}
		
		public void SetLength(int? value){
			this.length_ = value;
		}
		public int? GetWidth(){
			return this.width_;
		}
		
		public void SetWidth(int? value){
			this.width_ = value;
		}
		public int? GetHeight(){
			return this.height_;
		}
		
		public void SetHeight(int? value){
			this.height_ = value;
		}
		public long? GetWeight(){
			return this.weight_;
		}
		
		public void SetWeight(long? value){
			this.weight_ = value;
		}
		public string GetTemperature(){
			return this.temperature_;
		}
		
		public void SetTemperature(string value){
			this.temperature_ = value;
		}
		public string GetIsConsumptionTax(){
			return this.isConsumptionTax_;
		}
		
		public void SetIsConsumptionTax(string value){
			this.isConsumptionTax_ = value;
		}
		public string GetVendorName(){
			return this.vendorName_;
		}
		
		public void SetVendorName(string value){
			this.vendorName_ = value;
		}
		public string GetLabelLang(){
			return this.labelLang_;
		}
		
		public void SetLabelLang(string value){
			this.labelLang_ = value;
		}
		public long? GetNetWeight(){
			return this.netWeight_;
		}
		
		public void SetNetWeight(long? value){
			this.netWeight_ = value;
		}
		public long? GetGrossWeight(){
			return this.grossWeight_;
		}
		
		public void SetGrossWeight(long? value){
			this.grossWeight_ = value;
		}
		public string GetUsePdcExpireData(){
			return this.usePdcExpireData_;
		}
		
		public void SetUsePdcExpireData(string value){
			this.usePdcExpireData_ = value;
		}
		public string GetIsLuxury(){
			return this.isLuxury_;
		}
		
		public void SetIsLuxury(string value){
			this.isLuxury_ = value;
		}
		public string GetIsAntiTheft(){
			return this.isAntiTheft_;
		}
		
		public void SetIsAntiTheft(string value){
			this.isAntiTheft_ = value;
		}
		public double? GetMarketPrice(){
			return this.marketPrice_;
		}
		
		public void SetMarketPrice(double? value){
			this.marketPrice_ = value;
		}
		public List<string> GetSexes(){
			return this.sexes_;
		}
		
		public void SetSexes(List<string> value){
			this.sexes_ = value;
		}
		public string GetSex(){
			return this.sex_;
		}
		
		public void SetSex(string value){
			this.sex_ = value;
		}
		public List<string> GetSeasons(){
			return this.seasons_;
		}
		
		public void SetSeasons(List<string> value){
			this.seasons_ = value;
		}
		public string GetSeason(){
			return this.season_;
		}
		
		public void SetSeason(string value){
			this.season_ = value;
		}
		public string GetListImage(){
			return this.listImage_;
		}
		
		public void SetListImage(string value){
			this.listImage_ = value;
		}
		public int? GetInbLife(){
			return this.inbLife_;
		}
		
		public void SetInbLife(int? value){
			this.inbLife_ = value;
		}
		public List<com.vip.product.change.service.PropertyItem> GetVendorSkuPropertyList(){
			return this.vendorSkuPropertyList_;
		}
		
		public void SetVendorSkuPropertyList(List<com.vip.product.change.service.PropertyItem> value){
			this.vendorSkuPropertyList_ = value;
		}
		public string GetIsSerialNumManage(){
			return this.isSerialNumManage_;
		}
		
		public void SetIsSerialNumManage(string value){
			this.isSerialNumManage_ = value;
		}
		public string GetSerialNumLength(){
			return this.serialNumLength_;
		}
		
		public void SetSerialNumLength(string value){
			this.serialNumLength_ = value;
		}
		public string GetSerialNumRule(){
			return this.serialNumRule_;
		}
		
		public void SetSerialNumRule(string value){
			this.serialNumRule_ = value;
		}
		public string GetStorageConditions(){
			return this.storageConditions_;
		}
		
		public void SetStorageConditions(string value){
			this.storageConditions_ = value;
		}
		public string GetSuitDetails(){
			return this.suitDetails_;
		}
		
		public void SetSuitDetails(string value){
			this.suitDetails_ = value;
		}
		public bool? GetIsProductCatalogue(){
			return this.isProductCatalogue_;
		}
		
		public void SetIsProductCatalogue(bool? value){
			this.isProductCatalogue_ = value;
		}
		public long? GetLuxuryUpdateTime(){
			return this.luxuryUpdateTime_;
		}
		
		public void SetLuxuryUpdateTime(long? value){
			this.luxuryUpdateTime_ = value;
		}
		
	}
	
}