using System;
using System.Collections.Generic;
using System.Text;
using Osp.Sdk.Base;
using Osp.Sdk.Protocol;
using Osp.Sdk.Exception;
namespace com.vip.svip.osp.service{
	
	
	
	public class SvipBindInfoV2Helper : TBeanSerializer<SvipBindInfoV2>
	{
		
		public static SvipBindInfoV2Helper OBJ = new SvipBindInfoV2Helper();
		
		public static SvipBindInfoV2Helper getInstance() {
			
			return OBJ;
		}
		
		
		public void Read(SvipBindInfoV2 structs, Protocol iprot){
			
			
			String schemeStruct = iprot.ReadStructBegin();
			if(schemeStruct != null){
				
				while(true){
					
					String schemeField = iprot.ReadFieldBegin();
					if (schemeField == null) break;
					bool needSkip = true;
					
					
					if ("type".Equals(schemeField.Trim())){
						
						needSkip = false;
						int value;
						value = iprot.ReadI32(); 
						
						structs.SetType(value);
					}
					
					
					
					
					
					if ("account".Equals(schemeField.Trim())){
						
						needSkip = false;
						string value;
						value = iprot.ReadString();
						
						structs.SetAccount(value);
					}
					
					
					
					
					
					if ("nick_name".Equals(schemeField.Trim())){
						
						needSkip = false;
						string value;
						value = iprot.ReadString();
						
						structs.SetNick_name(value);
					}
					
					
					
					
					
					if ("figure_url".Equals(schemeField.Trim())){
						
						needSkip = false;
						string value;
						value = iprot.ReadString();
						
						structs.SetFigure_url(value);
					}
					
					
					
					
					
					if ("bind_time".Equals(schemeField.Trim())){
						
						needSkip = false;
						System.DateTime? value;
						value = Osp.Sdk.Util.TimeUtil.FromUnixTime(iprot.ReadI64()); 
						
						structs.SetBind_time(value);
					}
					
					
					
					
					
					if ("days".Equals(schemeField.Trim())){
						
						needSkip = false;
						int value;
						value = iprot.ReadI32(); 
						
						structs.SetDays(value);
					}
					
					
					
					
					
					if ("third_acct_type".Equals(schemeField.Trim())){
						
						needSkip = false;
						int value;
						value = iprot.ReadI32(); 
						
						structs.SetThird_acct_type(value);
					}
					
					
					
					
					
					if ("status".Equals(schemeField.Trim())){
						
						needSkip = false;
						int value;
						value = iprot.ReadI32(); 
						
						structs.SetStatus(value);
					}
					
					
					
					
					
					if ("valid_time".Equals(schemeField.Trim())){
						
						needSkip = false;
						System.DateTime? value;
						value = Osp.Sdk.Util.TimeUtil.FromUnixTime(iprot.ReadI64()); 
						
						structs.SetValid_time(value);
					}
					
					
					
					
					
					if ("remark".Equals(schemeField.Trim())){
						
						needSkip = false;
						string value;
						value = iprot.ReadString();
						
						structs.SetRemark(value);
					}
					
					
					
					
					if(needSkip){
						
						ProtocolUtil.skip(iprot);
					}
					
					iprot.ReadFieldEnd();
				}
				
				iprot.ReadStructEnd();
				Validate(structs);
			}
			else{
				
				throw new OspException();
			}
			
			
		}
		
		
		public void Write(SvipBindInfoV2 structs, Protocol oprot){
			
			Validate(structs);
			oprot.WriteStructBegin();
			
			if(structs.GetType() != null) {
				
				oprot.WriteFieldBegin("type");
				oprot.WriteI32((int)structs.GetType()); 
				
				oprot.WriteFieldEnd();
			}
			
			else{
				throw new ArgumentException("type can not be null!");
			}
			
			
			if(structs.GetAccount() != null) {
				
				oprot.WriteFieldBegin("account");
				oprot.WriteString(structs.GetAccount());
				
				oprot.WriteFieldEnd();
			}
			
			
			if(structs.GetNick_name() != null) {
				
				oprot.WriteFieldBegin("nick_name");
				oprot.WriteString(structs.GetNick_name());
				
				oprot.WriteFieldEnd();
			}
			
			
			if(structs.GetFigure_url() != null) {
				
				oprot.WriteFieldBegin("figure_url");
				oprot.WriteString(structs.GetFigure_url());
				
				oprot.WriteFieldEnd();
			}
			
			
			if(structs.GetBind_time() != null) {
				
				oprot.WriteFieldBegin("bind_time");
				oprot.WriteI64(Osp.Sdk.Util.TimeUtil.ToUnixTime((System.DateTime)structs.GetBind_time())); 
				
				oprot.WriteFieldEnd();
			}
			
			
			if(structs.GetDays() != null) {
				
				oprot.WriteFieldBegin("days");
				oprot.WriteI32((int)structs.GetDays()); 
				
				oprot.WriteFieldEnd();
			}
			
			else{
				throw new ArgumentException("days can not be null!");
			}
			
			
			if(structs.GetThird_acct_type() != null) {
				
				oprot.WriteFieldBegin("third_acct_type");
				oprot.WriteI32((int)structs.GetThird_acct_type()); 
				
				oprot.WriteFieldEnd();
			}
			
			else{
				throw new ArgumentException("third_acct_type can not be null!");
			}
			
			
			if(structs.GetStatus() != null) {
				
				oprot.WriteFieldBegin("status");
				oprot.WriteI32((int)structs.GetStatus()); 
				
				oprot.WriteFieldEnd();
			}
			
			else{
				throw new ArgumentException("status can not be null!");
			}
			
			
			if(structs.GetValid_time() != null) {
				
				oprot.WriteFieldBegin("valid_time");
				oprot.WriteI64(Osp.Sdk.Util.TimeUtil.ToUnixTime((System.DateTime)structs.GetValid_time())); 
				
				oprot.WriteFieldEnd();
			}
			
			
			if(structs.GetRemark() != null) {
				
				oprot.WriteFieldBegin("remark");
				oprot.WriteString(structs.GetRemark());
				
				oprot.WriteFieldEnd();
			}
			
			
			oprot.WriteFieldStop();
			oprot.WriteStructEnd();
		}
		
		
		public void Validate(SvipBindInfoV2 bean){
			
			
		}
		
	}
	
}