using System;
using System.Collections.Generic;
using System.Text;

namespace com.vip.vop.logistics.carrier.service{
	
	
	
	
	
	public class ReportLogisticsRequest {
		
		///<summary>
		/// 事务批次号，全局唯一
		///</summary>
		
		private string batch_no_;
		
		///<summary>
		/// 承运商编码
		/// @sampleValue carrier_code shunfeng
		///</summary>
		
		private string carrier_code_;
		
		///<summary>
		/// 唯品会向承运商下单单号
		///</summary>
		
		private string carrier_order_sn_;
		
		///<summary>
		/// 主运单号
		///</summary>
		
		private string logistics_no_;
		
		///<summary>
		/// 子运单号，不包含主单号
		///</summary>
		
		private List<string> sub_logistics_no_;
		
		///<summary>
		/// 业务类型：1、揽退返仓运单, 2、揽换返仓运单, 3、拒收返仓运单, 4、配送更换运单
		/// @sampleValue biz_type 1
		///</summary>
		
		private string biz_type_;
		
		///<summary>
		/// 业务发生时间，yyyy-MM-dd HH:mm:ss
		/// @sampleValue op_time 2020-04-10 12:00:00
		///</summary>
		
		private string op_time_;
		
		///<summary>
		/// 运费，保留两位小数，单位：元
		/// @sampleValue freight 30.00
		///</summary>
		
		private double? freight_;
		
		///<summary>
		/// 重量，保留四位小数，单位：千克
		/// @sampleValue weight 10.0001
		///</summary>
		
		private double? weight_;
		
		///<summary>
		/// 体积，保留四位小数，单位：立方米
		/// @sampleValue volume 20.0002
		///</summary>
		
		private double? volume_;
		
		public string GetBatch_no(){
			return this.batch_no_;
		}
		
		public void SetBatch_no(string value){
			this.batch_no_ = value;
		}
		public string GetCarrier_code(){
			return this.carrier_code_;
		}
		
		public void SetCarrier_code(string value){
			this.carrier_code_ = value;
		}
		public string GetCarrier_order_sn(){
			return this.carrier_order_sn_;
		}
		
		public void SetCarrier_order_sn(string value){
			this.carrier_order_sn_ = value;
		}
		public string GetLogistics_no(){
			return this.logistics_no_;
		}
		
		public void SetLogistics_no(string value){
			this.logistics_no_ = value;
		}
		public List<string> GetSub_logistics_no(){
			return this.sub_logistics_no_;
		}
		
		public void SetSub_logistics_no(List<string> value){
			this.sub_logistics_no_ = value;
		}
		public string GetBiz_type(){
			return this.biz_type_;
		}
		
		public void SetBiz_type(string value){
			this.biz_type_ = value;
		}
		public string GetOp_time(){
			return this.op_time_;
		}
		
		public void SetOp_time(string value){
			this.op_time_ = value;
		}
		public double? GetFreight(){
			return this.freight_;
		}
		
		public void SetFreight(double? value){
			this.freight_ = value;
		}
		public double? GetWeight(){
			return this.weight_;
		}
		
		public void SetWeight(double? value){
			this.weight_ = value;
		}
		public double? GetVolume(){
			return this.volume_;
		}
		
		public void SetVolume(double? value){
			this.volume_ = value;
		}
		
	}
	
}