using System;
using System.Collections.Generic;
using System.Text;
using Osp.Sdk.Base;
using Osp.Sdk.Protocol;

namespace com.vip.osp.category.api.comm{
	
	
	public class CategoryAPIHelper {
		
		
		
		public class batchGetQualifications_args {
			
			///<summary>
			/// 请求上下文
			///</summary>
			
			private com.vip.osp.category.api.comm.ReqContext reqContext_;
			
			///<summary>
			/// 资质id
			///</summary>
			
			private List<long?> qualificationIds_;
			
			public com.vip.osp.category.api.comm.ReqContext GetReqContext(){
				return this.reqContext_;
			}
			
			public void SetReqContext(com.vip.osp.category.api.comm.ReqContext value){
				this.reqContext_ = value;
			}
			public List<long?> GetQualificationIds(){
				return this.qualificationIds_;
			}
			
			public void SetQualificationIds(List<long?> value){
				this.qualificationIds_ = value;
			}
			
		}
		
		
		
		
		public class getAttributeByTag_args {
			
			///<summary>
			/// 标签类型, 商品标签为0, 品牌类型为1,档期标签为2
			/// @sampleValue tagType tagType=1
			///</summary>
			
			private int? tagType_;
			
			///<summary>
			/// 是否包含选项信息，默认为true
			/// @sampleValue isIncludeOption isIncludeOption=true
			///</summary>
			
			private bool? isIncludeOption_;
			
			public int? GetTagType(){
				return this.tagType_;
			}
			
			public void SetTagType(int? value){
				this.tagType_ = value;
			}
			public bool? GetIsIncludeOption(){
				return this.isIncludeOption_;
			}
			
			public void SetIsIncludeOption(bool? value){
				this.isIncludeOption_ = value;
			}
			
		}
		
		
		
		
		public class getBriefCategoryAttributesByIds_args {
			
			///<summary>
			/// 分类IDS，最大15个
			/// @sampleValue categoryIds categoryIds=[134,137,378]
			///</summary>
			
			private List<int?> categoryIds_;
			
			///<summary>
			/// 是否输出属性值集合
			/// @sampleValue isIncludeOption isIncludeOption=false
			///</summary>
			
			private bool? isIncludeOption_;
			
			public List<int?> GetCategoryIds(){
				return this.categoryIds_;
			}
			
			public void SetCategoryIds(List<int?> value){
				this.categoryIds_ = value;
			}
			public bool? GetIsIncludeOption(){
				return this.isIncludeOption_;
			}
			
			public void SetIsIncludeOption(bool? value){
				this.isIncludeOption_ = value;
			}
			
		}
		
		
		
		
		public class getBriefCategoryTree_args {
			
			///<summary>
			/// 展示分类ID
			/// @sampleValue categoryId categoryId=37456
			///</summary>
			
			private int? categoryId_;
			
			///<summary>
			/// 是否包含子节点,默认为false
			/// @sampleValue isIncludeChildren isIncludeChildren=true
			///</summary>
			
			private bool? isIncludeChildren_;
			
			///<summary>
			/// 是否返回属性,标签,特有属性,映射录入分类信息,默认都不返回
			///</summary>
			
			private List<com.vip.osp.category.api.comm.ResultFields?> resultFields_;
			
			public int? GetCategoryId(){
				return this.categoryId_;
			}
			
			public void SetCategoryId(int? value){
				this.categoryId_ = value;
			}
			public bool? GetIsIncludeChildren(){
				return this.isIncludeChildren_;
			}
			
			public void SetIsIncludeChildren(bool? value){
				this.isIncludeChildren_ = value;
			}
			public List<com.vip.osp.category.api.comm.ResultFields?> GetResultFields(){
				return this.resultFields_;
			}
			
			public void SetResultFields(List<com.vip.osp.category.api.comm.ResultFields?> value){
				this.resultFields_ = value;
			}
			
		}
		
		
		
		
		public class getCategories_args {
			
			///<summary>
			/// 分类IDS, 用逗号分隔
			/// @sampleValue categoryids categoryids=327,328
			///</summary>
			
			private string categoryids_;
			
			public string GetCategoryids(){
				return this.categoryids_;
			}
			
			public void SetCategoryids(string value){
				this.categoryids_ = value;
			}
			
		}
		
		
		
		
		public class getCategoriesAndChildrenAttributes_args {
			
			///<summary>
			/// 分类IDS
			/// @sampleValue categoryids categoryids=[327,328]
			///</summary>
			
			private List<int?> categoryids_;
			
			///<summary>
			/// 是否包含属性值，默认为false
			/// @sampleValue isVendorProductAttribute isVendorProductAttribute=true
			///</summary>
			
			private bool? isVendorProductAttribute_;
			
			///<summary>
			/// 是否包含属性值，默认为false
			/// @sampleValue isIncludeOption isIncludeOption=true
			///</summary>
			
			private bool? isIncludeOption_;
			
			public List<int?> GetCategoryids(){
				return this.categoryids_;
			}
			
			public void SetCategoryids(List<int?> value){
				this.categoryids_ = value;
			}
			public bool? GetIsVendorProductAttribute(){
				return this.isVendorProductAttribute_;
			}
			
			public void SetIsVendorProductAttribute(bool? value){
				this.isVendorProductAttribute_ = value;
			}
			public bool? GetIsIncludeOption(){
				return this.isIncludeOption_;
			}
			
			public void SetIsIncludeOption(bool? value){
				this.isIncludeOption_ = value;
			}
			
		}
		
		
		
		
		public class getCategory_args {
			
			///<summary>
			/// 分类ID
			/// @sampleValue categoryId categoryId=1
			///</summary>
			
			private int? categoryId_;
			
			public int? GetCategoryId(){
				return this.categoryId_;
			}
			
			public void SetCategoryId(int? value){
				this.categoryId_ = value;
			}
			
		}
		
		
		
		
		public class getCategoryAttributeIdsByIds_args {
			
			///<summary>
			/// 录入分类IDS，最大30个
			///</summary>
			
			private List<int?> categoryIds_;
			
			public List<int?> GetCategoryIds(){
				return this.categoryIds_;
			}
			
			public void SetCategoryIds(List<int?> value){
				this.categoryIds_ = value;
			}
			
		}
		
		
		
		
		public class getCategoryAttributes_args {
			
			///<summary>
			/// 分类ID
			/// @sampleValue categoryId categoryId=112
			///</summary>
			
			private int? categoryId_;
			
			public int? GetCategoryId(){
				return this.categoryId_;
			}
			
			public void SetCategoryId(int? value){
				this.categoryId_ = value;
			}
			
		}
		
		
		
		
		public class getCategoryByName_args {
			
			///<summary>
			/// 分类名称
			/// @sampleValue name name=鞋
			///</summary>
			
			private string name_;
			
			///<summary>
			/// 数据条数
			/// @sampleValue limit limit=100
			///</summary>
			
			private int? limit_;
			
			public string GetName(){
				return this.name_;
			}
			
			public void SetName(string value){
				this.name_ = value;
			}
			public int? GetLimit(){
				return this.limit_;
			}
			
			public void SetLimit(int? value){
				this.limit_ = value;
			}
			
		}
		
		
		
		
		public class getCategoryIdAndNameList_args {
			
			///<summary>
			/// 分类IDS
			/// @sampleValue categoryids categoryids=[327,328]
			///</summary>
			
			private List<int?> categoryids_;
			
			public List<int?> GetCategoryids(){
				return this.categoryids_;
			}
			
			public void SetCategoryids(List<int?> value){
				this.categoryids_ = value;
			}
			
		}
		
		
		
		
		public class getCategoryPath_args {
			
			///<summary>
			/// 分类ID
			/// @sampleValue categoryId categoryId=112
			///</summary>
			
			private int? categoryId_;
			
			public int? GetCategoryId(){
				return this.categoryId_;
			}
			
			public void SetCategoryId(int? value){
				this.categoryId_ = value;
			}
			
		}
		
		
		
		
		public class getCategoryQuestionAnswer_args {
			
			///<summary>
			/// 请求上下文
			///</summary>
			
			private com.vip.osp.category.api.comm.ReqContext reqContext_;
			
			///<summary>
			/// 分类ID
			///</summary>
			
			private int? categoryId_;
			
			public com.vip.osp.category.api.comm.ReqContext GetReqContext(){
				return this.reqContext_;
			}
			
			public void SetReqContext(com.vip.osp.category.api.comm.ReqContext value){
				this.reqContext_ = value;
			}
			public int? GetCategoryId(){
				return this.categoryId_;
			}
			
			public void SetCategoryId(int? value){
				this.categoryId_ = value;
			}
			
		}
		
		
		
		
		public class getCategorySpecialAttributeList_args {
			
			///<summary>
			/// 分类特有属性参数集合
			///</summary>
			
			private List<com.vip.osp.category.api.comm.CategorySpecialParam> categorySpecialParams_;
			
			public List<com.vip.osp.category.api.comm.CategorySpecialParam> GetCategorySpecialParams(){
				return this.categorySpecialParams_;
			}
			
			public void SetCategorySpecialParams(List<com.vip.osp.category.api.comm.CategorySpecialParam> value){
				this.categorySpecialParams_ = value;
			}
			
		}
		
		
		
		
		public class getCategorySpecialAttributes_args {
			
			///<summary>
			/// 分类ID
			/// @sampleValue categoryId categoryId=1
			///</summary>
			
			private int? categoryId_;
			
			///<summary>
			/// 分类属性ID, 当attributeId=0时返回分类对应所有的特有属性信息
			/// @sampleValue attributeId attributeId=0
			///</summary>
			
			private int? attributeId_;
			
			///<summary>
			/// 品牌ID， add by david.jiang 20190506
			/// @sampleValue brandId brandId=0
			///</summary>
			
			private int? brandId_;
			
			public int? GetCategoryId(){
				return this.categoryId_;
			}
			
			public void SetCategoryId(int? value){
				this.categoryId_ = value;
			}
			public int? GetAttributeId(){
				return this.attributeId_;
			}
			
			public void SetAttributeId(int? value){
				this.attributeId_ = value;
			}
			public int? GetBrandId(){
				return this.brandId_;
			}
			
			public void SetBrandId(int? value){
				this.brandId_ = value;
			}
			
		}
		
		
		
		
		public class getCategoryTree_args {
			
			///<summary>
			/// 分类ID
			/// @sampleValue categoryId categoryId=1
			///</summary>
			
			private int? categoryId_;
			
			public int? GetCategoryId(){
				return this.categoryId_;
			}
			
			public void SetCategoryId(int? value){
				this.categoryId_ = value;
			}
			
		}
		
		
		
		
		public class getExchangedReasonByCategoryId_args {
			
			///<summary>
			/// 分类ID
			///</summary>
			
			private int? categoryId_;
			
			///<summary>
			/// 原因类型(0：退货原因；1：换货原因;2:维修原因)
			///</summary>
			
			private byte? reasonType_;
			
			///<summary>
			/// 是否展示(0:展示;1:不展示)
			///</summary>
			
			private byte? isShow_;
			
			///<summary>
			/// 操作来源，校验是否可以调用该接口
			///</summary>
			
			private string appId_;
			
			///<summary>
			/// 相关参数标识， 传图标识： key：imagesFlag, value:0（否） 或者  1（是）
			///</summary>
			
			private Dictionary<string, string> flagsMap_;
			
			public int? GetCategoryId(){
				return this.categoryId_;
			}
			
			public void SetCategoryId(int? value){
				this.categoryId_ = value;
			}
			public byte? GetReasonType(){
				return this.reasonType_;
			}
			
			public void SetReasonType(byte? value){
				this.reasonType_ = value;
			}
			public byte? GetIsShow(){
				return this.isShow_;
			}
			
			public void SetIsShow(byte? value){
				this.isShow_ = value;
			}
			public string GetAppId(){
				return this.appId_;
			}
			
			public void SetAppId(string value){
				this.appId_ = value;
			}
			public Dictionary<string, string> GetFlagsMap(){
				return this.flagsMap_;
			}
			
			public void SetFlagsMap(Dictionary<string, string> value){
				this.flagsMap_ = value;
			}
			
		}
		
		
		
		
		public class getExchangedReasonListByCategoryIds_args {
			
			///<summary>
			/// 分类IDS，最大15个
			///</summary>
			
			private List<int?> categoryIdSet_;
			
			///<summary>
			/// 原因类型(0：退货原因；1：换货原因;2:维修原因)
			///</summary>
			
			private byte? reasonType_;
			
			///<summary>
			/// 是否展示(0:展示;1:不展示)
			///</summary>
			
			private byte? isShow_;
			
			///<summary>
			/// 操作来源，校验是否可以调用该接口
			///</summary>
			
			private string appId_;
			
			///<summary>
			/// 相关参数标识， 传图标识： key：imagesFlag, value:0（否） 或者  1（是）
			///</summary>
			
			private Dictionary<string, string> flagsMap_;
			
			public List<int?> GetCategoryIdSet(){
				return this.categoryIdSet_;
			}
			
			public void SetCategoryIdSet(List<int?> value){
				this.categoryIdSet_ = value;
			}
			public byte? GetReasonType(){
				return this.reasonType_;
			}
			
			public void SetReasonType(byte? value){
				this.reasonType_ = value;
			}
			public byte? GetIsShow(){
				return this.isShow_;
			}
			
			public void SetIsShow(byte? value){
				this.isShow_ = value;
			}
			public string GetAppId(){
				return this.appId_;
			}
			
			public void SetAppId(string value){
				this.appId_ = value;
			}
			public Dictionary<string, string> GetFlagsMap(){
				return this.flagsMap_;
			}
			
			public void SetFlagsMap(Dictionary<string, string> value){
				this.flagsMap_ = value;
			}
			
		}
		
		
		
		
		public class getExchangedReasonListByIds_args {
			
			///<summary>
			/// 原因IDS, 最大15个
			///</summary>
			
			private List<int?> reasonIdSet_;
			
			///<summary>
			/// 操作来源，校验是否可以调用该接口
			///</summary>
			
			private string appId_;
			
			public List<int?> GetReasonIdSet(){
				return this.reasonIdSet_;
			}
			
			public void SetReasonIdSet(List<int?> value){
				this.reasonIdSet_ = value;
			}
			public string GetAppId(){
				return this.appId_;
			}
			
			public void SetAppId(string value){
				this.appId_ = value;
			}
			
		}
		
		
		
		
		public class getHierachyFilterAttributes_args {
			
			///<summary>
			/// 展示分类ID
			/// @sampleValue categoryId categoryId=1345
			///</summary>
			
			private int? categoryId_;
			
			public int? GetCategoryId(){
				return this.categoryId_;
			}
			
			public void SetCategoryId(int? value){
				this.categoryId_ = value;
			}
			
		}
		
		
		
		
		public class getHierarchyCategoryTree_args {
			
			///<summary>
			/// 导航ID
			/// @sampleValue hierarchyId hierarchyId=1
			///</summary>
			
			private int? hierarchyId_;
			
			///<summary>
			/// 是否包含子节点，默认为false
			/// @sampleValue isIncludeChildren isIncludeChildren=true
			///</summary>
			
			private bool? isIncludeChildren_;
			
			public int? GetHierarchyId(){
				return this.hierarchyId_;
			}
			
			public void SetHierarchyId(int? value){
				this.hierarchyId_ = value;
			}
			public bool? GetIsIncludeChildren(){
				return this.isIncludeChildren_;
			}
			
			public void SetIsIncludeChildren(bool? value){
				this.isIncludeChildren_ = value;
			}
			
		}
		
		
		
		
		public class getHierarchyCategoryTreeForVre_args {
			
			///<summary>
			/// 展示导航ID
			///</summary>
			
			private int? hierarchyId_;
			
			public int? GetHierarchyId(){
				return this.hierarchyId_;
			}
			
			public void SetHierarchyId(int? value){
				this.hierarchyId_ = value;
			}
			
		}
		
		
		
		
		public class getHierarchyCategroyidsByCategoryIds_args {
			
			///<summary>
			/// 展示导航ID,请填写展示导航id即非0的数字
			/// @sampleValue hierarchyId hierarchyId=2
			///</summary>
			
			private int? hierarchyId_;
			
			///<summary>
			/// 录入分类IDS, 最多包含10个分类id,分类id对应的分类都应是leaf-cat 类型,必填以此处为准
			///</summary>
			
			private List<int?> categoryIds_;
			
			public int? GetHierarchyId(){
				return this.hierarchyId_;
			}
			
			public void SetHierarchyId(int? value){
				this.hierarchyId_ = value;
			}
			public List<int?> GetCategoryIds(){
				return this.categoryIds_;
			}
			
			public void SetCategoryIds(List<int?> value){
				this.categoryIds_ = value;
			}
			
		}
		
		
		
		
		public class getHierarchyIdsForVre_args {
			
			
		}
		
		
		
		
		public class getHierarchyLeafCategoryIdAndNameList_args {
			
			///<summary>
			/// 展示导航ID
			/// @sampleValue hierarchyId hierarchyId=2
			///</summary>
			
			private int? hierarchyId_;
			
			///<summary>
			/// 录入三级分类IDS
			/// @sampleValue categoryIds categoryId=[134,137,378]
			///</summary>
			
			private List<int?> categoryIds_;
			
			public int? GetHierarchyId(){
				return this.hierarchyId_;
			}
			
			public void SetHierarchyId(int? value){
				this.hierarchyId_ = value;
			}
			public List<int?> GetCategoryIds(){
				return this.categoryIds_;
			}
			
			public void SetCategoryIds(List<int?> value){
				this.categoryIds_ = value;
			}
			
		}
		
		
		
		
		public class getHierarchyTopCategoryIdAndNameList_args {
			
			///<summary>
			/// 展示导航ID
			/// @sampleValue hierarchyId hierarchyId=2
			///</summary>
			
			private int? hierarchyId_;
			
			///<summary>
			/// 录入三级分类IDS
			/// @sampleValue categoryIds categoryId=[134,137,378]
			///</summary>
			
			private List<int?> categoryIds_;
			
			public int? GetHierarchyId(){
				return this.hierarchyId_;
			}
			
			public void SetHierarchyId(int? value){
				this.hierarchyId_ = value;
			}
			public List<int?> GetCategoryIds(){
				return this.categoryIds_;
			}
			
			public void SetCategoryIds(List<int?> value){
				this.categoryIds_ = value;
			}
			
		}
		
		
		
		
		public class getLeafCategoryByName_args {
			
			///<summary>
			/// 分类名称
			/// @sampleValue name name=鞋
			///</summary>
			
			private string name_;
			
			///<summary>
			/// 数据条数
			/// @sampleValue limit limit=100
			///</summary>
			
			private int? limit_;
			
			public string GetName(){
				return this.name_;
			}
			
			public void SetName(string value){
				this.name_ = value;
			}
			public int? GetLimit(){
				return this.limit_;
			}
			
			public void SetLimit(int? value){
				this.limit_ = value;
			}
			
		}
		
		
		
		
		public class getMultiCategories_args {
			
			///<summary>
			/// 分类IDS
			/// @sampleValue categoryids categoryids=[327,328]
			///</summary>
			
			private List<int?> categoryids_;
			
			///<summary>
			/// 是否包含子节点，默认为false
			/// @sampleValue isIncludeChildren isIncludeChildren=true
			///</summary>
			
			private bool? isIncludeChildren_;
			
			///<summary>
			/// 是否包含属性信息，默认为false
			/// @sampleValue isIncludeAttribute isIncludeAttribute=true
			///</summary>
			
			private bool? isIncludeAttribute_;
			
			public List<int?> GetCategoryids(){
				return this.categoryids_;
			}
			
			public void SetCategoryids(List<int?> value){
				this.categoryids_ = value;
			}
			public bool? GetIsIncludeChildren(){
				return this.isIncludeChildren_;
			}
			
			public void SetIsIncludeChildren(bool? value){
				this.isIncludeChildren_ = value;
			}
			public bool? GetIsIncludeAttribute(){
				return this.isIncludeAttribute_;
			}
			
			public void SetIsIncludeAttribute(bool? value){
				this.isIncludeAttribute_ = value;
			}
			
		}
		
		
		
		
		public class getPublishCategoryTree_args {
			
			///<summary>
			/// 请求上下文
			///</summary>
			
			private com.vip.osp.category.api.comm.ReqContext reqContext_;
			
			///<summary>
			/// 分类ID
			///</summary>
			
			private int? categoryId_;
			
			///<summary>
			/// 新旧分类树枚举
			///</summary>
			
			private com.vip.osp.category.api.comm.TreeOption? option_;
			
			public com.vip.osp.category.api.comm.ReqContext GetReqContext(){
				return this.reqContext_;
			}
			
			public void SetReqContext(com.vip.osp.category.api.comm.ReqContext value){
				this.reqContext_ = value;
			}
			public int? GetCategoryId(){
				return this.categoryId_;
			}
			
			public void SetCategoryId(int? value){
				this.categoryId_ = value;
			}
			public com.vip.osp.category.api.comm.TreeOption? GetOption(){
				return this.option_;
			}
			
			public void SetOption(com.vip.osp.category.api.comm.TreeOption? value){
				this.option_ = value;
			}
			
		}
		
		
		
		
		public class getPublishHierarchyCategoryTree_args {
			
			///<summary>
			/// 请求上下文
			///</summary>
			
			private com.vip.osp.category.api.comm.ReqContext reqContext_;
			
			///<summary>
			/// 新旧分类树枚举
			///</summary>
			
			private com.vip.osp.category.api.comm.TreeOption? option_;
			
			///<summary>
			/// 是否包含子节点，默认为false
			/// @sampleValue isIncludeChildren isIncludeChildren=true
			///</summary>
			
			private bool? isIncludeChildren_;
			
			public com.vip.osp.category.api.comm.ReqContext GetReqContext(){
				return this.reqContext_;
			}
			
			public void SetReqContext(com.vip.osp.category.api.comm.ReqContext value){
				this.reqContext_ = value;
			}
			public com.vip.osp.category.api.comm.TreeOption? GetOption(){
				return this.option_;
			}
			
			public void SetOption(com.vip.osp.category.api.comm.TreeOption? value){
				this.option_ = value;
			}
			public bool? GetIsIncludeChildren(){
				return this.isIncludeChildren_;
			}
			
			public void SetIsIncludeChildren(bool? value){
				this.isIncludeChildren_ = value;
			}
			
		}
		
		
		
		
		public class getTagByIds_args {
			
			///<summary>
			/// 标签IDS, 最多包含15个标签id
			///</summary>
			
			private List<int?> tagIds_;
			
			public List<int?> GetTagIds(){
				return this.tagIds_;
			}
			
			public void SetTagIds(List<int?> value){
				this.tagIds_ = value;
			}
			
		}
		
		
		
		
		public class getTagInfoList_args {
			
			///<summary>
			/// 标签ID，最多30个
			///</summary>
			
			private List<int?> tagSnList_;
			
			public List<int?> GetTagSnList(){
				return this.tagSnList_;
			}
			
			public void SetTagSnList(List<int?> value){
				this.tagSnList_ = value;
			}
			
		}
		
		
		
		
		public class getTagsByTagType_args {
			
			///<summary>
			/// 标签类型，0-商品标签，1-品牌标签，2-档期标签
			///</summary>
			
			private com.vip.osp.category.api.comm.TagType? tagType_;
			
			///<summary>
			/// 当前页，大于0
			///</summary>
			
			private int? curPage_;
			
			///<summary>
			/// 页大小， 大于0且最大100条
			///</summary>
			
			private int? pageSize_;
			
			public com.vip.osp.category.api.comm.TagType? GetTagType(){
				return this.tagType_;
			}
			
			public void SetTagType(com.vip.osp.category.api.comm.TagType? value){
				this.tagType_ = value;
			}
			public int? GetCurPage(){
				return this.curPage_;
			}
			
			public void SetCurPage(int? value){
				this.curPage_ = value;
			}
			public int? GetPageSize(){
				return this.pageSize_;
			}
			
			public void SetPageSize(int? value){
				this.pageSize_ = value;
			}
			
		}
		
		
		
		
		public class getUpdatedPublishCategories_args {
			
			///<summary>
			/// 时间戳
			/// @sampleValue sinceUpdateTime sinceUpdateTime=0
			///</summary>
			
			private long? sinceUpdateTime_;
			
			///<summary>
			/// 导航ID
			/// @sampleValue hierarchyId hierarchyId=0
			///</summary>
			
			private int? hierarchyId_;
			
			public long? GetSinceUpdateTime(){
				return this.sinceUpdateTime_;
			}
			
			public void SetSinceUpdateTime(long? value){
				this.sinceUpdateTime_ = value;
			}
			public int? GetHierarchyId(){
				return this.hierarchyId_;
			}
			
			public void SetHierarchyId(int? value){
				this.hierarchyId_ = value;
			}
			
		}
		
		
		
		
		public class healthCheck_args {
			
			
		}
		
		
		
		
		public class parseAttributes_args {
			
			///<summary>
			/// 分类ID
			///</summary>
			
			private int? categoryId_;
			
			///<summary>
			/// 结构解析参数, 包括属性ID、属性值ID、别名等
			///</summary>
			
			private List<com.vip.osp.category.api.comm.AttrOptIds> attrOptIdsList_;
			
			public int? GetCategoryId(){
				return this.categoryId_;
			}
			
			public void SetCategoryId(int? value){
				this.categoryId_ = value;
			}
			public List<com.vip.osp.category.api.comm.AttrOptIds> GetAttrOptIdsList(){
				return this.attrOptIdsList_;
			}
			
			public void SetAttrOptIdsList(List<com.vip.osp.category.api.comm.AttrOptIds> value){
				this.attrOptIdsList_ = value;
			}
			
		}
		
		
		
		
		public class batchGetQualifications_result {
			
			///<summary>
			///</summary>
			
			private Dictionary<long?, com.vip.osp.category.api.comm.Qualification> success_;
			
			public Dictionary<long?, com.vip.osp.category.api.comm.Qualification> GetSuccess(){
				return this.success_;
			}
			
			public void SetSuccess(Dictionary<long?, com.vip.osp.category.api.comm.Qualification> value){
				this.success_ = value;
			}
			
		}
		
		
		
		
		public class getAttributeByTag_result {
			
			///<summary>
			///</summary>
			
			private List<com.vip.osp.category.api.comm.Attribute> success_;
			
			public List<com.vip.osp.category.api.comm.Attribute> GetSuccess(){
				return this.success_;
			}
			
			public void SetSuccess(List<com.vip.osp.category.api.comm.Attribute> value){
				this.success_ = value;
			}
			
		}
		
		
		
		
		public class getBriefCategoryAttributesByIds_result {
			
			///<summary>
			///</summary>
			
			private List<com.vip.osp.category.api.comm.BriefCategoryAttributes> success_;
			
			public List<com.vip.osp.category.api.comm.BriefCategoryAttributes> GetSuccess(){
				return this.success_;
			}
			
			public void SetSuccess(List<com.vip.osp.category.api.comm.BriefCategoryAttributes> value){
				this.success_ = value;
			}
			
		}
		
		
		
		
		public class getBriefCategoryTree_result {
			
			///<summary>
			///</summary>
			
			private com.vip.osp.category.api.comm.BriefCategory success_;
			
			public com.vip.osp.category.api.comm.BriefCategory GetSuccess(){
				return this.success_;
			}
			
			public void SetSuccess(com.vip.osp.category.api.comm.BriefCategory value){
				this.success_ = value;
			}
			
		}
		
		
		
		
		public class getCategories_result {
			
			///<summary>
			///</summary>
			
			private List<com.vip.osp.category.api.comm.Category> success_;
			
			public List<com.vip.osp.category.api.comm.Category> GetSuccess(){
				return this.success_;
			}
			
			public void SetSuccess(List<com.vip.osp.category.api.comm.Category> value){
				this.success_ = value;
			}
			
		}
		
		
		
		
		public class getCategoriesAndChildrenAttributes_result {
			
			///<summary>
			///</summary>
			
			private List<com.vip.osp.category.api.comm.Attribute> success_;
			
			public List<com.vip.osp.category.api.comm.Attribute> GetSuccess(){
				return this.success_;
			}
			
			public void SetSuccess(List<com.vip.osp.category.api.comm.Attribute> value){
				this.success_ = value;
			}
			
		}
		
		
		
		
		public class getCategory_result {
			
			///<summary>
			///</summary>
			
			private com.vip.osp.category.api.comm.Category success_;
			
			public com.vip.osp.category.api.comm.Category GetSuccess(){
				return this.success_;
			}
			
			public void SetSuccess(com.vip.osp.category.api.comm.Category value){
				this.success_ = value;
			}
			
		}
		
		
		
		
		public class getCategoryAttributeIdsByIds_result {
			
			///<summary>
			///</summary>
			
			private List<com.vip.osp.category.api.comm.CategoryAttributeIds> success_;
			
			public List<com.vip.osp.category.api.comm.CategoryAttributeIds> GetSuccess(){
				return this.success_;
			}
			
			public void SetSuccess(List<com.vip.osp.category.api.comm.CategoryAttributeIds> value){
				this.success_ = value;
			}
			
		}
		
		
		
		
		public class getCategoryAttributes_result {
			
			///<summary>
			///</summary>
			
			private List<com.vip.osp.category.api.comm.Attribute> success_;
			
			public List<com.vip.osp.category.api.comm.Attribute> GetSuccess(){
				return this.success_;
			}
			
			public void SetSuccess(List<com.vip.osp.category.api.comm.Attribute> value){
				this.success_ = value;
			}
			
		}
		
		
		
		
		public class getCategoryByName_result {
			
			///<summary>
			///</summary>
			
			private List<com.vip.osp.category.api.comm.Category> success_;
			
			public List<com.vip.osp.category.api.comm.Category> GetSuccess(){
				return this.success_;
			}
			
			public void SetSuccess(List<com.vip.osp.category.api.comm.Category> value){
				this.success_ = value;
			}
			
		}
		
		
		
		
		public class getCategoryIdAndNameList_result {
			
			///<summary>
			///</summary>
			
			private List<com.vip.osp.category.api.comm.CategoryIdAndName> success_;
			
			public List<com.vip.osp.category.api.comm.CategoryIdAndName> GetSuccess(){
				return this.success_;
			}
			
			public void SetSuccess(List<com.vip.osp.category.api.comm.CategoryIdAndName> value){
				this.success_ = value;
			}
			
		}
		
		
		
		
		public class getCategoryPath_result {
			
			///<summary>
			///</summary>
			
			private List<com.vip.osp.category.api.comm.CategoryPath> success_;
			
			public List<com.vip.osp.category.api.comm.CategoryPath> GetSuccess(){
				return this.success_;
			}
			
			public void SetSuccess(List<com.vip.osp.category.api.comm.CategoryPath> value){
				this.success_ = value;
			}
			
		}
		
		
		
		
		public class getCategoryQuestionAnswer_result {
			
			///<summary>
			///</summary>
			
			private com.vip.osp.category.api.comm.CategoryQuestionAnswerShort success_;
			
			public com.vip.osp.category.api.comm.CategoryQuestionAnswerShort GetSuccess(){
				return this.success_;
			}
			
			public void SetSuccess(com.vip.osp.category.api.comm.CategoryQuestionAnswerShort value){
				this.success_ = value;
			}
			
		}
		
		
		
		
		public class getCategorySpecialAttributeList_result {
			
			///<summary>
			///</summary>
			
			private List<com.vip.osp.category.api.comm.CategorySpecialAttributes> success_;
			
			public List<com.vip.osp.category.api.comm.CategorySpecialAttributes> GetSuccess(){
				return this.success_;
			}
			
			public void SetSuccess(List<com.vip.osp.category.api.comm.CategorySpecialAttributes> value){
				this.success_ = value;
			}
			
		}
		
		
		
		
		public class getCategorySpecialAttributes_result {
			
			///<summary>
			///</summary>
			
			private List<com.vip.osp.category.api.comm.AttributeWithValue> success_;
			
			public List<com.vip.osp.category.api.comm.AttributeWithValue> GetSuccess(){
				return this.success_;
			}
			
			public void SetSuccess(List<com.vip.osp.category.api.comm.AttributeWithValue> value){
				this.success_ = value;
			}
			
		}
		
		
		
		
		public class getCategoryTree_result {
			
			///<summary>
			///</summary>
			
			private com.vip.osp.category.api.comm.Category success_;
			
			public com.vip.osp.category.api.comm.Category GetSuccess(){
				return this.success_;
			}
			
			public void SetSuccess(com.vip.osp.category.api.comm.Category value){
				this.success_ = value;
			}
			
		}
		
		
		
		
		public class getExchangedReasonByCategoryId_result {
			
			///<summary>
			///</summary>
			
			private com.vip.osp.category.api.comm.CategoryExchangedReason success_;
			
			public com.vip.osp.category.api.comm.CategoryExchangedReason GetSuccess(){
				return this.success_;
			}
			
			public void SetSuccess(com.vip.osp.category.api.comm.CategoryExchangedReason value){
				this.success_ = value;
			}
			
		}
		
		
		
		
		public class getExchangedReasonListByCategoryIds_result {
			
			///<summary>
			///</summary>
			
			private List<com.vip.osp.category.api.comm.CategoryExchangedReason> success_;
			
			public List<com.vip.osp.category.api.comm.CategoryExchangedReason> GetSuccess(){
				return this.success_;
			}
			
			public void SetSuccess(List<com.vip.osp.category.api.comm.CategoryExchangedReason> value){
				this.success_ = value;
			}
			
		}
		
		
		
		
		public class getExchangedReasonListByIds_result {
			
			///<summary>
			///</summary>
			
			private List<com.vip.osp.category.api.comm.ExchangedReason> success_;
			
			public List<com.vip.osp.category.api.comm.ExchangedReason> GetSuccess(){
				return this.success_;
			}
			
			public void SetSuccess(List<com.vip.osp.category.api.comm.ExchangedReason> value){
				this.success_ = value;
			}
			
		}
		
		
		
		
		public class getHierachyFilterAttributes_result {
			
			///<summary>
			///</summary>
			
			private string success_;
			
			public string GetSuccess(){
				return this.success_;
			}
			
			public void SetSuccess(string value){
				this.success_ = value;
			}
			
		}
		
		
		
		
		public class getHierarchyCategoryTree_result {
			
			///<summary>
			///</summary>
			
			private List<com.vip.osp.category.api.comm.Category> success_;
			
			public List<com.vip.osp.category.api.comm.Category> GetSuccess(){
				return this.success_;
			}
			
			public void SetSuccess(List<com.vip.osp.category.api.comm.Category> value){
				this.success_ = value;
			}
			
		}
		
		
		
		
		public class getHierarchyCategoryTreeForVre_result {
			
			///<summary>
			///</summary>
			
			private com.vip.osp.category.api.comm.HierarchyTopCategoryVre success_;
			
			public com.vip.osp.category.api.comm.HierarchyTopCategoryVre GetSuccess(){
				return this.success_;
			}
			
			public void SetSuccess(com.vip.osp.category.api.comm.HierarchyTopCategoryVre value){
				this.success_ = value;
			}
			
		}
		
		
		
		
		public class getHierarchyCategroyidsByCategoryIds_result {
			
			///<summary>
			///</summary>
			
			private List<com.vip.osp.category.api.comm.Category> success_;
			
			public List<com.vip.osp.category.api.comm.Category> GetSuccess(){
				return this.success_;
			}
			
			public void SetSuccess(List<com.vip.osp.category.api.comm.Category> value){
				this.success_ = value;
			}
			
		}
		
		
		
		
		public class getHierarchyIdsForVre_result {
			
			///<summary>
			///</summary>
			
			private List<int?> success_;
			
			public List<int?> GetSuccess(){
				return this.success_;
			}
			
			public void SetSuccess(List<int?> value){
				this.success_ = value;
			}
			
		}
		
		
		
		
		public class getHierarchyLeafCategoryIdAndNameList_result {
			
			///<summary>
			///</summary>
			
			private List<com.vip.osp.category.api.comm.HierarchyCategoryIdAndNames> success_;
			
			public List<com.vip.osp.category.api.comm.HierarchyCategoryIdAndNames> GetSuccess(){
				return this.success_;
			}
			
			public void SetSuccess(List<com.vip.osp.category.api.comm.HierarchyCategoryIdAndNames> value){
				this.success_ = value;
			}
			
		}
		
		
		
		
		public class getHierarchyTopCategoryIdAndNameList_result {
			
			///<summary>
			///</summary>
			
			private List<com.vip.osp.category.api.comm.HierarchyTopCategoryIdAndNames> success_;
			
			public List<com.vip.osp.category.api.comm.HierarchyTopCategoryIdAndNames> GetSuccess(){
				return this.success_;
			}
			
			public void SetSuccess(List<com.vip.osp.category.api.comm.HierarchyTopCategoryIdAndNames> value){
				this.success_ = value;
			}
			
		}
		
		
		
		
		public class getLeafCategoryByName_result {
			
			///<summary>
			///</summary>
			
			private List<com.vip.osp.category.api.comm.Category> success_;
			
			public List<com.vip.osp.category.api.comm.Category> GetSuccess(){
				return this.success_;
			}
			
			public void SetSuccess(List<com.vip.osp.category.api.comm.Category> value){
				this.success_ = value;
			}
			
		}
		
		
		
		
		public class getMultiCategories_result {
			
			///<summary>
			///</summary>
			
			private List<com.vip.osp.category.api.comm.Category> success_;
			
			public List<com.vip.osp.category.api.comm.Category> GetSuccess(){
				return this.success_;
			}
			
			public void SetSuccess(List<com.vip.osp.category.api.comm.Category> value){
				this.success_ = value;
			}
			
		}
		
		
		
		
		public class getPublishCategoryTree_result {
			
			///<summary>
			///</summary>
			
			private com.vip.osp.category.api.comm.Category success_;
			
			public com.vip.osp.category.api.comm.Category GetSuccess(){
				return this.success_;
			}
			
			public void SetSuccess(com.vip.osp.category.api.comm.Category value){
				this.success_ = value;
			}
			
		}
		
		
		
		
		public class getPublishHierarchyCategoryTree_result {
			
			///<summary>
			///</summary>
			
			private List<com.vip.osp.category.api.comm.Category> success_;
			
			public List<com.vip.osp.category.api.comm.Category> GetSuccess(){
				return this.success_;
			}
			
			public void SetSuccess(List<com.vip.osp.category.api.comm.Category> value){
				this.success_ = value;
			}
			
		}
		
		
		
		
		public class getTagByIds_result {
			
			///<summary>
			///</summary>
			
			private List<com.vip.osp.category.api.comm.CategoryTagAttribute> success_;
			
			public List<com.vip.osp.category.api.comm.CategoryTagAttribute> GetSuccess(){
				return this.success_;
			}
			
			public void SetSuccess(List<com.vip.osp.category.api.comm.CategoryTagAttribute> value){
				this.success_ = value;
			}
			
		}
		
		
		
		
		public class getTagInfoList_result {
			
			///<summary>
			///</summary>
			
			private List<com.vip.osp.category.api.comm.TagInfo> success_;
			
			public List<com.vip.osp.category.api.comm.TagInfo> GetSuccess(){
				return this.success_;
			}
			
			public void SetSuccess(List<com.vip.osp.category.api.comm.TagInfo> value){
				this.success_ = value;
			}
			
		}
		
		
		
		
		public class getTagsByTagType_result {
			
			///<summary>
			///</summary>
			
			private List<com.vip.osp.category.api.comm.TagInfo> success_;
			
			public List<com.vip.osp.category.api.comm.TagInfo> GetSuccess(){
				return this.success_;
			}
			
			public void SetSuccess(List<com.vip.osp.category.api.comm.TagInfo> value){
				this.success_ = value;
			}
			
		}
		
		
		
		
		public class getUpdatedPublishCategories_result {
			
			///<summary>
			///</summary>
			
			private com.vip.osp.category.api.comm.CategoryUpdates success_;
			
			public com.vip.osp.category.api.comm.CategoryUpdates GetSuccess(){
				return this.success_;
			}
			
			public void SetSuccess(com.vip.osp.category.api.comm.CategoryUpdates value){
				this.success_ = value;
			}
			
		}
		
		
		
		
		public class healthCheck_result {
			
			///<summary>
			///</summary>
			
			private com.vip.hermes.core.health.CheckResult success_;
			
			public com.vip.hermes.core.health.CheckResult GetSuccess(){
				return this.success_;
			}
			
			public void SetSuccess(com.vip.hermes.core.health.CheckResult value){
				this.success_ = value;
			}
			
		}
		
		
		
		
		public class parseAttributes_result {
			
			///<summary>
			///</summary>
			
			private List<com.vip.osp.category.api.comm.Attribute> success_;
			
			public List<com.vip.osp.category.api.comm.Attribute> GetSuccess(){
				return this.success_;
			}
			
			public void SetSuccess(List<com.vip.osp.category.api.comm.Attribute> value){
				this.success_ = value;
			}
			
		}
		
		
		
		
		
		public class batchGetQualifications_argsHelper : TBeanSerializer<batchGetQualifications_args>
		{
			
			public static batchGetQualifications_argsHelper OBJ = new batchGetQualifications_argsHelper();
			
			public static batchGetQualifications_argsHelper getInstance() {
				
				return OBJ;
			}
			
			
			public void Read(batchGetQualifications_args structs, Protocol iprot){
				
				
				
				
				if(true){
					
					com.vip.osp.category.api.comm.ReqContext value;
					
					value = new com.vip.osp.category.api.comm.ReqContext();
					com.vip.osp.category.api.comm.ReqContextHelper.getInstance().Read(value, iprot);
					
					structs.SetReqContext(value);
				}
				
				
				
				
				
				if(true){
					
					List<long?> value;
					
					value = new List<long?>();
					iprot.ReadListBegin();
					while(true){
						
						try{
							
							long elem1;
							elem1 = iprot.ReadI64(); 
							
							value.Add(elem1);
						}
						catch(Exception e){
							
							
							break;
						}
					}
					
					iprot.ReadListEnd();
					
					structs.SetQualificationIds(value);
				}
				
				
				
				
				Validate(structs);
				
			}
			
			
			public void Write(batchGetQualifications_args structs, Protocol oprot){
				
				Validate(structs);
				oprot.WriteStructBegin();
				
				if(structs.GetReqContext() != null) {
					
					oprot.WriteFieldBegin("reqContext");
					
					com.vip.osp.category.api.comm.ReqContextHelper.getInstance().Write(structs.GetReqContext(), oprot);
					
					oprot.WriteFieldEnd();
				}
				
				else{
					throw new ArgumentException("reqContext can not be null!");
				}
				
				
				if(structs.GetQualificationIds() != null) {
					
					oprot.WriteFieldBegin("qualificationIds");
					
					oprot.WriteListBegin();
					foreach(long _item0 in structs.GetQualificationIds()){
						
						oprot.WriteI64((long)_item0); 
						
					}
					
					oprot.WriteListEnd();
					
					oprot.WriteFieldEnd();
				}
				
				else{
					throw new ArgumentException("qualificationIds can not be null!");
				}
				
				
				oprot.WriteFieldStop();
				oprot.WriteStructEnd();
			}
			
			
			public void Validate(batchGetQualifications_args bean){
				
				
			}
			
			
		}
		
		
		
		
		public class getAttributeByTag_argsHelper : TBeanSerializer<getAttributeByTag_args>
		{
			
			public static getAttributeByTag_argsHelper OBJ = new getAttributeByTag_argsHelper();
			
			public static getAttributeByTag_argsHelper getInstance() {
				
				return OBJ;
			}
			
			
			public void Read(getAttributeByTag_args structs, Protocol iprot){
				
				
				
				
				if(true){
					
					int value;
					value = iprot.ReadI32(); 
					
					structs.SetTagType(value);
				}
				
				
				
				
				
				if(true){
					
					bool? value;
					value = iprot.ReadBool();
					
					structs.SetIsIncludeOption(value);
				}
				
				
				
				
				Validate(structs);
				
			}
			
			
			public void Write(getAttributeByTag_args structs, Protocol oprot){
				
				Validate(structs);
				oprot.WriteStructBegin();
				
				if(structs.GetTagType() != null) {
					
					oprot.WriteFieldBegin("tagType");
					oprot.WriteI32((int)structs.GetTagType()); 
					
					oprot.WriteFieldEnd();
				}
				
				else{
					throw new ArgumentException("tagType can not be null!");
				}
				
				
				if(structs.GetIsIncludeOption() != null) {
					
					oprot.WriteFieldBegin("isIncludeOption");
					oprot.WriteBool((bool)structs.GetIsIncludeOption());
					
					oprot.WriteFieldEnd();
				}
				
				
				oprot.WriteFieldStop();
				oprot.WriteStructEnd();
			}
			
			
			public void Validate(getAttributeByTag_args bean){
				
				
			}
			
			
		}
		
		
		
		
		public class getBriefCategoryAttributesByIds_argsHelper : TBeanSerializer<getBriefCategoryAttributesByIds_args>
		{
			
			public static getBriefCategoryAttributesByIds_argsHelper OBJ = new getBriefCategoryAttributesByIds_argsHelper();
			
			public static getBriefCategoryAttributesByIds_argsHelper getInstance() {
				
				return OBJ;
			}
			
			
			public void Read(getBriefCategoryAttributesByIds_args structs, Protocol iprot){
				
				
				
				
				if(true){
					
					List<int?> value;
					
					value = new List<int?>();
					iprot.ReadSetBegin();
					while(true){
						
						try{
							
							int elem0;
							elem0 = iprot.ReadI32(); 
							
							value.Add(elem0);
						}
						catch(Exception e){
							
							
							break;
						}
					}
					
					iprot.ReadSetEnd();
					
					structs.SetCategoryIds(value);
				}
				
				
				
				
				
				if(true){
					
					bool? value;
					value = iprot.ReadBool();
					
					structs.SetIsIncludeOption(value);
				}
				
				
				
				
				Validate(structs);
				
			}
			
			
			public void Write(getBriefCategoryAttributesByIds_args structs, Protocol oprot){
				
				Validate(structs);
				oprot.WriteStructBegin();
				
				if(structs.GetCategoryIds() != null) {
					
					oprot.WriteFieldBegin("categoryIds");
					
					oprot.WriteSetBegin();
					foreach(int _item0 in structs.GetCategoryIds()){
						
						oprot.WriteI32((int)_item0); 
						
					}
					
					oprot.WriteSetEnd();
					
					oprot.WriteFieldEnd();
				}
				
				
				if(structs.GetIsIncludeOption() != null) {
					
					oprot.WriteFieldBegin("isIncludeOption");
					oprot.WriteBool((bool)structs.GetIsIncludeOption());
					
					oprot.WriteFieldEnd();
				}
				
				
				oprot.WriteFieldStop();
				oprot.WriteStructEnd();
			}
			
			
			public void Validate(getBriefCategoryAttributesByIds_args bean){
				
				
			}
			
			
		}
		
		
		
		
		public class getBriefCategoryTree_argsHelper : TBeanSerializer<getBriefCategoryTree_args>
		{
			
			public static getBriefCategoryTree_argsHelper OBJ = new getBriefCategoryTree_argsHelper();
			
			public static getBriefCategoryTree_argsHelper getInstance() {
				
				return OBJ;
			}
			
			
			public void Read(getBriefCategoryTree_args structs, Protocol iprot){
				
				
				
				
				if(true){
					
					int value;
					value = iprot.ReadI32(); 
					
					structs.SetCategoryId(value);
				}
				
				
				
				
				
				if(true){
					
					bool? value;
					value = iprot.ReadBool();
					
					structs.SetIsIncludeChildren(value);
				}
				
				
				
				
				
				if(true){
					
					List<com.vip.osp.category.api.comm.ResultFields?> value;
					
					value = new List<com.vip.osp.category.api.comm.ResultFields?>();
					iprot.ReadListBegin();
					while(true){
						
						try{
							
							com.vip.osp.category.api.comm.ResultFields? elem0;
							
							elem0 = com.vip.osp.category.api.comm.ResultFieldsUtil.FindByName(iprot.ReadString());
							
							value.Add(elem0);
						}
						catch(Exception e){
							
							
							break;
						}
					}
					
					iprot.ReadListEnd();
					
					structs.SetResultFields(value);
				}
				
				
				
				
				Validate(structs);
				
			}
			
			
			public void Write(getBriefCategoryTree_args structs, Protocol oprot){
				
				Validate(structs);
				oprot.WriteStructBegin();
				
				if(structs.GetCategoryId() != null) {
					
					oprot.WriteFieldBegin("categoryId");
					oprot.WriteI32((int)structs.GetCategoryId()); 
					
					oprot.WriteFieldEnd();
				}
				
				else{
					throw new ArgumentException("categoryId can not be null!");
				}
				
				
				if(structs.GetIsIncludeChildren() != null) {
					
					oprot.WriteFieldBegin("isIncludeChildren");
					oprot.WriteBool((bool)structs.GetIsIncludeChildren());
					
					oprot.WriteFieldEnd();
				}
				
				
				if(structs.GetResultFields() != null) {
					
					oprot.WriteFieldBegin("resultFields");
					
					oprot.WriteListBegin();
					foreach(com.vip.osp.category.api.comm.ResultFields? _item0 in structs.GetResultFields()){
						
						oprot.WriteString(_item0.ToString());  
						
					}
					
					oprot.WriteListEnd();
					
					oprot.WriteFieldEnd();
				}
				
				
				oprot.WriteFieldStop();
				oprot.WriteStructEnd();
			}
			
			
			public void Validate(getBriefCategoryTree_args bean){
				
				
			}
			
			
		}
		
		
		
		
		public class getCategories_argsHelper : TBeanSerializer<getCategories_args>
		{
			
			public static getCategories_argsHelper OBJ = new getCategories_argsHelper();
			
			public static getCategories_argsHelper getInstance() {
				
				return OBJ;
			}
			
			
			public void Read(getCategories_args structs, Protocol iprot){
				
				
				
				
				if(true){
					
					string value;
					value = iprot.ReadString();
					
					structs.SetCategoryids(value);
				}
				
				
				
				
				Validate(structs);
				
			}
			
			
			public void Write(getCategories_args structs, Protocol oprot){
				
				Validate(structs);
				oprot.WriteStructBegin();
				
				if(structs.GetCategoryids() != null) {
					
					oprot.WriteFieldBegin("categoryids");
					oprot.WriteString(structs.GetCategoryids());
					
					oprot.WriteFieldEnd();
				}
				
				else{
					throw new ArgumentException("categoryids can not be null!");
				}
				
				
				oprot.WriteFieldStop();
				oprot.WriteStructEnd();
			}
			
			
			public void Validate(getCategories_args bean){
				
				
			}
			
			
		}
		
		
		
		
		public class getCategoriesAndChildrenAttributes_argsHelper : TBeanSerializer<getCategoriesAndChildrenAttributes_args>
		{
			
			public static getCategoriesAndChildrenAttributes_argsHelper OBJ = new getCategoriesAndChildrenAttributes_argsHelper();
			
			public static getCategoriesAndChildrenAttributes_argsHelper getInstance() {
				
				return OBJ;
			}
			
			
			public void Read(getCategoriesAndChildrenAttributes_args structs, Protocol iprot){
				
				
				
				
				if(true){
					
					List<int?> value;
					
					value = new List<int?>();
					iprot.ReadListBegin();
					while(true){
						
						try{
							
							int elem0;
							elem0 = iprot.ReadI32(); 
							
							value.Add(elem0);
						}
						catch(Exception e){
							
							
							break;
						}
					}
					
					iprot.ReadListEnd();
					
					structs.SetCategoryids(value);
				}
				
				
				
				
				
				if(true){
					
					bool? value;
					value = iprot.ReadBool();
					
					structs.SetIsVendorProductAttribute(value);
				}
				
				
				
				
				
				if(true){
					
					bool? value;
					value = iprot.ReadBool();
					
					structs.SetIsIncludeOption(value);
				}
				
				
				
				
				Validate(structs);
				
			}
			
			
			public void Write(getCategoriesAndChildrenAttributes_args structs, Protocol oprot){
				
				Validate(structs);
				oprot.WriteStructBegin();
				
				if(structs.GetCategoryids() != null) {
					
					oprot.WriteFieldBegin("categoryids");
					
					oprot.WriteListBegin();
					foreach(int _item0 in structs.GetCategoryids()){
						
						oprot.WriteI32((int)_item0); 
						
					}
					
					oprot.WriteListEnd();
					
					oprot.WriteFieldEnd();
				}
				
				else{
					throw new ArgumentException("categoryids can not be null!");
				}
				
				
				if(structs.GetIsVendorProductAttribute() != null) {
					
					oprot.WriteFieldBegin("isVendorProductAttribute");
					oprot.WriteBool((bool)structs.GetIsVendorProductAttribute());
					
					oprot.WriteFieldEnd();
				}
				
				
				if(structs.GetIsIncludeOption() != null) {
					
					oprot.WriteFieldBegin("isIncludeOption");
					oprot.WriteBool((bool)structs.GetIsIncludeOption());
					
					oprot.WriteFieldEnd();
				}
				
				
				oprot.WriteFieldStop();
				oprot.WriteStructEnd();
			}
			
			
			public void Validate(getCategoriesAndChildrenAttributes_args bean){
				
				
			}
			
			
		}
		
		
		
		
		public class getCategory_argsHelper : TBeanSerializer<getCategory_args>
		{
			
			public static getCategory_argsHelper OBJ = new getCategory_argsHelper();
			
			public static getCategory_argsHelper getInstance() {
				
				return OBJ;
			}
			
			
			public void Read(getCategory_args structs, Protocol iprot){
				
				
				
				
				if(true){
					
					int value;
					value = iprot.ReadI32(); 
					
					structs.SetCategoryId(value);
				}
				
				
				
				
				Validate(structs);
				
			}
			
			
			public void Write(getCategory_args structs, Protocol oprot){
				
				Validate(structs);
				oprot.WriteStructBegin();
				
				if(structs.GetCategoryId() != null) {
					
					oprot.WriteFieldBegin("categoryId");
					oprot.WriteI32((int)structs.GetCategoryId()); 
					
					oprot.WriteFieldEnd();
				}
				
				else{
					throw new ArgumentException("categoryId can not be null!");
				}
				
				
				oprot.WriteFieldStop();
				oprot.WriteStructEnd();
			}
			
			
			public void Validate(getCategory_args bean){
				
				
			}
			
			
		}
		
		
		
		
		public class getCategoryAttributeIdsByIds_argsHelper : TBeanSerializer<getCategoryAttributeIdsByIds_args>
		{
			
			public static getCategoryAttributeIdsByIds_argsHelper OBJ = new getCategoryAttributeIdsByIds_argsHelper();
			
			public static getCategoryAttributeIdsByIds_argsHelper getInstance() {
				
				return OBJ;
			}
			
			
			public void Read(getCategoryAttributeIdsByIds_args structs, Protocol iprot){
				
				
				
				
				if(true){
					
					List<int?> value;
					
					value = new List<int?>();
					iprot.ReadListBegin();
					while(true){
						
						try{
							
							int elem0;
							elem0 = iprot.ReadI32(); 
							
							value.Add(elem0);
						}
						catch(Exception e){
							
							
							break;
						}
					}
					
					iprot.ReadListEnd();
					
					structs.SetCategoryIds(value);
				}
				
				
				
				
				Validate(structs);
				
			}
			
			
			public void Write(getCategoryAttributeIdsByIds_args structs, Protocol oprot){
				
				Validate(structs);
				oprot.WriteStructBegin();
				
				if(structs.GetCategoryIds() != null) {
					
					oprot.WriteFieldBegin("categoryIds");
					
					oprot.WriteListBegin();
					foreach(int _item0 in structs.GetCategoryIds()){
						
						oprot.WriteI32((int)_item0); 
						
					}
					
					oprot.WriteListEnd();
					
					oprot.WriteFieldEnd();
				}
				
				
				oprot.WriteFieldStop();
				oprot.WriteStructEnd();
			}
			
			
			public void Validate(getCategoryAttributeIdsByIds_args bean){
				
				
			}
			
			
		}
		
		
		
		
		public class getCategoryAttributes_argsHelper : TBeanSerializer<getCategoryAttributes_args>
		{
			
			public static getCategoryAttributes_argsHelper OBJ = new getCategoryAttributes_argsHelper();
			
			public static getCategoryAttributes_argsHelper getInstance() {
				
				return OBJ;
			}
			
			
			public void Read(getCategoryAttributes_args structs, Protocol iprot){
				
				
				
				
				if(true){
					
					int value;
					value = iprot.ReadI32(); 
					
					structs.SetCategoryId(value);
				}
				
				
				
				
				Validate(structs);
				
			}
			
			
			public void Write(getCategoryAttributes_args structs, Protocol oprot){
				
				Validate(structs);
				oprot.WriteStructBegin();
				
				if(structs.GetCategoryId() != null) {
					
					oprot.WriteFieldBegin("categoryId");
					oprot.WriteI32((int)structs.GetCategoryId()); 
					
					oprot.WriteFieldEnd();
				}
				
				else{
					throw new ArgumentException("categoryId can not be null!");
				}
				
				
				oprot.WriteFieldStop();
				oprot.WriteStructEnd();
			}
			
			
			public void Validate(getCategoryAttributes_args bean){
				
				
			}
			
			
		}
		
		
		
		
		public class getCategoryByName_argsHelper : TBeanSerializer<getCategoryByName_args>
		{
			
			public static getCategoryByName_argsHelper OBJ = new getCategoryByName_argsHelper();
			
			public static getCategoryByName_argsHelper getInstance() {
				
				return OBJ;
			}
			
			
			public void Read(getCategoryByName_args structs, Protocol iprot){
				
				
				
				
				if(true){
					
					string value;
					value = iprot.ReadString();
					
					structs.SetName(value);
				}
				
				
				
				
				
				if(true){
					
					int value;
					value = iprot.ReadI32(); 
					
					structs.SetLimit(value);
				}
				
				
				
				
				Validate(structs);
				
			}
			
			
			public void Write(getCategoryByName_args structs, Protocol oprot){
				
				Validate(structs);
				oprot.WriteStructBegin();
				
				if(structs.GetName() != null) {
					
					oprot.WriteFieldBegin("name");
					oprot.WriteString(structs.GetName());
					
					oprot.WriteFieldEnd();
				}
				
				else{
					throw new ArgumentException("name can not be null!");
				}
				
				
				if(structs.GetLimit() != null) {
					
					oprot.WriteFieldBegin("limit");
					oprot.WriteI32((int)structs.GetLimit()); 
					
					oprot.WriteFieldEnd();
				}
				
				else{
					throw new ArgumentException("limit can not be null!");
				}
				
				
				oprot.WriteFieldStop();
				oprot.WriteStructEnd();
			}
			
			
			public void Validate(getCategoryByName_args bean){
				
				
			}
			
			
		}
		
		
		
		
		public class getCategoryIdAndNameList_argsHelper : TBeanSerializer<getCategoryIdAndNameList_args>
		{
			
			public static getCategoryIdAndNameList_argsHelper OBJ = new getCategoryIdAndNameList_argsHelper();
			
			public static getCategoryIdAndNameList_argsHelper getInstance() {
				
				return OBJ;
			}
			
			
			public void Read(getCategoryIdAndNameList_args structs, Protocol iprot){
				
				
				
				
				if(true){
					
					List<int?> value;
					
					value = new List<int?>();
					iprot.ReadSetBegin();
					while(true){
						
						try{
							
							int elem0;
							elem0 = iprot.ReadI32(); 
							
							value.Add(elem0);
						}
						catch(Exception e){
							
							
							break;
						}
					}
					
					iprot.ReadSetEnd();
					
					structs.SetCategoryids(value);
				}
				
				
				
				
				Validate(structs);
				
			}
			
			
			public void Write(getCategoryIdAndNameList_args structs, Protocol oprot){
				
				Validate(structs);
				oprot.WriteStructBegin();
				
				if(structs.GetCategoryids() != null) {
					
					oprot.WriteFieldBegin("categoryids");
					
					oprot.WriteSetBegin();
					foreach(int _item0 in structs.GetCategoryids()){
						
						oprot.WriteI32((int)_item0); 
						
					}
					
					oprot.WriteSetEnd();
					
					oprot.WriteFieldEnd();
				}
				
				else{
					throw new ArgumentException("categoryids can not be null!");
				}
				
				
				oprot.WriteFieldStop();
				oprot.WriteStructEnd();
			}
			
			
			public void Validate(getCategoryIdAndNameList_args bean){
				
				
			}
			
			
		}
		
		
		
		
		public class getCategoryPath_argsHelper : TBeanSerializer<getCategoryPath_args>
		{
			
			public static getCategoryPath_argsHelper OBJ = new getCategoryPath_argsHelper();
			
			public static getCategoryPath_argsHelper getInstance() {
				
				return OBJ;
			}
			
			
			public void Read(getCategoryPath_args structs, Protocol iprot){
				
				
				
				
				if(true){
					
					int value;
					value = iprot.ReadI32(); 
					
					structs.SetCategoryId(value);
				}
				
				
				
				
				Validate(structs);
				
			}
			
			
			public void Write(getCategoryPath_args structs, Protocol oprot){
				
				Validate(structs);
				oprot.WriteStructBegin();
				
				if(structs.GetCategoryId() != null) {
					
					oprot.WriteFieldBegin("categoryId");
					oprot.WriteI32((int)structs.GetCategoryId()); 
					
					oprot.WriteFieldEnd();
				}
				
				else{
					throw new ArgumentException("categoryId can not be null!");
				}
				
				
				oprot.WriteFieldStop();
				oprot.WriteStructEnd();
			}
			
			
			public void Validate(getCategoryPath_args bean){
				
				
			}
			
			
		}
		
		
		
		
		public class getCategoryQuestionAnswer_argsHelper : TBeanSerializer<getCategoryQuestionAnswer_args>
		{
			
			public static getCategoryQuestionAnswer_argsHelper OBJ = new getCategoryQuestionAnswer_argsHelper();
			
			public static getCategoryQuestionAnswer_argsHelper getInstance() {
				
				return OBJ;
			}
			
			
			public void Read(getCategoryQuestionAnswer_args structs, Protocol iprot){
				
				
				
				
				if(true){
					
					com.vip.osp.category.api.comm.ReqContext value;
					
					value = new com.vip.osp.category.api.comm.ReqContext();
					com.vip.osp.category.api.comm.ReqContextHelper.getInstance().Read(value, iprot);
					
					structs.SetReqContext(value);
				}
				
				
				
				
				
				if(true){
					
					int value;
					value = iprot.ReadI32(); 
					
					structs.SetCategoryId(value);
				}
				
				
				
				
				Validate(structs);
				
			}
			
			
			public void Write(getCategoryQuestionAnswer_args structs, Protocol oprot){
				
				Validate(structs);
				oprot.WriteStructBegin();
				
				if(structs.GetReqContext() != null) {
					
					oprot.WriteFieldBegin("reqContext");
					
					com.vip.osp.category.api.comm.ReqContextHelper.getInstance().Write(structs.GetReqContext(), oprot);
					
					oprot.WriteFieldEnd();
				}
				
				else{
					throw new ArgumentException("reqContext can not be null!");
				}
				
				
				if(structs.GetCategoryId() != null) {
					
					oprot.WriteFieldBegin("categoryId");
					oprot.WriteI32((int)structs.GetCategoryId()); 
					
					oprot.WriteFieldEnd();
				}
				
				else{
					throw new ArgumentException("categoryId can not be null!");
				}
				
				
				oprot.WriteFieldStop();
				oprot.WriteStructEnd();
			}
			
			
			public void Validate(getCategoryQuestionAnswer_args bean){
				
				
			}
			
			
		}
		
		
		
		
		public class getCategorySpecialAttributeList_argsHelper : TBeanSerializer<getCategorySpecialAttributeList_args>
		{
			
			public static getCategorySpecialAttributeList_argsHelper OBJ = new getCategorySpecialAttributeList_argsHelper();
			
			public static getCategorySpecialAttributeList_argsHelper getInstance() {
				
				return OBJ;
			}
			
			
			public void Read(getCategorySpecialAttributeList_args structs, Protocol iprot){
				
				
				
				
				if(true){
					
					List<com.vip.osp.category.api.comm.CategorySpecialParam> value;
					
					value = new List<com.vip.osp.category.api.comm.CategorySpecialParam>();
					iprot.ReadListBegin();
					while(true){
						
						try{
							
							com.vip.osp.category.api.comm.CategorySpecialParam elem0;
							
							elem0 = new com.vip.osp.category.api.comm.CategorySpecialParam();
							com.vip.osp.category.api.comm.CategorySpecialParamHelper.getInstance().Read(elem0, iprot);
							
							value.Add(elem0);
						}
						catch(Exception e){
							
							
							break;
						}
					}
					
					iprot.ReadListEnd();
					
					structs.SetCategorySpecialParams(value);
				}
				
				
				
				
				Validate(structs);
				
			}
			
			
			public void Write(getCategorySpecialAttributeList_args structs, Protocol oprot){
				
				Validate(structs);
				oprot.WriteStructBegin();
				
				if(structs.GetCategorySpecialParams() != null) {
					
					oprot.WriteFieldBegin("categorySpecialParams");
					
					oprot.WriteListBegin();
					foreach(com.vip.osp.category.api.comm.CategorySpecialParam _item0 in structs.GetCategorySpecialParams()){
						
						
						com.vip.osp.category.api.comm.CategorySpecialParamHelper.getInstance().Write(_item0, oprot);
						
					}
					
					oprot.WriteListEnd();
					
					oprot.WriteFieldEnd();
				}
				
				else{
					throw new ArgumentException("categorySpecialParams can not be null!");
				}
				
				
				oprot.WriteFieldStop();
				oprot.WriteStructEnd();
			}
			
			
			public void Validate(getCategorySpecialAttributeList_args bean){
				
				
			}
			
			
		}
		
		
		
		
		public class getCategorySpecialAttributes_argsHelper : TBeanSerializer<getCategorySpecialAttributes_args>
		{
			
			public static getCategorySpecialAttributes_argsHelper OBJ = new getCategorySpecialAttributes_argsHelper();
			
			public static getCategorySpecialAttributes_argsHelper getInstance() {
				
				return OBJ;
			}
			
			
			public void Read(getCategorySpecialAttributes_args structs, Protocol iprot){
				
				
				
				
				if(true){
					
					int value;
					value = iprot.ReadI32(); 
					
					structs.SetCategoryId(value);
				}
				
				
				
				
				
				if(true){
					
					int? value;
					value = iprot.ReadI32(); 
					
					structs.SetAttributeId(value);
				}
				
				
				
				
				
				if(true){
					
					int? value;
					value = iprot.ReadI32(); 
					
					structs.SetBrandId(value);
				}
				
				
				
				
				Validate(structs);
				
			}
			
			
			public void Write(getCategorySpecialAttributes_args structs, Protocol oprot){
				
				Validate(structs);
				oprot.WriteStructBegin();
				
				if(structs.GetCategoryId() != null) {
					
					oprot.WriteFieldBegin("categoryId");
					oprot.WriteI32((int)structs.GetCategoryId()); 
					
					oprot.WriteFieldEnd();
				}
				
				else{
					throw new ArgumentException("categoryId can not be null!");
				}
				
				
				if(structs.GetAttributeId() != null) {
					
					oprot.WriteFieldBegin("attributeId");
					oprot.WriteI32((int)structs.GetAttributeId()); 
					
					oprot.WriteFieldEnd();
				}
				
				
				if(structs.GetBrandId() != null) {
					
					oprot.WriteFieldBegin("brandId");
					oprot.WriteI32((int)structs.GetBrandId()); 
					
					oprot.WriteFieldEnd();
				}
				
				
				oprot.WriteFieldStop();
				oprot.WriteStructEnd();
			}
			
			
			public void Validate(getCategorySpecialAttributes_args bean){
				
				
			}
			
			
		}
		
		
		
		
		public class getCategoryTree_argsHelper : TBeanSerializer<getCategoryTree_args>
		{
			
			public static getCategoryTree_argsHelper OBJ = new getCategoryTree_argsHelper();
			
			public static getCategoryTree_argsHelper getInstance() {
				
				return OBJ;
			}
			
			
			public void Read(getCategoryTree_args structs, Protocol iprot){
				
				
				
				
				if(true){
					
					int value;
					value = iprot.ReadI32(); 
					
					structs.SetCategoryId(value);
				}
				
				
				
				
				Validate(structs);
				
			}
			
			
			public void Write(getCategoryTree_args structs, Protocol oprot){
				
				Validate(structs);
				oprot.WriteStructBegin();
				
				if(structs.GetCategoryId() != null) {
					
					oprot.WriteFieldBegin("categoryId");
					oprot.WriteI32((int)structs.GetCategoryId()); 
					
					oprot.WriteFieldEnd();
				}
				
				else{
					throw new ArgumentException("categoryId can not be null!");
				}
				
				
				oprot.WriteFieldStop();
				oprot.WriteStructEnd();
			}
			
			
			public void Validate(getCategoryTree_args bean){
				
				
			}
			
			
		}
		
		
		
		
		public class getExchangedReasonByCategoryId_argsHelper : TBeanSerializer<getExchangedReasonByCategoryId_args>
		{
			
			public static getExchangedReasonByCategoryId_argsHelper OBJ = new getExchangedReasonByCategoryId_argsHelper();
			
			public static getExchangedReasonByCategoryId_argsHelper getInstance() {
				
				return OBJ;
			}
			
			
			public void Read(getExchangedReasonByCategoryId_args structs, Protocol iprot){
				
				
				
				
				if(true){
					
					int? value;
					value = iprot.ReadI32(); 
					
					structs.SetCategoryId(value);
				}
				
				
				
				
				
				if(true){
					
					byte? value;
					value = iprot.ReadByte(); 
					
					structs.SetReasonType(value);
				}
				
				
				
				
				
				if(true){
					
					byte? value;
					value = iprot.ReadByte(); 
					
					structs.SetIsShow(value);
				}
				
				
				
				
				
				if(true){
					
					string value;
					value = iprot.ReadString();
					
					structs.SetAppId(value);
				}
				
				
				
				
				
				if(true){
					
					Dictionary<string, string> value;
					
					value = new Dictionary<string, string>();
					iprot.ReadMapBegin();
					while(true){
						
						try{
							
							string _key0;
							string _val0;
							_key0 = iprot.ReadString();
							
							_val0 = iprot.ReadString();
							
							value.Add(_key0, _val0);
						}
						catch(Exception e){
							
							
							break;
						}
					}
					
					iprot.ReadMapEnd();
					
					structs.SetFlagsMap(value);
				}
				
				
				
				
				Validate(structs);
				
			}
			
			
			public void Write(getExchangedReasonByCategoryId_args structs, Protocol oprot){
				
				Validate(structs);
				oprot.WriteStructBegin();
				
				if(structs.GetCategoryId() != null) {
					
					oprot.WriteFieldBegin("categoryId");
					oprot.WriteI32((int)structs.GetCategoryId()); 
					
					oprot.WriteFieldEnd();
				}
				
				
				if(structs.GetReasonType() != null) {
					
					oprot.WriteFieldBegin("reasonType");
					oprot.WriteByte((byte)structs.GetReasonType()); 
					
					oprot.WriteFieldEnd();
				}
				
				
				if(structs.GetIsShow() != null) {
					
					oprot.WriteFieldBegin("isShow");
					oprot.WriteByte((byte)structs.GetIsShow()); 
					
					oprot.WriteFieldEnd();
				}
				
				
				if(structs.GetAppId() != null) {
					
					oprot.WriteFieldBegin("appId");
					oprot.WriteString(structs.GetAppId());
					
					oprot.WriteFieldEnd();
				}
				
				
				if(structs.GetFlagsMap() != null) {
					
					oprot.WriteFieldBegin("flagsMap");
					
					oprot.WriteMapBegin();
					foreach(KeyValuePair< string, string > _ir0 in structs.GetFlagsMap()){
						
						string _key0 = _ir0.Key;
						string _value0 = _ir0.Value;
						oprot.WriteString(_key0);
						
						oprot.WriteString(_value0);
						
					}
					
					oprot.WriteMapEnd();
					
					oprot.WriteFieldEnd();
				}
				
				
				oprot.WriteFieldStop();
				oprot.WriteStructEnd();
			}
			
			
			public void Validate(getExchangedReasonByCategoryId_args bean){
				
				
			}
			
			
		}
		
		
		
		
		public class getExchangedReasonListByCategoryIds_argsHelper : TBeanSerializer<getExchangedReasonListByCategoryIds_args>
		{
			
			public static getExchangedReasonListByCategoryIds_argsHelper OBJ = new getExchangedReasonListByCategoryIds_argsHelper();
			
			public static getExchangedReasonListByCategoryIds_argsHelper getInstance() {
				
				return OBJ;
			}
			
			
			public void Read(getExchangedReasonListByCategoryIds_args structs, Protocol iprot){
				
				
				
				
				if(true){
					
					List<int?> value;
					
					value = new List<int?>();
					iprot.ReadSetBegin();
					while(true){
						
						try{
							
							int elem1;
							elem1 = iprot.ReadI32(); 
							
							value.Add(elem1);
						}
						catch(Exception e){
							
							
							break;
						}
					}
					
					iprot.ReadSetEnd();
					
					structs.SetCategoryIdSet(value);
				}
				
				
				
				
				
				if(true){
					
					byte? value;
					value = iprot.ReadByte(); 
					
					structs.SetReasonType(value);
				}
				
				
				
				
				
				if(true){
					
					byte? value;
					value = iprot.ReadByte(); 
					
					structs.SetIsShow(value);
				}
				
				
				
				
				
				if(true){
					
					string value;
					value = iprot.ReadString();
					
					structs.SetAppId(value);
				}
				
				
				
				
				
				if(true){
					
					Dictionary<string, string> value;
					
					value = new Dictionary<string, string>();
					iprot.ReadMapBegin();
					while(true){
						
						try{
							
							string _key2;
							string _val2;
							_key2 = iprot.ReadString();
							
							_val2 = iprot.ReadString();
							
							value.Add(_key2, _val2);
						}
						catch(Exception e){
							
							
							break;
						}
					}
					
					iprot.ReadMapEnd();
					
					structs.SetFlagsMap(value);
				}
				
				
				
				
				Validate(structs);
				
			}
			
			
			public void Write(getExchangedReasonListByCategoryIds_args structs, Protocol oprot){
				
				Validate(structs);
				oprot.WriteStructBegin();
				
				if(structs.GetCategoryIdSet() != null) {
					
					oprot.WriteFieldBegin("categoryIdSet");
					
					oprot.WriteSetBegin();
					foreach(int _item0 in structs.GetCategoryIdSet()){
						
						oprot.WriteI32((int)_item0); 
						
					}
					
					oprot.WriteSetEnd();
					
					oprot.WriteFieldEnd();
				}
				
				
				if(structs.GetReasonType() != null) {
					
					oprot.WriteFieldBegin("reasonType");
					oprot.WriteByte((byte)structs.GetReasonType()); 
					
					oprot.WriteFieldEnd();
				}
				
				
				if(structs.GetIsShow() != null) {
					
					oprot.WriteFieldBegin("isShow");
					oprot.WriteByte((byte)structs.GetIsShow()); 
					
					oprot.WriteFieldEnd();
				}
				
				
				if(structs.GetAppId() != null) {
					
					oprot.WriteFieldBegin("appId");
					oprot.WriteString(structs.GetAppId());
					
					oprot.WriteFieldEnd();
				}
				
				
				if(structs.GetFlagsMap() != null) {
					
					oprot.WriteFieldBegin("flagsMap");
					
					oprot.WriteMapBegin();
					foreach(KeyValuePair< string, string > _ir0 in structs.GetFlagsMap()){
						
						string _key0 = _ir0.Key;
						string _value0 = _ir0.Value;
						oprot.WriteString(_key0);
						
						oprot.WriteString(_value0);
						
					}
					
					oprot.WriteMapEnd();
					
					oprot.WriteFieldEnd();
				}
				
				
				oprot.WriteFieldStop();
				oprot.WriteStructEnd();
			}
			
			
			public void Validate(getExchangedReasonListByCategoryIds_args bean){
				
				
			}
			
			
		}
		
		
		
		
		public class getExchangedReasonListByIds_argsHelper : TBeanSerializer<getExchangedReasonListByIds_args>
		{
			
			public static getExchangedReasonListByIds_argsHelper OBJ = new getExchangedReasonListByIds_argsHelper();
			
			public static getExchangedReasonListByIds_argsHelper getInstance() {
				
				return OBJ;
			}
			
			
			public void Read(getExchangedReasonListByIds_args structs, Protocol iprot){
				
				
				
				
				if(true){
					
					List<int?> value;
					
					value = new List<int?>();
					iprot.ReadSetBegin();
					while(true){
						
						try{
							
							int elem1;
							elem1 = iprot.ReadI32(); 
							
							value.Add(elem1);
						}
						catch(Exception e){
							
							
							break;
						}
					}
					
					iprot.ReadSetEnd();
					
					structs.SetReasonIdSet(value);
				}
				
				
				
				
				
				if(true){
					
					string value;
					value = iprot.ReadString();
					
					structs.SetAppId(value);
				}
				
				
				
				
				Validate(structs);
				
			}
			
			
			public void Write(getExchangedReasonListByIds_args structs, Protocol oprot){
				
				Validate(structs);
				oprot.WriteStructBegin();
				
				if(structs.GetReasonIdSet() != null) {
					
					oprot.WriteFieldBegin("reasonIdSet");
					
					oprot.WriteSetBegin();
					foreach(int _item0 in structs.GetReasonIdSet()){
						
						oprot.WriteI32((int)_item0); 
						
					}
					
					oprot.WriteSetEnd();
					
					oprot.WriteFieldEnd();
				}
				
				
				if(structs.GetAppId() != null) {
					
					oprot.WriteFieldBegin("appId");
					oprot.WriteString(structs.GetAppId());
					
					oprot.WriteFieldEnd();
				}
				
				
				oprot.WriteFieldStop();
				oprot.WriteStructEnd();
			}
			
			
			public void Validate(getExchangedReasonListByIds_args bean){
				
				
			}
			
			
		}
		
		
		
		
		public class getHierachyFilterAttributes_argsHelper : TBeanSerializer<getHierachyFilterAttributes_args>
		{
			
			public static getHierachyFilterAttributes_argsHelper OBJ = new getHierachyFilterAttributes_argsHelper();
			
			public static getHierachyFilterAttributes_argsHelper getInstance() {
				
				return OBJ;
			}
			
			
			public void Read(getHierachyFilterAttributes_args structs, Protocol iprot){
				
				
				
				
				if(true){
					
					int value;
					value = iprot.ReadI32(); 
					
					structs.SetCategoryId(value);
				}
				
				
				
				
				Validate(structs);
				
			}
			
			
			public void Write(getHierachyFilterAttributes_args structs, Protocol oprot){
				
				Validate(structs);
				oprot.WriteStructBegin();
				
				if(structs.GetCategoryId() != null) {
					
					oprot.WriteFieldBegin("categoryId");
					oprot.WriteI32((int)structs.GetCategoryId()); 
					
					oprot.WriteFieldEnd();
				}
				
				else{
					throw new ArgumentException("categoryId can not be null!");
				}
				
				
				oprot.WriteFieldStop();
				oprot.WriteStructEnd();
			}
			
			
			public void Validate(getHierachyFilterAttributes_args bean){
				
				
			}
			
			
		}
		
		
		
		
		public class getHierarchyCategoryTree_argsHelper : TBeanSerializer<getHierarchyCategoryTree_args>
		{
			
			public static getHierarchyCategoryTree_argsHelper OBJ = new getHierarchyCategoryTree_argsHelper();
			
			public static getHierarchyCategoryTree_argsHelper getInstance() {
				
				return OBJ;
			}
			
			
			public void Read(getHierarchyCategoryTree_args structs, Protocol iprot){
				
				
				
				
				if(true){
					
					int value;
					value = iprot.ReadI32(); 
					
					structs.SetHierarchyId(value);
				}
				
				
				
				
				
				if(true){
					
					bool? value;
					value = iprot.ReadBool();
					
					structs.SetIsIncludeChildren(value);
				}
				
				
				
				
				Validate(structs);
				
			}
			
			
			public void Write(getHierarchyCategoryTree_args structs, Protocol oprot){
				
				Validate(structs);
				oprot.WriteStructBegin();
				
				if(structs.GetHierarchyId() != null) {
					
					oprot.WriteFieldBegin("hierarchyId");
					oprot.WriteI32((int)structs.GetHierarchyId()); 
					
					oprot.WriteFieldEnd();
				}
				
				else{
					throw new ArgumentException("hierarchyId can not be null!");
				}
				
				
				if(structs.GetIsIncludeChildren() != null) {
					
					oprot.WriteFieldBegin("isIncludeChildren");
					oprot.WriteBool((bool)structs.GetIsIncludeChildren());
					
					oprot.WriteFieldEnd();
				}
				
				
				oprot.WriteFieldStop();
				oprot.WriteStructEnd();
			}
			
			
			public void Validate(getHierarchyCategoryTree_args bean){
				
				
			}
			
			
		}
		
		
		
		
		public class getHierarchyCategoryTreeForVre_argsHelper : TBeanSerializer<getHierarchyCategoryTreeForVre_args>
		{
			
			public static getHierarchyCategoryTreeForVre_argsHelper OBJ = new getHierarchyCategoryTreeForVre_argsHelper();
			
			public static getHierarchyCategoryTreeForVre_argsHelper getInstance() {
				
				return OBJ;
			}
			
			
			public void Read(getHierarchyCategoryTreeForVre_args structs, Protocol iprot){
				
				
				
				
				if(true){
					
					int value;
					value = iprot.ReadI32(); 
					
					structs.SetHierarchyId(value);
				}
				
				
				
				
				Validate(structs);
				
			}
			
			
			public void Write(getHierarchyCategoryTreeForVre_args structs, Protocol oprot){
				
				Validate(structs);
				oprot.WriteStructBegin();
				
				if(structs.GetHierarchyId() != null) {
					
					oprot.WriteFieldBegin("hierarchyId");
					oprot.WriteI32((int)structs.GetHierarchyId()); 
					
					oprot.WriteFieldEnd();
				}
				
				else{
					throw new ArgumentException("hierarchyId can not be null!");
				}
				
				
				oprot.WriteFieldStop();
				oprot.WriteStructEnd();
			}
			
			
			public void Validate(getHierarchyCategoryTreeForVre_args bean){
				
				
			}
			
			
		}
		
		
		
		
		public class getHierarchyCategroyidsByCategoryIds_argsHelper : TBeanSerializer<getHierarchyCategroyidsByCategoryIds_args>
		{
			
			public static getHierarchyCategroyidsByCategoryIds_argsHelper OBJ = new getHierarchyCategroyidsByCategoryIds_argsHelper();
			
			public static getHierarchyCategroyidsByCategoryIds_argsHelper getInstance() {
				
				return OBJ;
			}
			
			
			public void Read(getHierarchyCategroyidsByCategoryIds_args structs, Protocol iprot){
				
				
				
				
				if(true){
					
					int value;
					value = iprot.ReadI32(); 
					
					structs.SetHierarchyId(value);
				}
				
				
				
				
				
				if(true){
					
					List<int?> value;
					
					value = new List<int?>();
					iprot.ReadListBegin();
					while(true){
						
						try{
							
							int elem0;
							elem0 = iprot.ReadI32(); 
							
							value.Add(elem0);
						}
						catch(Exception e){
							
							
							break;
						}
					}
					
					iprot.ReadListEnd();
					
					structs.SetCategoryIds(value);
				}
				
				
				
				
				Validate(structs);
				
			}
			
			
			public void Write(getHierarchyCategroyidsByCategoryIds_args structs, Protocol oprot){
				
				Validate(structs);
				oprot.WriteStructBegin();
				
				if(structs.GetHierarchyId() != null) {
					
					oprot.WriteFieldBegin("hierarchyId");
					oprot.WriteI32((int)structs.GetHierarchyId()); 
					
					oprot.WriteFieldEnd();
				}
				
				else{
					throw new ArgumentException("hierarchyId can not be null!");
				}
				
				
				if(structs.GetCategoryIds() != null) {
					
					oprot.WriteFieldBegin("categoryIds");
					
					oprot.WriteListBegin();
					foreach(int _item0 in structs.GetCategoryIds()){
						
						oprot.WriteI32((int)_item0); 
						
					}
					
					oprot.WriteListEnd();
					
					oprot.WriteFieldEnd();
				}
				
				
				oprot.WriteFieldStop();
				oprot.WriteStructEnd();
			}
			
			
			public void Validate(getHierarchyCategroyidsByCategoryIds_args bean){
				
				
			}
			
			
		}
		
		
		
		
		public class getHierarchyIdsForVre_argsHelper : TBeanSerializer<getHierarchyIdsForVre_args>
		{
			
			public static getHierarchyIdsForVre_argsHelper OBJ = new getHierarchyIdsForVre_argsHelper();
			
			public static getHierarchyIdsForVre_argsHelper getInstance() {
				
				return OBJ;
			}
			
			
			public void Read(getHierarchyIdsForVre_args structs, Protocol iprot){
				
				
				
				Validate(structs);
				
			}
			
			
			public void Write(getHierarchyIdsForVre_args structs, Protocol oprot){
				
				Validate(structs);
				oprot.WriteStructBegin();
				
				oprot.WriteFieldStop();
				oprot.WriteStructEnd();
			}
			
			
			public void Validate(getHierarchyIdsForVre_args bean){
				
				
			}
			
			
		}
		
		
		
		
		public class getHierarchyLeafCategoryIdAndNameList_argsHelper : TBeanSerializer<getHierarchyLeafCategoryIdAndNameList_args>
		{
			
			public static getHierarchyLeafCategoryIdAndNameList_argsHelper OBJ = new getHierarchyLeafCategoryIdAndNameList_argsHelper();
			
			public static getHierarchyLeafCategoryIdAndNameList_argsHelper getInstance() {
				
				return OBJ;
			}
			
			
			public void Read(getHierarchyLeafCategoryIdAndNameList_args structs, Protocol iprot){
				
				
				
				
				if(true){
					
					int value;
					value = iprot.ReadI32(); 
					
					structs.SetHierarchyId(value);
				}
				
				
				
				
				
				if(true){
					
					List<int?> value;
					
					value = new List<int?>();
					iprot.ReadSetBegin();
					while(true){
						
						try{
							
							int elem1;
							elem1 = iprot.ReadI32(); 
							
							value.Add(elem1);
						}
						catch(Exception e){
							
							
							break;
						}
					}
					
					iprot.ReadSetEnd();
					
					structs.SetCategoryIds(value);
				}
				
				
				
				
				Validate(structs);
				
			}
			
			
			public void Write(getHierarchyLeafCategoryIdAndNameList_args structs, Protocol oprot){
				
				Validate(structs);
				oprot.WriteStructBegin();
				
				if(structs.GetHierarchyId() != null) {
					
					oprot.WriteFieldBegin("hierarchyId");
					oprot.WriteI32((int)structs.GetHierarchyId()); 
					
					oprot.WriteFieldEnd();
				}
				
				else{
					throw new ArgumentException("hierarchyId can not be null!");
				}
				
				
				if(structs.GetCategoryIds() != null) {
					
					oprot.WriteFieldBegin("categoryIds");
					
					oprot.WriteSetBegin();
					foreach(int _item0 in structs.GetCategoryIds()){
						
						oprot.WriteI32((int)_item0); 
						
					}
					
					oprot.WriteSetEnd();
					
					oprot.WriteFieldEnd();
				}
				
				
				oprot.WriteFieldStop();
				oprot.WriteStructEnd();
			}
			
			
			public void Validate(getHierarchyLeafCategoryIdAndNameList_args bean){
				
				
			}
			
			
		}
		
		
		
		
		public class getHierarchyTopCategoryIdAndNameList_argsHelper : TBeanSerializer<getHierarchyTopCategoryIdAndNameList_args>
		{
			
			public static getHierarchyTopCategoryIdAndNameList_argsHelper OBJ = new getHierarchyTopCategoryIdAndNameList_argsHelper();
			
			public static getHierarchyTopCategoryIdAndNameList_argsHelper getInstance() {
				
				return OBJ;
			}
			
			
			public void Read(getHierarchyTopCategoryIdAndNameList_args structs, Protocol iprot){
				
				
				
				
				if(true){
					
					int value;
					value = iprot.ReadI32(); 
					
					structs.SetHierarchyId(value);
				}
				
				
				
				
				
				if(true){
					
					List<int?> value;
					
					value = new List<int?>();
					iprot.ReadSetBegin();
					while(true){
						
						try{
							
							int elem1;
							elem1 = iprot.ReadI32(); 
							
							value.Add(elem1);
						}
						catch(Exception e){
							
							
							break;
						}
					}
					
					iprot.ReadSetEnd();
					
					structs.SetCategoryIds(value);
				}
				
				
				
				
				Validate(structs);
				
			}
			
			
			public void Write(getHierarchyTopCategoryIdAndNameList_args structs, Protocol oprot){
				
				Validate(structs);
				oprot.WriteStructBegin();
				
				if(structs.GetHierarchyId() != null) {
					
					oprot.WriteFieldBegin("hierarchyId");
					oprot.WriteI32((int)structs.GetHierarchyId()); 
					
					oprot.WriteFieldEnd();
				}
				
				else{
					throw new ArgumentException("hierarchyId can not be null!");
				}
				
				
				if(structs.GetCategoryIds() != null) {
					
					oprot.WriteFieldBegin("categoryIds");
					
					oprot.WriteSetBegin();
					foreach(int _item0 in structs.GetCategoryIds()){
						
						oprot.WriteI32((int)_item0); 
						
					}
					
					oprot.WriteSetEnd();
					
					oprot.WriteFieldEnd();
				}
				
				
				oprot.WriteFieldStop();
				oprot.WriteStructEnd();
			}
			
			
			public void Validate(getHierarchyTopCategoryIdAndNameList_args bean){
				
				
			}
			
			
		}
		
		
		
		
		public class getLeafCategoryByName_argsHelper : TBeanSerializer<getLeafCategoryByName_args>
		{
			
			public static getLeafCategoryByName_argsHelper OBJ = new getLeafCategoryByName_argsHelper();
			
			public static getLeafCategoryByName_argsHelper getInstance() {
				
				return OBJ;
			}
			
			
			public void Read(getLeafCategoryByName_args structs, Protocol iprot){
				
				
				
				
				if(true){
					
					string value;
					value = iprot.ReadString();
					
					structs.SetName(value);
				}
				
				
				
				
				
				if(true){
					
					int value;
					value = iprot.ReadI32(); 
					
					structs.SetLimit(value);
				}
				
				
				
				
				Validate(structs);
				
			}
			
			
			public void Write(getLeafCategoryByName_args structs, Protocol oprot){
				
				Validate(structs);
				oprot.WriteStructBegin();
				
				if(structs.GetName() != null) {
					
					oprot.WriteFieldBegin("name");
					oprot.WriteString(structs.GetName());
					
					oprot.WriteFieldEnd();
				}
				
				else{
					throw new ArgumentException("name can not be null!");
				}
				
				
				if(structs.GetLimit() != null) {
					
					oprot.WriteFieldBegin("limit");
					oprot.WriteI32((int)structs.GetLimit()); 
					
					oprot.WriteFieldEnd();
				}
				
				else{
					throw new ArgumentException("limit can not be null!");
				}
				
				
				oprot.WriteFieldStop();
				oprot.WriteStructEnd();
			}
			
			
			public void Validate(getLeafCategoryByName_args bean){
				
				
			}
			
			
		}
		
		
		
		
		public class getMultiCategories_argsHelper : TBeanSerializer<getMultiCategories_args>
		{
			
			public static getMultiCategories_argsHelper OBJ = new getMultiCategories_argsHelper();
			
			public static getMultiCategories_argsHelper getInstance() {
				
				return OBJ;
			}
			
			
			public void Read(getMultiCategories_args structs, Protocol iprot){
				
				
				
				
				if(true){
					
					List<int?> value;
					
					value = new List<int?>();
					iprot.ReadListBegin();
					while(true){
						
						try{
							
							int elem0;
							elem0 = iprot.ReadI32(); 
							
							value.Add(elem0);
						}
						catch(Exception e){
							
							
							break;
						}
					}
					
					iprot.ReadListEnd();
					
					structs.SetCategoryids(value);
				}
				
				
				
				
				
				if(true){
					
					bool? value;
					value = iprot.ReadBool();
					
					structs.SetIsIncludeChildren(value);
				}
				
				
				
				
				
				if(true){
					
					bool? value;
					value = iprot.ReadBool();
					
					structs.SetIsIncludeAttribute(value);
				}
				
				
				
				
				Validate(structs);
				
			}
			
			
			public void Write(getMultiCategories_args structs, Protocol oprot){
				
				Validate(structs);
				oprot.WriteStructBegin();
				
				if(structs.GetCategoryids() != null) {
					
					oprot.WriteFieldBegin("categoryids");
					
					oprot.WriteListBegin();
					foreach(int _item0 in structs.GetCategoryids()){
						
						oprot.WriteI32((int)_item0); 
						
					}
					
					oprot.WriteListEnd();
					
					oprot.WriteFieldEnd();
				}
				
				else{
					throw new ArgumentException("categoryids can not be null!");
				}
				
				
				if(structs.GetIsIncludeChildren() != null) {
					
					oprot.WriteFieldBegin("isIncludeChildren");
					oprot.WriteBool((bool)structs.GetIsIncludeChildren());
					
					oprot.WriteFieldEnd();
				}
				
				
				if(structs.GetIsIncludeAttribute() != null) {
					
					oprot.WriteFieldBegin("isIncludeAttribute");
					oprot.WriteBool((bool)structs.GetIsIncludeAttribute());
					
					oprot.WriteFieldEnd();
				}
				
				
				oprot.WriteFieldStop();
				oprot.WriteStructEnd();
			}
			
			
			public void Validate(getMultiCategories_args bean){
				
				
			}
			
			
		}
		
		
		
		
		public class getPublishCategoryTree_argsHelper : TBeanSerializer<getPublishCategoryTree_args>
		{
			
			public static getPublishCategoryTree_argsHelper OBJ = new getPublishCategoryTree_argsHelper();
			
			public static getPublishCategoryTree_argsHelper getInstance() {
				
				return OBJ;
			}
			
			
			public void Read(getPublishCategoryTree_args structs, Protocol iprot){
				
				
				
				
				if(true){
					
					com.vip.osp.category.api.comm.ReqContext value;
					
					value = new com.vip.osp.category.api.comm.ReqContext();
					com.vip.osp.category.api.comm.ReqContextHelper.getInstance().Read(value, iprot);
					
					structs.SetReqContext(value);
				}
				
				
				
				
				
				if(true){
					
					int value;
					value = iprot.ReadI32(); 
					
					structs.SetCategoryId(value);
				}
				
				
				
				
				
				if(true){
					
					com.vip.osp.category.api.comm.TreeOption? value;
					
					value = com.vip.osp.category.api.comm.TreeOptionUtil.FindByName(iprot.ReadString());
					
					structs.SetOption(value);
				}
				
				
				
				
				Validate(structs);
				
			}
			
			
			public void Write(getPublishCategoryTree_args structs, Protocol oprot){
				
				Validate(structs);
				oprot.WriteStructBegin();
				
				if(structs.GetReqContext() != null) {
					
					oprot.WriteFieldBegin("reqContext");
					
					com.vip.osp.category.api.comm.ReqContextHelper.getInstance().Write(structs.GetReqContext(), oprot);
					
					oprot.WriteFieldEnd();
				}
				
				else{
					throw new ArgumentException("reqContext can not be null!");
				}
				
				
				if(structs.GetCategoryId() != null) {
					
					oprot.WriteFieldBegin("categoryId");
					oprot.WriteI32((int)structs.GetCategoryId()); 
					
					oprot.WriteFieldEnd();
				}
				
				else{
					throw new ArgumentException("categoryId can not be null!");
				}
				
				
				if(structs.GetOption() != null) {
					
					oprot.WriteFieldBegin("option");
					oprot.WriteString(structs.GetOption().ToString());  
					
					oprot.WriteFieldEnd();
				}
				
				else{
					throw new ArgumentException("option can not be null!");
				}
				
				
				oprot.WriteFieldStop();
				oprot.WriteStructEnd();
			}
			
			
			public void Validate(getPublishCategoryTree_args bean){
				
				
			}
			
			
		}
		
		
		
		
		public class getPublishHierarchyCategoryTree_argsHelper : TBeanSerializer<getPublishHierarchyCategoryTree_args>
		{
			
			public static getPublishHierarchyCategoryTree_argsHelper OBJ = new getPublishHierarchyCategoryTree_argsHelper();
			
			public static getPublishHierarchyCategoryTree_argsHelper getInstance() {
				
				return OBJ;
			}
			
			
			public void Read(getPublishHierarchyCategoryTree_args structs, Protocol iprot){
				
				
				
				
				if(true){
					
					com.vip.osp.category.api.comm.ReqContext value;
					
					value = new com.vip.osp.category.api.comm.ReqContext();
					com.vip.osp.category.api.comm.ReqContextHelper.getInstance().Read(value, iprot);
					
					structs.SetReqContext(value);
				}
				
				
				
				
				
				if(true){
					
					com.vip.osp.category.api.comm.TreeOption? value;
					
					value = com.vip.osp.category.api.comm.TreeOptionUtil.FindByName(iprot.ReadString());
					
					structs.SetOption(value);
				}
				
				
				
				
				
				if(true){
					
					bool? value;
					value = iprot.ReadBool();
					
					structs.SetIsIncludeChildren(value);
				}
				
				
				
				
				Validate(structs);
				
			}
			
			
			public void Write(getPublishHierarchyCategoryTree_args structs, Protocol oprot){
				
				Validate(structs);
				oprot.WriteStructBegin();
				
				if(structs.GetReqContext() != null) {
					
					oprot.WriteFieldBegin("reqContext");
					
					com.vip.osp.category.api.comm.ReqContextHelper.getInstance().Write(structs.GetReqContext(), oprot);
					
					oprot.WriteFieldEnd();
				}
				
				else{
					throw new ArgumentException("reqContext can not be null!");
				}
				
				
				if(structs.GetOption() != null) {
					
					oprot.WriteFieldBegin("option");
					oprot.WriteString(structs.GetOption().ToString());  
					
					oprot.WriteFieldEnd();
				}
				
				else{
					throw new ArgumentException("option can not be null!");
				}
				
				
				if(structs.GetIsIncludeChildren() != null) {
					
					oprot.WriteFieldBegin("isIncludeChildren");
					oprot.WriteBool((bool)structs.GetIsIncludeChildren());
					
					oprot.WriteFieldEnd();
				}
				
				
				oprot.WriteFieldStop();
				oprot.WriteStructEnd();
			}
			
			
			public void Validate(getPublishHierarchyCategoryTree_args bean){
				
				
			}
			
			
		}
		
		
		
		
		public class getTagByIds_argsHelper : TBeanSerializer<getTagByIds_args>
		{
			
			public static getTagByIds_argsHelper OBJ = new getTagByIds_argsHelper();
			
			public static getTagByIds_argsHelper getInstance() {
				
				return OBJ;
			}
			
			
			public void Read(getTagByIds_args structs, Protocol iprot){
				
				
				
				
				if(true){
					
					List<int?> value;
					
					value = new List<int?>();
					iprot.ReadListBegin();
					while(true){
						
						try{
							
							int elem0;
							elem0 = iprot.ReadI32(); 
							
							value.Add(elem0);
						}
						catch(Exception e){
							
							
							break;
						}
					}
					
					iprot.ReadListEnd();
					
					structs.SetTagIds(value);
				}
				
				
				
				
				Validate(structs);
				
			}
			
			
			public void Write(getTagByIds_args structs, Protocol oprot){
				
				Validate(structs);
				oprot.WriteStructBegin();
				
				if(structs.GetTagIds() != null) {
					
					oprot.WriteFieldBegin("tagIds");
					
					oprot.WriteListBegin();
					foreach(int _item0 in structs.GetTagIds()){
						
						oprot.WriteI32((int)_item0); 
						
					}
					
					oprot.WriteListEnd();
					
					oprot.WriteFieldEnd();
				}
				
				
				oprot.WriteFieldStop();
				oprot.WriteStructEnd();
			}
			
			
			public void Validate(getTagByIds_args bean){
				
				
			}
			
			
		}
		
		
		
		
		public class getTagInfoList_argsHelper : TBeanSerializer<getTagInfoList_args>
		{
			
			public static getTagInfoList_argsHelper OBJ = new getTagInfoList_argsHelper();
			
			public static getTagInfoList_argsHelper getInstance() {
				
				return OBJ;
			}
			
			
			public void Read(getTagInfoList_args structs, Protocol iprot){
				
				
				
				
				if(true){
					
					List<int?> value;
					
					value = new List<int?>();
					iprot.ReadSetBegin();
					while(true){
						
						try{
							
							int elem1;
							elem1 = iprot.ReadI32(); 
							
							value.Add(elem1);
						}
						catch(Exception e){
							
							
							break;
						}
					}
					
					iprot.ReadSetEnd();
					
					structs.SetTagSnList(value);
				}
				
				
				
				
				Validate(structs);
				
			}
			
			
			public void Write(getTagInfoList_args structs, Protocol oprot){
				
				Validate(structs);
				oprot.WriteStructBegin();
				
				if(structs.GetTagSnList() != null) {
					
					oprot.WriteFieldBegin("tagSnList");
					
					oprot.WriteSetBegin();
					foreach(int _item0 in structs.GetTagSnList()){
						
						oprot.WriteI32((int)_item0); 
						
					}
					
					oprot.WriteSetEnd();
					
					oprot.WriteFieldEnd();
				}
				
				else{
					throw new ArgumentException("tagSnList can not be null!");
				}
				
				
				oprot.WriteFieldStop();
				oprot.WriteStructEnd();
			}
			
			
			public void Validate(getTagInfoList_args bean){
				
				
			}
			
			
		}
		
		
		
		
		public class getTagsByTagType_argsHelper : TBeanSerializer<getTagsByTagType_args>
		{
			
			public static getTagsByTagType_argsHelper OBJ = new getTagsByTagType_argsHelper();
			
			public static getTagsByTagType_argsHelper getInstance() {
				
				return OBJ;
			}
			
			
			public void Read(getTagsByTagType_args structs, Protocol iprot){
				
				
				
				
				if(true){
					
					com.vip.osp.category.api.comm.TagType? value;
					
					value = com.vip.osp.category.api.comm.TagTypeUtil.FindByName(iprot.ReadString());
					
					structs.SetTagType(value);
				}
				
				
				
				
				
				if(true){
					
					int value;
					value = iprot.ReadI32(); 
					
					structs.SetCurPage(value);
				}
				
				
				
				
				
				if(true){
					
					int value;
					value = iprot.ReadI32(); 
					
					structs.SetPageSize(value);
				}
				
				
				
				
				Validate(structs);
				
			}
			
			
			public void Write(getTagsByTagType_args structs, Protocol oprot){
				
				Validate(structs);
				oprot.WriteStructBegin();
				
				if(structs.GetTagType() != null) {
					
					oprot.WriteFieldBegin("tagType");
					oprot.WriteString(structs.GetTagType().ToString());  
					
					oprot.WriteFieldEnd();
				}
				
				else{
					throw new ArgumentException("tagType can not be null!");
				}
				
				
				if(structs.GetCurPage() != null) {
					
					oprot.WriteFieldBegin("curPage");
					oprot.WriteI32((int)structs.GetCurPage()); 
					
					oprot.WriteFieldEnd();
				}
				
				else{
					throw new ArgumentException("curPage can not be null!");
				}
				
				
				if(structs.GetPageSize() != null) {
					
					oprot.WriteFieldBegin("pageSize");
					oprot.WriteI32((int)structs.GetPageSize()); 
					
					oprot.WriteFieldEnd();
				}
				
				else{
					throw new ArgumentException("pageSize can not be null!");
				}
				
				
				oprot.WriteFieldStop();
				oprot.WriteStructEnd();
			}
			
			
			public void Validate(getTagsByTagType_args bean){
				
				
			}
			
			
		}
		
		
		
		
		public class getUpdatedPublishCategories_argsHelper : TBeanSerializer<getUpdatedPublishCategories_args>
		{
			
			public static getUpdatedPublishCategories_argsHelper OBJ = new getUpdatedPublishCategories_argsHelper();
			
			public static getUpdatedPublishCategories_argsHelper getInstance() {
				
				return OBJ;
			}
			
			
			public void Read(getUpdatedPublishCategories_args structs, Protocol iprot){
				
				
				
				
				if(true){
					
					long value;
					value = iprot.ReadI64(); 
					
					structs.SetSinceUpdateTime(value);
				}
				
				
				
				
				
				if(true){
					
					int value;
					value = iprot.ReadI32(); 
					
					structs.SetHierarchyId(value);
				}
				
				
				
				
				Validate(structs);
				
			}
			
			
			public void Write(getUpdatedPublishCategories_args structs, Protocol oprot){
				
				Validate(structs);
				oprot.WriteStructBegin();
				
				if(structs.GetSinceUpdateTime() != null) {
					
					oprot.WriteFieldBegin("sinceUpdateTime");
					oprot.WriteI64((long)structs.GetSinceUpdateTime()); 
					
					oprot.WriteFieldEnd();
				}
				
				else{
					throw new ArgumentException("sinceUpdateTime can not be null!");
				}
				
				
				if(structs.GetHierarchyId() != null) {
					
					oprot.WriteFieldBegin("hierarchyId");
					oprot.WriteI32((int)structs.GetHierarchyId()); 
					
					oprot.WriteFieldEnd();
				}
				
				else{
					throw new ArgumentException("hierarchyId can not be null!");
				}
				
				
				oprot.WriteFieldStop();
				oprot.WriteStructEnd();
			}
			
			
			public void Validate(getUpdatedPublishCategories_args bean){
				
				
			}
			
			
		}
		
		
		
		
		public class healthCheck_argsHelper : TBeanSerializer<healthCheck_args>
		{
			
			public static healthCheck_argsHelper OBJ = new healthCheck_argsHelper();
			
			public static healthCheck_argsHelper getInstance() {
				
				return OBJ;
			}
			
			
			public void Read(healthCheck_args structs, Protocol iprot){
				
				
				
				Validate(structs);
				
			}
			
			
			public void Write(healthCheck_args structs, Protocol oprot){
				
				Validate(structs);
				oprot.WriteStructBegin();
				
				oprot.WriteFieldStop();
				oprot.WriteStructEnd();
			}
			
			
			public void Validate(healthCheck_args bean){
				
				
			}
			
			
		}
		
		
		
		
		public class parseAttributes_argsHelper : TBeanSerializer<parseAttributes_args>
		{
			
			public static parseAttributes_argsHelper OBJ = new parseAttributes_argsHelper();
			
			public static parseAttributes_argsHelper getInstance() {
				
				return OBJ;
			}
			
			
			public void Read(parseAttributes_args structs, Protocol iprot){
				
				
				
				
				if(true){
					
					int value;
					value = iprot.ReadI32(); 
					
					structs.SetCategoryId(value);
				}
				
				
				
				
				
				if(true){
					
					List<com.vip.osp.category.api.comm.AttrOptIds> value;
					
					value = new List<com.vip.osp.category.api.comm.AttrOptIds>();
					iprot.ReadListBegin();
					while(true){
						
						try{
							
							com.vip.osp.category.api.comm.AttrOptIds elem0;
							
							elem0 = new com.vip.osp.category.api.comm.AttrOptIds();
							com.vip.osp.category.api.comm.AttrOptIdsHelper.getInstance().Read(elem0, iprot);
							
							value.Add(elem0);
						}
						catch(Exception e){
							
							
							break;
						}
					}
					
					iprot.ReadListEnd();
					
					structs.SetAttrOptIdsList(value);
				}
				
				
				
				
				Validate(structs);
				
			}
			
			
			public void Write(parseAttributes_args structs, Protocol oprot){
				
				Validate(structs);
				oprot.WriteStructBegin();
				
				if(structs.GetCategoryId() != null) {
					
					oprot.WriteFieldBegin("categoryId");
					oprot.WriteI32((int)structs.GetCategoryId()); 
					
					oprot.WriteFieldEnd();
				}
				
				else{
					throw new ArgumentException("categoryId can not be null!");
				}
				
				
				if(structs.GetAttrOptIdsList() != null) {
					
					oprot.WriteFieldBegin("attrOptIdsList");
					
					oprot.WriteListBegin();
					foreach(com.vip.osp.category.api.comm.AttrOptIds _item0 in structs.GetAttrOptIdsList()){
						
						
						com.vip.osp.category.api.comm.AttrOptIdsHelper.getInstance().Write(_item0, oprot);
						
					}
					
					oprot.WriteListEnd();
					
					oprot.WriteFieldEnd();
				}
				
				
				oprot.WriteFieldStop();
				oprot.WriteStructEnd();
			}
			
			
			public void Validate(parseAttributes_args bean){
				
				
			}
			
			
		}
		
		
		
		
		public class batchGetQualifications_resultHelper : TBeanSerializer<batchGetQualifications_result>
		{
			
			public static batchGetQualifications_resultHelper OBJ = new batchGetQualifications_resultHelper();
			
			public static batchGetQualifications_resultHelper getInstance() {
				
				return OBJ;
			}
			
			
			public void Read(batchGetQualifications_result structs, Protocol iprot){
				
				
				
				
				if(true){
					
					Dictionary<long?, com.vip.osp.category.api.comm.Qualification> value;
					
					value = new Dictionary<long?, com.vip.osp.category.api.comm.Qualification>();
					iprot.ReadMapBegin();
					while(true){
						
						try{
							
							long _key1;
							com.vip.osp.category.api.comm.Qualification _val1;
							_key1 = iprot.ReadI64(); 
							
							
							_val1 = new com.vip.osp.category.api.comm.Qualification();
							com.vip.osp.category.api.comm.QualificationHelper.getInstance().Read(_val1, iprot);
							
							value.Add(_key1, _val1);
						}
						catch(Exception e){
							
							
							break;
						}
					}
					
					iprot.ReadMapEnd();
					
					structs.SetSuccess(value);
				}
				
				
				
				
				Validate(structs);
				
			}
			
			
			public void Write(batchGetQualifications_result structs, Protocol oprot){
				
				Validate(structs);
				oprot.WriteStructBegin();
				
				if(structs.GetSuccess() != null) {
					
					oprot.WriteFieldBegin("success");
					
					oprot.WriteMapBegin();
					foreach(KeyValuePair< long?, com.vip.osp.category.api.comm.Qualification > _ir0 in structs.GetSuccess()){
						
						long? _key0 = _ir0.Key;
						com.vip.osp.category.api.comm.Qualification _value0 = _ir0.Value;
						oprot.WriteI64((long)_key0); 
						
						
						com.vip.osp.category.api.comm.QualificationHelper.getInstance().Write(_value0, oprot);
						
					}
					
					oprot.WriteMapEnd();
					
					oprot.WriteFieldEnd();
				}
				
				
				oprot.WriteFieldStop();
				oprot.WriteStructEnd();
			}
			
			
			public void Validate(batchGetQualifications_result bean){
				
				
			}
			
			
		}
		
		
		
		
		public class getAttributeByTag_resultHelper : TBeanSerializer<getAttributeByTag_result>
		{
			
			public static getAttributeByTag_resultHelper OBJ = new getAttributeByTag_resultHelper();
			
			public static getAttributeByTag_resultHelper getInstance() {
				
				return OBJ;
			}
			
			
			public void Read(getAttributeByTag_result structs, Protocol iprot){
				
				
				
				
				if(true){
					
					List<com.vip.osp.category.api.comm.Attribute> value;
					
					value = new List<com.vip.osp.category.api.comm.Attribute>();
					iprot.ReadListBegin();
					while(true){
						
						try{
							
							com.vip.osp.category.api.comm.Attribute elem1;
							
							elem1 = new com.vip.osp.category.api.comm.Attribute();
							com.vip.osp.category.api.comm.AttributeHelper.getInstance().Read(elem1, iprot);
							
							value.Add(elem1);
						}
						catch(Exception e){
							
							
							break;
						}
					}
					
					iprot.ReadListEnd();
					
					structs.SetSuccess(value);
				}
				
				
				
				
				Validate(structs);
				
			}
			
			
			public void Write(getAttributeByTag_result structs, Protocol oprot){
				
				Validate(structs);
				oprot.WriteStructBegin();
				
				if(structs.GetSuccess() != null) {
					
					oprot.WriteFieldBegin("success");
					
					oprot.WriteListBegin();
					foreach(com.vip.osp.category.api.comm.Attribute _item0 in structs.GetSuccess()){
						
						
						com.vip.osp.category.api.comm.AttributeHelper.getInstance().Write(_item0, oprot);
						
					}
					
					oprot.WriteListEnd();
					
					oprot.WriteFieldEnd();
				}
				
				
				oprot.WriteFieldStop();
				oprot.WriteStructEnd();
			}
			
			
			public void Validate(getAttributeByTag_result bean){
				
				
			}
			
			
		}
		
		
		
		
		public class getBriefCategoryAttributesByIds_resultHelper : TBeanSerializer<getBriefCategoryAttributesByIds_result>
		{
			
			public static getBriefCategoryAttributesByIds_resultHelper OBJ = new getBriefCategoryAttributesByIds_resultHelper();
			
			public static getBriefCategoryAttributesByIds_resultHelper getInstance() {
				
				return OBJ;
			}
			
			
			public void Read(getBriefCategoryAttributesByIds_result structs, Protocol iprot){
				
				
				
				
				if(true){
					
					List<com.vip.osp.category.api.comm.BriefCategoryAttributes> value;
					
					value = new List<com.vip.osp.category.api.comm.BriefCategoryAttributes>();
					iprot.ReadListBegin();
					while(true){
						
						try{
							
							com.vip.osp.category.api.comm.BriefCategoryAttributes elem1;
							
							elem1 = new com.vip.osp.category.api.comm.BriefCategoryAttributes();
							com.vip.osp.category.api.comm.BriefCategoryAttributesHelper.getInstance().Read(elem1, iprot);
							
							value.Add(elem1);
						}
						catch(Exception e){
							
							
							break;
						}
					}
					
					iprot.ReadListEnd();
					
					structs.SetSuccess(value);
				}
				
				
				
				
				Validate(structs);
				
			}
			
			
			public void Write(getBriefCategoryAttributesByIds_result structs, Protocol oprot){
				
				Validate(structs);
				oprot.WriteStructBegin();
				
				if(structs.GetSuccess() != null) {
					
					oprot.WriteFieldBegin("success");
					
					oprot.WriteListBegin();
					foreach(com.vip.osp.category.api.comm.BriefCategoryAttributes _item0 in structs.GetSuccess()){
						
						
						com.vip.osp.category.api.comm.BriefCategoryAttributesHelper.getInstance().Write(_item0, oprot);
						
					}
					
					oprot.WriteListEnd();
					
					oprot.WriteFieldEnd();
				}
				
				
				oprot.WriteFieldStop();
				oprot.WriteStructEnd();
			}
			
			
			public void Validate(getBriefCategoryAttributesByIds_result bean){
				
				
			}
			
			
		}
		
		
		
		
		public class getBriefCategoryTree_resultHelper : TBeanSerializer<getBriefCategoryTree_result>
		{
			
			public static getBriefCategoryTree_resultHelper OBJ = new getBriefCategoryTree_resultHelper();
			
			public static getBriefCategoryTree_resultHelper getInstance() {
				
				return OBJ;
			}
			
			
			public void Read(getBriefCategoryTree_result structs, Protocol iprot){
				
				
				
				
				if(true){
					
					com.vip.osp.category.api.comm.BriefCategory value;
					
					value = new com.vip.osp.category.api.comm.BriefCategory();
					com.vip.osp.category.api.comm.BriefCategoryHelper.getInstance().Read(value, iprot);
					
					structs.SetSuccess(value);
				}
				
				
				
				
				Validate(structs);
				
			}
			
			
			public void Write(getBriefCategoryTree_result structs, Protocol oprot){
				
				Validate(structs);
				oprot.WriteStructBegin();
				
				if(structs.GetSuccess() != null) {
					
					oprot.WriteFieldBegin("success");
					
					com.vip.osp.category.api.comm.BriefCategoryHelper.getInstance().Write(structs.GetSuccess(), oprot);
					
					oprot.WriteFieldEnd();
				}
				
				
				oprot.WriteFieldStop();
				oprot.WriteStructEnd();
			}
			
			
			public void Validate(getBriefCategoryTree_result bean){
				
				
			}
			
			
		}
		
		
		
		
		public class getCategories_resultHelper : TBeanSerializer<getCategories_result>
		{
			
			public static getCategories_resultHelper OBJ = new getCategories_resultHelper();
			
			public static getCategories_resultHelper getInstance() {
				
				return OBJ;
			}
			
			
			public void Read(getCategories_result structs, Protocol iprot){
				
				
				
				
				if(true){
					
					List<com.vip.osp.category.api.comm.Category> value;
					
					value = new List<com.vip.osp.category.api.comm.Category>();
					iprot.ReadListBegin();
					while(true){
						
						try{
							
							com.vip.osp.category.api.comm.Category elem0;
							
							elem0 = new com.vip.osp.category.api.comm.Category();
							com.vip.osp.category.api.comm.CategoryHelper.getInstance().Read(elem0, iprot);
							
							value.Add(elem0);
						}
						catch(Exception e){
							
							
							break;
						}
					}
					
					iprot.ReadListEnd();
					
					structs.SetSuccess(value);
				}
				
				
				
				
				Validate(structs);
				
			}
			
			
			public void Write(getCategories_result structs, Protocol oprot){
				
				Validate(structs);
				oprot.WriteStructBegin();
				
				if(structs.GetSuccess() != null) {
					
					oprot.WriteFieldBegin("success");
					
					oprot.WriteListBegin();
					foreach(com.vip.osp.category.api.comm.Category _item0 in structs.GetSuccess()){
						
						
						com.vip.osp.category.api.comm.CategoryHelper.getInstance().Write(_item0, oprot);
						
					}
					
					oprot.WriteListEnd();
					
					oprot.WriteFieldEnd();
				}
				
				
				oprot.WriteFieldStop();
				oprot.WriteStructEnd();
			}
			
			
			public void Validate(getCategories_result bean){
				
				
			}
			
			
		}
		
		
		
		
		public class getCategoriesAndChildrenAttributes_resultHelper : TBeanSerializer<getCategoriesAndChildrenAttributes_result>
		{
			
			public static getCategoriesAndChildrenAttributes_resultHelper OBJ = new getCategoriesAndChildrenAttributes_resultHelper();
			
			public static getCategoriesAndChildrenAttributes_resultHelper getInstance() {
				
				return OBJ;
			}
			
			
			public void Read(getCategoriesAndChildrenAttributes_result structs, Protocol iprot){
				
				
				
				
				if(true){
					
					List<com.vip.osp.category.api.comm.Attribute> value;
					
					value = new List<com.vip.osp.category.api.comm.Attribute>();
					iprot.ReadListBegin();
					while(true){
						
						try{
							
							com.vip.osp.category.api.comm.Attribute elem1;
							
							elem1 = new com.vip.osp.category.api.comm.Attribute();
							com.vip.osp.category.api.comm.AttributeHelper.getInstance().Read(elem1, iprot);
							
							value.Add(elem1);
						}
						catch(Exception e){
							
							
							break;
						}
					}
					
					iprot.ReadListEnd();
					
					structs.SetSuccess(value);
				}
				
				
				
				
				Validate(structs);
				
			}
			
			
			public void Write(getCategoriesAndChildrenAttributes_result structs, Protocol oprot){
				
				Validate(structs);
				oprot.WriteStructBegin();
				
				if(structs.GetSuccess() != null) {
					
					oprot.WriteFieldBegin("success");
					
					oprot.WriteListBegin();
					foreach(com.vip.osp.category.api.comm.Attribute _item0 in structs.GetSuccess()){
						
						
						com.vip.osp.category.api.comm.AttributeHelper.getInstance().Write(_item0, oprot);
						
					}
					
					oprot.WriteListEnd();
					
					oprot.WriteFieldEnd();
				}
				
				
				oprot.WriteFieldStop();
				oprot.WriteStructEnd();
			}
			
			
			public void Validate(getCategoriesAndChildrenAttributes_result bean){
				
				
			}
			
			
		}
		
		
		
		
		public class getCategory_resultHelper : TBeanSerializer<getCategory_result>
		{
			
			public static getCategory_resultHelper OBJ = new getCategory_resultHelper();
			
			public static getCategory_resultHelper getInstance() {
				
				return OBJ;
			}
			
			
			public void Read(getCategory_result structs, Protocol iprot){
				
				
				
				
				if(true){
					
					com.vip.osp.category.api.comm.Category value;
					
					value = new com.vip.osp.category.api.comm.Category();
					com.vip.osp.category.api.comm.CategoryHelper.getInstance().Read(value, iprot);
					
					structs.SetSuccess(value);
				}
				
				
				
				
				Validate(structs);
				
			}
			
			
			public void Write(getCategory_result structs, Protocol oprot){
				
				Validate(structs);
				oprot.WriteStructBegin();
				
				if(structs.GetSuccess() != null) {
					
					oprot.WriteFieldBegin("success");
					
					com.vip.osp.category.api.comm.CategoryHelper.getInstance().Write(structs.GetSuccess(), oprot);
					
					oprot.WriteFieldEnd();
				}
				
				
				oprot.WriteFieldStop();
				oprot.WriteStructEnd();
			}
			
			
			public void Validate(getCategory_result bean){
				
				
			}
			
			
		}
		
		
		
		
		public class getCategoryAttributeIdsByIds_resultHelper : TBeanSerializer<getCategoryAttributeIdsByIds_result>
		{
			
			public static getCategoryAttributeIdsByIds_resultHelper OBJ = new getCategoryAttributeIdsByIds_resultHelper();
			
			public static getCategoryAttributeIdsByIds_resultHelper getInstance() {
				
				return OBJ;
			}
			
			
			public void Read(getCategoryAttributeIdsByIds_result structs, Protocol iprot){
				
				
				
				
				if(true){
					
					List<com.vip.osp.category.api.comm.CategoryAttributeIds> value;
					
					value = new List<com.vip.osp.category.api.comm.CategoryAttributeIds>();
					iprot.ReadListBegin();
					while(true){
						
						try{
							
							com.vip.osp.category.api.comm.CategoryAttributeIds elem0;
							
							elem0 = new com.vip.osp.category.api.comm.CategoryAttributeIds();
							com.vip.osp.category.api.comm.CategoryAttributeIdsHelper.getInstance().Read(elem0, iprot);
							
							value.Add(elem0);
						}
						catch(Exception e){
							
							
							break;
						}
					}
					
					iprot.ReadListEnd();
					
					structs.SetSuccess(value);
				}
				
				
				
				
				Validate(structs);
				
			}
			
			
			public void Write(getCategoryAttributeIdsByIds_result structs, Protocol oprot){
				
				Validate(structs);
				oprot.WriteStructBegin();
				
				if(structs.GetSuccess() != null) {
					
					oprot.WriteFieldBegin("success");
					
					oprot.WriteListBegin();
					foreach(com.vip.osp.category.api.comm.CategoryAttributeIds _item0 in structs.GetSuccess()){
						
						
						com.vip.osp.category.api.comm.CategoryAttributeIdsHelper.getInstance().Write(_item0, oprot);
						
					}
					
					oprot.WriteListEnd();
					
					oprot.WriteFieldEnd();
				}
				
				
				oprot.WriteFieldStop();
				oprot.WriteStructEnd();
			}
			
			
			public void Validate(getCategoryAttributeIdsByIds_result bean){
				
				
			}
			
			
		}
		
		
		
		
		public class getCategoryAttributes_resultHelper : TBeanSerializer<getCategoryAttributes_result>
		{
			
			public static getCategoryAttributes_resultHelper OBJ = new getCategoryAttributes_resultHelper();
			
			public static getCategoryAttributes_resultHelper getInstance() {
				
				return OBJ;
			}
			
			
			public void Read(getCategoryAttributes_result structs, Protocol iprot){
				
				
				
				
				if(true){
					
					List<com.vip.osp.category.api.comm.Attribute> value;
					
					value = new List<com.vip.osp.category.api.comm.Attribute>();
					iprot.ReadListBegin();
					while(true){
						
						try{
							
							com.vip.osp.category.api.comm.Attribute elem1;
							
							elem1 = new com.vip.osp.category.api.comm.Attribute();
							com.vip.osp.category.api.comm.AttributeHelper.getInstance().Read(elem1, iprot);
							
							value.Add(elem1);
						}
						catch(Exception e){
							
							
							break;
						}
					}
					
					iprot.ReadListEnd();
					
					structs.SetSuccess(value);
				}
				
				
				
				
				Validate(structs);
				
			}
			
			
			public void Write(getCategoryAttributes_result structs, Protocol oprot){
				
				Validate(structs);
				oprot.WriteStructBegin();
				
				if(structs.GetSuccess() != null) {
					
					oprot.WriteFieldBegin("success");
					
					oprot.WriteListBegin();
					foreach(com.vip.osp.category.api.comm.Attribute _item0 in structs.GetSuccess()){
						
						
						com.vip.osp.category.api.comm.AttributeHelper.getInstance().Write(_item0, oprot);
						
					}
					
					oprot.WriteListEnd();
					
					oprot.WriteFieldEnd();
				}
				
				
				oprot.WriteFieldStop();
				oprot.WriteStructEnd();
			}
			
			
			public void Validate(getCategoryAttributes_result bean){
				
				
			}
			
			
		}
		
		
		
		
		public class getCategoryByName_resultHelper : TBeanSerializer<getCategoryByName_result>
		{
			
			public static getCategoryByName_resultHelper OBJ = new getCategoryByName_resultHelper();
			
			public static getCategoryByName_resultHelper getInstance() {
				
				return OBJ;
			}
			
			
			public void Read(getCategoryByName_result structs, Protocol iprot){
				
				
				
				
				if(true){
					
					List<com.vip.osp.category.api.comm.Category> value;
					
					value = new List<com.vip.osp.category.api.comm.Category>();
					iprot.ReadListBegin();
					while(true){
						
						try{
							
							com.vip.osp.category.api.comm.Category elem1;
							
							elem1 = new com.vip.osp.category.api.comm.Category();
							com.vip.osp.category.api.comm.CategoryHelper.getInstance().Read(elem1, iprot);
							
							value.Add(elem1);
						}
						catch(Exception e){
							
							
							break;
						}
					}
					
					iprot.ReadListEnd();
					
					structs.SetSuccess(value);
				}
				
				
				
				
				Validate(structs);
				
			}
			
			
			public void Write(getCategoryByName_result structs, Protocol oprot){
				
				Validate(structs);
				oprot.WriteStructBegin();
				
				if(structs.GetSuccess() != null) {
					
					oprot.WriteFieldBegin("success");
					
					oprot.WriteListBegin();
					foreach(com.vip.osp.category.api.comm.Category _item0 in structs.GetSuccess()){
						
						
						com.vip.osp.category.api.comm.CategoryHelper.getInstance().Write(_item0, oprot);
						
					}
					
					oprot.WriteListEnd();
					
					oprot.WriteFieldEnd();
				}
				
				
				oprot.WriteFieldStop();
				oprot.WriteStructEnd();
			}
			
			
			public void Validate(getCategoryByName_result bean){
				
				
			}
			
			
		}
		
		
		
		
		public class getCategoryIdAndNameList_resultHelper : TBeanSerializer<getCategoryIdAndNameList_result>
		{
			
			public static getCategoryIdAndNameList_resultHelper OBJ = new getCategoryIdAndNameList_resultHelper();
			
			public static getCategoryIdAndNameList_resultHelper getInstance() {
				
				return OBJ;
			}
			
			
			public void Read(getCategoryIdAndNameList_result structs, Protocol iprot){
				
				
				
				
				if(true){
					
					List<com.vip.osp.category.api.comm.CategoryIdAndName> value;
					
					value = new List<com.vip.osp.category.api.comm.CategoryIdAndName>();
					iprot.ReadListBegin();
					while(true){
						
						try{
							
							com.vip.osp.category.api.comm.CategoryIdAndName elem1;
							
							elem1 = new com.vip.osp.category.api.comm.CategoryIdAndName();
							com.vip.osp.category.api.comm.CategoryIdAndNameHelper.getInstance().Read(elem1, iprot);
							
							value.Add(elem1);
						}
						catch(Exception e){
							
							
							break;
						}
					}
					
					iprot.ReadListEnd();
					
					structs.SetSuccess(value);
				}
				
				
				
				
				Validate(structs);
				
			}
			
			
			public void Write(getCategoryIdAndNameList_result structs, Protocol oprot){
				
				Validate(structs);
				oprot.WriteStructBegin();
				
				if(structs.GetSuccess() != null) {
					
					oprot.WriteFieldBegin("success");
					
					oprot.WriteListBegin();
					foreach(com.vip.osp.category.api.comm.CategoryIdAndName _item0 in structs.GetSuccess()){
						
						
						com.vip.osp.category.api.comm.CategoryIdAndNameHelper.getInstance().Write(_item0, oprot);
						
					}
					
					oprot.WriteListEnd();
					
					oprot.WriteFieldEnd();
				}
				
				
				oprot.WriteFieldStop();
				oprot.WriteStructEnd();
			}
			
			
			public void Validate(getCategoryIdAndNameList_result bean){
				
				
			}
			
			
		}
		
		
		
		
		public class getCategoryPath_resultHelper : TBeanSerializer<getCategoryPath_result>
		{
			
			public static getCategoryPath_resultHelper OBJ = new getCategoryPath_resultHelper();
			
			public static getCategoryPath_resultHelper getInstance() {
				
				return OBJ;
			}
			
			
			public void Read(getCategoryPath_result structs, Protocol iprot){
				
				
				
				
				if(true){
					
					List<com.vip.osp.category.api.comm.CategoryPath> value;
					
					value = new List<com.vip.osp.category.api.comm.CategoryPath>();
					iprot.ReadListBegin();
					while(true){
						
						try{
							
							com.vip.osp.category.api.comm.CategoryPath elem1;
							
							elem1 = new com.vip.osp.category.api.comm.CategoryPath();
							com.vip.osp.category.api.comm.CategoryPathHelper.getInstance().Read(elem1, iprot);
							
							value.Add(elem1);
						}
						catch(Exception e){
							
							
							break;
						}
					}
					
					iprot.ReadListEnd();
					
					structs.SetSuccess(value);
				}
				
				
				
				
				Validate(structs);
				
			}
			
			
			public void Write(getCategoryPath_result structs, Protocol oprot){
				
				Validate(structs);
				oprot.WriteStructBegin();
				
				if(structs.GetSuccess() != null) {
					
					oprot.WriteFieldBegin("success");
					
					oprot.WriteListBegin();
					foreach(com.vip.osp.category.api.comm.CategoryPath _item0 in structs.GetSuccess()){
						
						
						com.vip.osp.category.api.comm.CategoryPathHelper.getInstance().Write(_item0, oprot);
						
					}
					
					oprot.WriteListEnd();
					
					oprot.WriteFieldEnd();
				}
				
				
				oprot.WriteFieldStop();
				oprot.WriteStructEnd();
			}
			
			
			public void Validate(getCategoryPath_result bean){
				
				
			}
			
			
		}
		
		
		
		
		public class getCategoryQuestionAnswer_resultHelper : TBeanSerializer<getCategoryQuestionAnswer_result>
		{
			
			public static getCategoryQuestionAnswer_resultHelper OBJ = new getCategoryQuestionAnswer_resultHelper();
			
			public static getCategoryQuestionAnswer_resultHelper getInstance() {
				
				return OBJ;
			}
			
			
			public void Read(getCategoryQuestionAnswer_result structs, Protocol iprot){
				
				
				
				
				if(true){
					
					com.vip.osp.category.api.comm.CategoryQuestionAnswerShort value;
					
					value = new com.vip.osp.category.api.comm.CategoryQuestionAnswerShort();
					com.vip.osp.category.api.comm.CategoryQuestionAnswerShortHelper.getInstance().Read(value, iprot);
					
					structs.SetSuccess(value);
				}
				
				
				
				
				Validate(structs);
				
			}
			
			
			public void Write(getCategoryQuestionAnswer_result structs, Protocol oprot){
				
				Validate(structs);
				oprot.WriteStructBegin();
				
				if(structs.GetSuccess() != null) {
					
					oprot.WriteFieldBegin("success");
					
					com.vip.osp.category.api.comm.CategoryQuestionAnswerShortHelper.getInstance().Write(structs.GetSuccess(), oprot);
					
					oprot.WriteFieldEnd();
				}
				
				
				oprot.WriteFieldStop();
				oprot.WriteStructEnd();
			}
			
			
			public void Validate(getCategoryQuestionAnswer_result bean){
				
				
			}
			
			
		}
		
		
		
		
		public class getCategorySpecialAttributeList_resultHelper : TBeanSerializer<getCategorySpecialAttributeList_result>
		{
			
			public static getCategorySpecialAttributeList_resultHelper OBJ = new getCategorySpecialAttributeList_resultHelper();
			
			public static getCategorySpecialAttributeList_resultHelper getInstance() {
				
				return OBJ;
			}
			
			
			public void Read(getCategorySpecialAttributeList_result structs, Protocol iprot){
				
				
				
				
				if(true){
					
					List<com.vip.osp.category.api.comm.CategorySpecialAttributes> value;
					
					value = new List<com.vip.osp.category.api.comm.CategorySpecialAttributes>();
					iprot.ReadListBegin();
					while(true){
						
						try{
							
							com.vip.osp.category.api.comm.CategorySpecialAttributes elem0;
							
							elem0 = new com.vip.osp.category.api.comm.CategorySpecialAttributes();
							com.vip.osp.category.api.comm.CategorySpecialAttributesHelper.getInstance().Read(elem0, iprot);
							
							value.Add(elem0);
						}
						catch(Exception e){
							
							
							break;
						}
					}
					
					iprot.ReadListEnd();
					
					structs.SetSuccess(value);
				}
				
				
				
				
				Validate(structs);
				
			}
			
			
			public void Write(getCategorySpecialAttributeList_result structs, Protocol oprot){
				
				Validate(structs);
				oprot.WriteStructBegin();
				
				if(structs.GetSuccess() != null) {
					
					oprot.WriteFieldBegin("success");
					
					oprot.WriteListBegin();
					foreach(com.vip.osp.category.api.comm.CategorySpecialAttributes _item0 in structs.GetSuccess()){
						
						
						com.vip.osp.category.api.comm.CategorySpecialAttributesHelper.getInstance().Write(_item0, oprot);
						
					}
					
					oprot.WriteListEnd();
					
					oprot.WriteFieldEnd();
				}
				
				
				oprot.WriteFieldStop();
				oprot.WriteStructEnd();
			}
			
			
			public void Validate(getCategorySpecialAttributeList_result bean){
				
				
			}
			
			
		}
		
		
		
		
		public class getCategorySpecialAttributes_resultHelper : TBeanSerializer<getCategorySpecialAttributes_result>
		{
			
			public static getCategorySpecialAttributes_resultHelper OBJ = new getCategorySpecialAttributes_resultHelper();
			
			public static getCategorySpecialAttributes_resultHelper getInstance() {
				
				return OBJ;
			}
			
			
			public void Read(getCategorySpecialAttributes_result structs, Protocol iprot){
				
				
				
				
				if(true){
					
					List<com.vip.osp.category.api.comm.AttributeWithValue> value;
					
					value = new List<com.vip.osp.category.api.comm.AttributeWithValue>();
					iprot.ReadListBegin();
					while(true){
						
						try{
							
							com.vip.osp.category.api.comm.AttributeWithValue elem1;
							
							elem1 = new com.vip.osp.category.api.comm.AttributeWithValue();
							com.vip.osp.category.api.comm.AttributeWithValueHelper.getInstance().Read(elem1, iprot);
							
							value.Add(elem1);
						}
						catch(Exception e){
							
							
							break;
						}
					}
					
					iprot.ReadListEnd();
					
					structs.SetSuccess(value);
				}
				
				
				
				
				Validate(structs);
				
			}
			
			
			public void Write(getCategorySpecialAttributes_result structs, Protocol oprot){
				
				Validate(structs);
				oprot.WriteStructBegin();
				
				if(structs.GetSuccess() != null) {
					
					oprot.WriteFieldBegin("success");
					
					oprot.WriteListBegin();
					foreach(com.vip.osp.category.api.comm.AttributeWithValue _item0 in structs.GetSuccess()){
						
						
						com.vip.osp.category.api.comm.AttributeWithValueHelper.getInstance().Write(_item0, oprot);
						
					}
					
					oprot.WriteListEnd();
					
					oprot.WriteFieldEnd();
				}
				
				
				oprot.WriteFieldStop();
				oprot.WriteStructEnd();
			}
			
			
			public void Validate(getCategorySpecialAttributes_result bean){
				
				
			}
			
			
		}
		
		
		
		
		public class getCategoryTree_resultHelper : TBeanSerializer<getCategoryTree_result>
		{
			
			public static getCategoryTree_resultHelper OBJ = new getCategoryTree_resultHelper();
			
			public static getCategoryTree_resultHelper getInstance() {
				
				return OBJ;
			}
			
			
			public void Read(getCategoryTree_result structs, Protocol iprot){
				
				
				
				
				if(true){
					
					com.vip.osp.category.api.comm.Category value;
					
					value = new com.vip.osp.category.api.comm.Category();
					com.vip.osp.category.api.comm.CategoryHelper.getInstance().Read(value, iprot);
					
					structs.SetSuccess(value);
				}
				
				
				
				
				Validate(structs);
				
			}
			
			
			public void Write(getCategoryTree_result structs, Protocol oprot){
				
				Validate(structs);
				oprot.WriteStructBegin();
				
				if(structs.GetSuccess() != null) {
					
					oprot.WriteFieldBegin("success");
					
					com.vip.osp.category.api.comm.CategoryHelper.getInstance().Write(structs.GetSuccess(), oprot);
					
					oprot.WriteFieldEnd();
				}
				
				
				oprot.WriteFieldStop();
				oprot.WriteStructEnd();
			}
			
			
			public void Validate(getCategoryTree_result bean){
				
				
			}
			
			
		}
		
		
		
		
		public class getExchangedReasonByCategoryId_resultHelper : TBeanSerializer<getExchangedReasonByCategoryId_result>
		{
			
			public static getExchangedReasonByCategoryId_resultHelper OBJ = new getExchangedReasonByCategoryId_resultHelper();
			
			public static getExchangedReasonByCategoryId_resultHelper getInstance() {
				
				return OBJ;
			}
			
			
			public void Read(getExchangedReasonByCategoryId_result structs, Protocol iprot){
				
				
				
				
				if(true){
					
					com.vip.osp.category.api.comm.CategoryExchangedReason value;
					
					value = new com.vip.osp.category.api.comm.CategoryExchangedReason();
					com.vip.osp.category.api.comm.CategoryExchangedReasonHelper.getInstance().Read(value, iprot);
					
					structs.SetSuccess(value);
				}
				
				
				
				
				Validate(structs);
				
			}
			
			
			public void Write(getExchangedReasonByCategoryId_result structs, Protocol oprot){
				
				Validate(structs);
				oprot.WriteStructBegin();
				
				if(structs.GetSuccess() != null) {
					
					oprot.WriteFieldBegin("success");
					
					com.vip.osp.category.api.comm.CategoryExchangedReasonHelper.getInstance().Write(structs.GetSuccess(), oprot);
					
					oprot.WriteFieldEnd();
				}
				
				
				oprot.WriteFieldStop();
				oprot.WriteStructEnd();
			}
			
			
			public void Validate(getExchangedReasonByCategoryId_result bean){
				
				
			}
			
			
		}
		
		
		
		
		public class getExchangedReasonListByCategoryIds_resultHelper : TBeanSerializer<getExchangedReasonListByCategoryIds_result>
		{
			
			public static getExchangedReasonListByCategoryIds_resultHelper OBJ = new getExchangedReasonListByCategoryIds_resultHelper();
			
			public static getExchangedReasonListByCategoryIds_resultHelper getInstance() {
				
				return OBJ;
			}
			
			
			public void Read(getExchangedReasonListByCategoryIds_result structs, Protocol iprot){
				
				
				
				
				if(true){
					
					List<com.vip.osp.category.api.comm.CategoryExchangedReason> value;
					
					value = new List<com.vip.osp.category.api.comm.CategoryExchangedReason>();
					iprot.ReadListBegin();
					while(true){
						
						try{
							
							com.vip.osp.category.api.comm.CategoryExchangedReason elem0;
							
							elem0 = new com.vip.osp.category.api.comm.CategoryExchangedReason();
							com.vip.osp.category.api.comm.CategoryExchangedReasonHelper.getInstance().Read(elem0, iprot);
							
							value.Add(elem0);
						}
						catch(Exception e){
							
							
							break;
						}
					}
					
					iprot.ReadListEnd();
					
					structs.SetSuccess(value);
				}
				
				
				
				
				Validate(structs);
				
			}
			
			
			public void Write(getExchangedReasonListByCategoryIds_result structs, Protocol oprot){
				
				Validate(structs);
				oprot.WriteStructBegin();
				
				if(structs.GetSuccess() != null) {
					
					oprot.WriteFieldBegin("success");
					
					oprot.WriteListBegin();
					foreach(com.vip.osp.category.api.comm.CategoryExchangedReason _item0 in structs.GetSuccess()){
						
						
						com.vip.osp.category.api.comm.CategoryExchangedReasonHelper.getInstance().Write(_item0, oprot);
						
					}
					
					oprot.WriteListEnd();
					
					oprot.WriteFieldEnd();
				}
				
				
				oprot.WriteFieldStop();
				oprot.WriteStructEnd();
			}
			
			
			public void Validate(getExchangedReasonListByCategoryIds_result bean){
				
				
			}
			
			
		}
		
		
		
		
		public class getExchangedReasonListByIds_resultHelper : TBeanSerializer<getExchangedReasonListByIds_result>
		{
			
			public static getExchangedReasonListByIds_resultHelper OBJ = new getExchangedReasonListByIds_resultHelper();
			
			public static getExchangedReasonListByIds_resultHelper getInstance() {
				
				return OBJ;
			}
			
			
			public void Read(getExchangedReasonListByIds_result structs, Protocol iprot){
				
				
				
				
				if(true){
					
					List<com.vip.osp.category.api.comm.ExchangedReason> value;
					
					value = new List<com.vip.osp.category.api.comm.ExchangedReason>();
					iprot.ReadListBegin();
					while(true){
						
						try{
							
							com.vip.osp.category.api.comm.ExchangedReason elem1;
							
							elem1 = new com.vip.osp.category.api.comm.ExchangedReason();
							com.vip.osp.category.api.comm.ExchangedReasonHelper.getInstance().Read(elem1, iprot);
							
							value.Add(elem1);
						}
						catch(Exception e){
							
							
							break;
						}
					}
					
					iprot.ReadListEnd();
					
					structs.SetSuccess(value);
				}
				
				
				
				
				Validate(structs);
				
			}
			
			
			public void Write(getExchangedReasonListByIds_result structs, Protocol oprot){
				
				Validate(structs);
				oprot.WriteStructBegin();
				
				if(structs.GetSuccess() != null) {
					
					oprot.WriteFieldBegin("success");
					
					oprot.WriteListBegin();
					foreach(com.vip.osp.category.api.comm.ExchangedReason _item0 in structs.GetSuccess()){
						
						
						com.vip.osp.category.api.comm.ExchangedReasonHelper.getInstance().Write(_item0, oprot);
						
					}
					
					oprot.WriteListEnd();
					
					oprot.WriteFieldEnd();
				}
				
				
				oprot.WriteFieldStop();
				oprot.WriteStructEnd();
			}
			
			
			public void Validate(getExchangedReasonListByIds_result bean){
				
				
			}
			
			
		}
		
		
		
		
		public class getHierachyFilterAttributes_resultHelper : TBeanSerializer<getHierachyFilterAttributes_result>
		{
			
			public static getHierachyFilterAttributes_resultHelper OBJ = new getHierachyFilterAttributes_resultHelper();
			
			public static getHierachyFilterAttributes_resultHelper getInstance() {
				
				return OBJ;
			}
			
			
			public void Read(getHierachyFilterAttributes_result structs, Protocol iprot){
				
				
				
				
				if(true){
					
					string value;
					value = iprot.ReadString();
					
					structs.SetSuccess(value);
				}
				
				
				
				
				Validate(structs);
				
			}
			
			
			public void Write(getHierachyFilterAttributes_result structs, Protocol oprot){
				
				Validate(structs);
				oprot.WriteStructBegin();
				
				if(structs.GetSuccess() != null) {
					
					oprot.WriteFieldBegin("success");
					oprot.WriteString(structs.GetSuccess());
					
					oprot.WriteFieldEnd();
				}
				
				
				oprot.WriteFieldStop();
				oprot.WriteStructEnd();
			}
			
			
			public void Validate(getHierachyFilterAttributes_result bean){
				
				
			}
			
			
		}
		
		
		
		
		public class getHierarchyCategoryTree_resultHelper : TBeanSerializer<getHierarchyCategoryTree_result>
		{
			
			public static getHierarchyCategoryTree_resultHelper OBJ = new getHierarchyCategoryTree_resultHelper();
			
			public static getHierarchyCategoryTree_resultHelper getInstance() {
				
				return OBJ;
			}
			
			
			public void Read(getHierarchyCategoryTree_result structs, Protocol iprot){
				
				
				
				
				if(true){
					
					List<com.vip.osp.category.api.comm.Category> value;
					
					value = new List<com.vip.osp.category.api.comm.Category>();
					iprot.ReadListBegin();
					while(true){
						
						try{
							
							com.vip.osp.category.api.comm.Category elem0;
							
							elem0 = new com.vip.osp.category.api.comm.Category();
							com.vip.osp.category.api.comm.CategoryHelper.getInstance().Read(elem0, iprot);
							
							value.Add(elem0);
						}
						catch(Exception e){
							
							
							break;
						}
					}
					
					iprot.ReadListEnd();
					
					structs.SetSuccess(value);
				}
				
				
				
				
				Validate(structs);
				
			}
			
			
			public void Write(getHierarchyCategoryTree_result structs, Protocol oprot){
				
				Validate(structs);
				oprot.WriteStructBegin();
				
				if(structs.GetSuccess() != null) {
					
					oprot.WriteFieldBegin("success");
					
					oprot.WriteListBegin();
					foreach(com.vip.osp.category.api.comm.Category _item0 in structs.GetSuccess()){
						
						
						com.vip.osp.category.api.comm.CategoryHelper.getInstance().Write(_item0, oprot);
						
					}
					
					oprot.WriteListEnd();
					
					oprot.WriteFieldEnd();
				}
				
				
				oprot.WriteFieldStop();
				oprot.WriteStructEnd();
			}
			
			
			public void Validate(getHierarchyCategoryTree_result bean){
				
				
			}
			
			
		}
		
		
		
		
		public class getHierarchyCategoryTreeForVre_resultHelper : TBeanSerializer<getHierarchyCategoryTreeForVre_result>
		{
			
			public static getHierarchyCategoryTreeForVre_resultHelper OBJ = new getHierarchyCategoryTreeForVre_resultHelper();
			
			public static getHierarchyCategoryTreeForVre_resultHelper getInstance() {
				
				return OBJ;
			}
			
			
			public void Read(getHierarchyCategoryTreeForVre_result structs, Protocol iprot){
				
				
				
				
				if(true){
					
					com.vip.osp.category.api.comm.HierarchyTopCategoryVre value;
					
					value = new com.vip.osp.category.api.comm.HierarchyTopCategoryVre();
					com.vip.osp.category.api.comm.HierarchyTopCategoryVreHelper.getInstance().Read(value, iprot);
					
					structs.SetSuccess(value);
				}
				
				
				
				
				Validate(structs);
				
			}
			
			
			public void Write(getHierarchyCategoryTreeForVre_result structs, Protocol oprot){
				
				Validate(structs);
				oprot.WriteStructBegin();
				
				if(structs.GetSuccess() != null) {
					
					oprot.WriteFieldBegin("success");
					
					com.vip.osp.category.api.comm.HierarchyTopCategoryVreHelper.getInstance().Write(structs.GetSuccess(), oprot);
					
					oprot.WriteFieldEnd();
				}
				
				
				oprot.WriteFieldStop();
				oprot.WriteStructEnd();
			}
			
			
			public void Validate(getHierarchyCategoryTreeForVre_result bean){
				
				
			}
			
			
		}
		
		
		
		
		public class getHierarchyCategroyidsByCategoryIds_resultHelper : TBeanSerializer<getHierarchyCategroyidsByCategoryIds_result>
		{
			
			public static getHierarchyCategroyidsByCategoryIds_resultHelper OBJ = new getHierarchyCategroyidsByCategoryIds_resultHelper();
			
			public static getHierarchyCategroyidsByCategoryIds_resultHelper getInstance() {
				
				return OBJ;
			}
			
			
			public void Read(getHierarchyCategroyidsByCategoryIds_result structs, Protocol iprot){
				
				
				
				
				if(true){
					
					List<com.vip.osp.category.api.comm.Category> value;
					
					value = new List<com.vip.osp.category.api.comm.Category>();
					iprot.ReadListBegin();
					while(true){
						
						try{
							
							com.vip.osp.category.api.comm.Category elem0;
							
							elem0 = new com.vip.osp.category.api.comm.Category();
							com.vip.osp.category.api.comm.CategoryHelper.getInstance().Read(elem0, iprot);
							
							value.Add(elem0);
						}
						catch(Exception e){
							
							
							break;
						}
					}
					
					iprot.ReadListEnd();
					
					structs.SetSuccess(value);
				}
				
				
				
				
				Validate(structs);
				
			}
			
			
			public void Write(getHierarchyCategroyidsByCategoryIds_result structs, Protocol oprot){
				
				Validate(structs);
				oprot.WriteStructBegin();
				
				if(structs.GetSuccess() != null) {
					
					oprot.WriteFieldBegin("success");
					
					oprot.WriteListBegin();
					foreach(com.vip.osp.category.api.comm.Category _item0 in structs.GetSuccess()){
						
						
						com.vip.osp.category.api.comm.CategoryHelper.getInstance().Write(_item0, oprot);
						
					}
					
					oprot.WriteListEnd();
					
					oprot.WriteFieldEnd();
				}
				
				
				oprot.WriteFieldStop();
				oprot.WriteStructEnd();
			}
			
			
			public void Validate(getHierarchyCategroyidsByCategoryIds_result bean){
				
				
			}
			
			
		}
		
		
		
		
		public class getHierarchyIdsForVre_resultHelper : TBeanSerializer<getHierarchyIdsForVre_result>
		{
			
			public static getHierarchyIdsForVre_resultHelper OBJ = new getHierarchyIdsForVre_resultHelper();
			
			public static getHierarchyIdsForVre_resultHelper getInstance() {
				
				return OBJ;
			}
			
			
			public void Read(getHierarchyIdsForVre_result structs, Protocol iprot){
				
				
				
				
				if(true){
					
					List<int?> value;
					
					value = new List<int?>();
					iprot.ReadListBegin();
					while(true){
						
						try{
							
							int elem1;
							elem1 = iprot.ReadI32(); 
							
							value.Add(elem1);
						}
						catch(Exception e){
							
							
							break;
						}
					}
					
					iprot.ReadListEnd();
					
					structs.SetSuccess(value);
				}
				
				
				
				
				Validate(structs);
				
			}
			
			
			public void Write(getHierarchyIdsForVre_result structs, Protocol oprot){
				
				Validate(structs);
				oprot.WriteStructBegin();
				
				if(structs.GetSuccess() != null) {
					
					oprot.WriteFieldBegin("success");
					
					oprot.WriteListBegin();
					foreach(int _item0 in structs.GetSuccess()){
						
						oprot.WriteI32((int)_item0); 
						
					}
					
					oprot.WriteListEnd();
					
					oprot.WriteFieldEnd();
				}
				
				
				oprot.WriteFieldStop();
				oprot.WriteStructEnd();
			}
			
			
			public void Validate(getHierarchyIdsForVre_result bean){
				
				
			}
			
			
		}
		
		
		
		
		public class getHierarchyLeafCategoryIdAndNameList_resultHelper : TBeanSerializer<getHierarchyLeafCategoryIdAndNameList_result>
		{
			
			public static getHierarchyLeafCategoryIdAndNameList_resultHelper OBJ = new getHierarchyLeafCategoryIdAndNameList_resultHelper();
			
			public static getHierarchyLeafCategoryIdAndNameList_resultHelper getInstance() {
				
				return OBJ;
			}
			
			
			public void Read(getHierarchyLeafCategoryIdAndNameList_result structs, Protocol iprot){
				
				
				
				
				if(true){
					
					List<com.vip.osp.category.api.comm.HierarchyCategoryIdAndNames> value;
					
					value = new List<com.vip.osp.category.api.comm.HierarchyCategoryIdAndNames>();
					iprot.ReadListBegin();
					while(true){
						
						try{
							
							com.vip.osp.category.api.comm.HierarchyCategoryIdAndNames elem1;
							
							elem1 = new com.vip.osp.category.api.comm.HierarchyCategoryIdAndNames();
							com.vip.osp.category.api.comm.HierarchyCategoryIdAndNamesHelper.getInstance().Read(elem1, iprot);
							
							value.Add(elem1);
						}
						catch(Exception e){
							
							
							break;
						}
					}
					
					iprot.ReadListEnd();
					
					structs.SetSuccess(value);
				}
				
				
				
				
				Validate(structs);
				
			}
			
			
			public void Write(getHierarchyLeafCategoryIdAndNameList_result structs, Protocol oprot){
				
				Validate(structs);
				oprot.WriteStructBegin();
				
				if(structs.GetSuccess() != null) {
					
					oprot.WriteFieldBegin("success");
					
					oprot.WriteListBegin();
					foreach(com.vip.osp.category.api.comm.HierarchyCategoryIdAndNames _item0 in structs.GetSuccess()){
						
						
						com.vip.osp.category.api.comm.HierarchyCategoryIdAndNamesHelper.getInstance().Write(_item0, oprot);
						
					}
					
					oprot.WriteListEnd();
					
					oprot.WriteFieldEnd();
				}
				
				
				oprot.WriteFieldStop();
				oprot.WriteStructEnd();
			}
			
			
			public void Validate(getHierarchyLeafCategoryIdAndNameList_result bean){
				
				
			}
			
			
		}
		
		
		
		
		public class getHierarchyTopCategoryIdAndNameList_resultHelper : TBeanSerializer<getHierarchyTopCategoryIdAndNameList_result>
		{
			
			public static getHierarchyTopCategoryIdAndNameList_resultHelper OBJ = new getHierarchyTopCategoryIdAndNameList_resultHelper();
			
			public static getHierarchyTopCategoryIdAndNameList_resultHelper getInstance() {
				
				return OBJ;
			}
			
			
			public void Read(getHierarchyTopCategoryIdAndNameList_result structs, Protocol iprot){
				
				
				
				
				if(true){
					
					List<com.vip.osp.category.api.comm.HierarchyTopCategoryIdAndNames> value;
					
					value = new List<com.vip.osp.category.api.comm.HierarchyTopCategoryIdAndNames>();
					iprot.ReadListBegin();
					while(true){
						
						try{
							
							com.vip.osp.category.api.comm.HierarchyTopCategoryIdAndNames elem1;
							
							elem1 = new com.vip.osp.category.api.comm.HierarchyTopCategoryIdAndNames();
							com.vip.osp.category.api.comm.HierarchyTopCategoryIdAndNamesHelper.getInstance().Read(elem1, iprot);
							
							value.Add(elem1);
						}
						catch(Exception e){
							
							
							break;
						}
					}
					
					iprot.ReadListEnd();
					
					structs.SetSuccess(value);
				}
				
				
				
				
				Validate(structs);
				
			}
			
			
			public void Write(getHierarchyTopCategoryIdAndNameList_result structs, Protocol oprot){
				
				Validate(structs);
				oprot.WriteStructBegin();
				
				if(structs.GetSuccess() != null) {
					
					oprot.WriteFieldBegin("success");
					
					oprot.WriteListBegin();
					foreach(com.vip.osp.category.api.comm.HierarchyTopCategoryIdAndNames _item0 in structs.GetSuccess()){
						
						
						com.vip.osp.category.api.comm.HierarchyTopCategoryIdAndNamesHelper.getInstance().Write(_item0, oprot);
						
					}
					
					oprot.WriteListEnd();
					
					oprot.WriteFieldEnd();
				}
				
				
				oprot.WriteFieldStop();
				oprot.WriteStructEnd();
			}
			
			
			public void Validate(getHierarchyTopCategoryIdAndNameList_result bean){
				
				
			}
			
			
		}
		
		
		
		
		public class getLeafCategoryByName_resultHelper : TBeanSerializer<getLeafCategoryByName_result>
		{
			
			public static getLeafCategoryByName_resultHelper OBJ = new getLeafCategoryByName_resultHelper();
			
			public static getLeafCategoryByName_resultHelper getInstance() {
				
				return OBJ;
			}
			
			
			public void Read(getLeafCategoryByName_result structs, Protocol iprot){
				
				
				
				
				if(true){
					
					List<com.vip.osp.category.api.comm.Category> value;
					
					value = new List<com.vip.osp.category.api.comm.Category>();
					iprot.ReadListBegin();
					while(true){
						
						try{
							
							com.vip.osp.category.api.comm.Category elem1;
							
							elem1 = new com.vip.osp.category.api.comm.Category();
							com.vip.osp.category.api.comm.CategoryHelper.getInstance().Read(elem1, iprot);
							
							value.Add(elem1);
						}
						catch(Exception e){
							
							
							break;
						}
					}
					
					iprot.ReadListEnd();
					
					structs.SetSuccess(value);
				}
				
				
				
				
				Validate(structs);
				
			}
			
			
			public void Write(getLeafCategoryByName_result structs, Protocol oprot){
				
				Validate(structs);
				oprot.WriteStructBegin();
				
				if(structs.GetSuccess() != null) {
					
					oprot.WriteFieldBegin("success");
					
					oprot.WriteListBegin();
					foreach(com.vip.osp.category.api.comm.Category _item0 in structs.GetSuccess()){
						
						
						com.vip.osp.category.api.comm.CategoryHelper.getInstance().Write(_item0, oprot);
						
					}
					
					oprot.WriteListEnd();
					
					oprot.WriteFieldEnd();
				}
				
				
				oprot.WriteFieldStop();
				oprot.WriteStructEnd();
			}
			
			
			public void Validate(getLeafCategoryByName_result bean){
				
				
			}
			
			
		}
		
		
		
		
		public class getMultiCategories_resultHelper : TBeanSerializer<getMultiCategories_result>
		{
			
			public static getMultiCategories_resultHelper OBJ = new getMultiCategories_resultHelper();
			
			public static getMultiCategories_resultHelper getInstance() {
				
				return OBJ;
			}
			
			
			public void Read(getMultiCategories_result structs, Protocol iprot){
				
				
				
				
				if(true){
					
					List<com.vip.osp.category.api.comm.Category> value;
					
					value = new List<com.vip.osp.category.api.comm.Category>();
					iprot.ReadListBegin();
					while(true){
						
						try{
							
							com.vip.osp.category.api.comm.Category elem1;
							
							elem1 = new com.vip.osp.category.api.comm.Category();
							com.vip.osp.category.api.comm.CategoryHelper.getInstance().Read(elem1, iprot);
							
							value.Add(elem1);
						}
						catch(Exception e){
							
							
							break;
						}
					}
					
					iprot.ReadListEnd();
					
					structs.SetSuccess(value);
				}
				
				
				
				
				Validate(structs);
				
			}
			
			
			public void Write(getMultiCategories_result structs, Protocol oprot){
				
				Validate(structs);
				oprot.WriteStructBegin();
				
				if(structs.GetSuccess() != null) {
					
					oprot.WriteFieldBegin("success");
					
					oprot.WriteListBegin();
					foreach(com.vip.osp.category.api.comm.Category _item0 in structs.GetSuccess()){
						
						
						com.vip.osp.category.api.comm.CategoryHelper.getInstance().Write(_item0, oprot);
						
					}
					
					oprot.WriteListEnd();
					
					oprot.WriteFieldEnd();
				}
				
				
				oprot.WriteFieldStop();
				oprot.WriteStructEnd();
			}
			
			
			public void Validate(getMultiCategories_result bean){
				
				
			}
			
			
		}
		
		
		
		
		public class getPublishCategoryTree_resultHelper : TBeanSerializer<getPublishCategoryTree_result>
		{
			
			public static getPublishCategoryTree_resultHelper OBJ = new getPublishCategoryTree_resultHelper();
			
			public static getPublishCategoryTree_resultHelper getInstance() {
				
				return OBJ;
			}
			
			
			public void Read(getPublishCategoryTree_result structs, Protocol iprot){
				
				
				
				
				if(true){
					
					com.vip.osp.category.api.comm.Category value;
					
					value = new com.vip.osp.category.api.comm.Category();
					com.vip.osp.category.api.comm.CategoryHelper.getInstance().Read(value, iprot);
					
					structs.SetSuccess(value);
				}
				
				
				
				
				Validate(structs);
				
			}
			
			
			public void Write(getPublishCategoryTree_result structs, Protocol oprot){
				
				Validate(structs);
				oprot.WriteStructBegin();
				
				if(structs.GetSuccess() != null) {
					
					oprot.WriteFieldBegin("success");
					
					com.vip.osp.category.api.comm.CategoryHelper.getInstance().Write(structs.GetSuccess(), oprot);
					
					oprot.WriteFieldEnd();
				}
				
				
				oprot.WriteFieldStop();
				oprot.WriteStructEnd();
			}
			
			
			public void Validate(getPublishCategoryTree_result bean){
				
				
			}
			
			
		}
		
		
		
		
		public class getPublishHierarchyCategoryTree_resultHelper : TBeanSerializer<getPublishHierarchyCategoryTree_result>
		{
			
			public static getPublishHierarchyCategoryTree_resultHelper OBJ = new getPublishHierarchyCategoryTree_resultHelper();
			
			public static getPublishHierarchyCategoryTree_resultHelper getInstance() {
				
				return OBJ;
			}
			
			
			public void Read(getPublishHierarchyCategoryTree_result structs, Protocol iprot){
				
				
				
				
				if(true){
					
					List<com.vip.osp.category.api.comm.Category> value;
					
					value = new List<com.vip.osp.category.api.comm.Category>();
					iprot.ReadListBegin();
					while(true){
						
						try{
							
							com.vip.osp.category.api.comm.Category elem0;
							
							elem0 = new com.vip.osp.category.api.comm.Category();
							com.vip.osp.category.api.comm.CategoryHelper.getInstance().Read(elem0, iprot);
							
							value.Add(elem0);
						}
						catch(Exception e){
							
							
							break;
						}
					}
					
					iprot.ReadListEnd();
					
					structs.SetSuccess(value);
				}
				
				
				
				
				Validate(structs);
				
			}
			
			
			public void Write(getPublishHierarchyCategoryTree_result structs, Protocol oprot){
				
				Validate(structs);
				oprot.WriteStructBegin();
				
				if(structs.GetSuccess() != null) {
					
					oprot.WriteFieldBegin("success");
					
					oprot.WriteListBegin();
					foreach(com.vip.osp.category.api.comm.Category _item0 in structs.GetSuccess()){
						
						
						com.vip.osp.category.api.comm.CategoryHelper.getInstance().Write(_item0, oprot);
						
					}
					
					oprot.WriteListEnd();
					
					oprot.WriteFieldEnd();
				}
				
				
				oprot.WriteFieldStop();
				oprot.WriteStructEnd();
			}
			
			
			public void Validate(getPublishHierarchyCategoryTree_result bean){
				
				
			}
			
			
		}
		
		
		
		
		public class getTagByIds_resultHelper : TBeanSerializer<getTagByIds_result>
		{
			
			public static getTagByIds_resultHelper OBJ = new getTagByIds_resultHelper();
			
			public static getTagByIds_resultHelper getInstance() {
				
				return OBJ;
			}
			
			
			public void Read(getTagByIds_result structs, Protocol iprot){
				
				
				
				
				if(true){
					
					List<com.vip.osp.category.api.comm.CategoryTagAttribute> value;
					
					value = new List<com.vip.osp.category.api.comm.CategoryTagAttribute>();
					iprot.ReadListBegin();
					while(true){
						
						try{
							
							com.vip.osp.category.api.comm.CategoryTagAttribute elem1;
							
							elem1 = new com.vip.osp.category.api.comm.CategoryTagAttribute();
							com.vip.osp.category.api.comm.CategoryTagAttributeHelper.getInstance().Read(elem1, iprot);
							
							value.Add(elem1);
						}
						catch(Exception e){
							
							
							break;
						}
					}
					
					iprot.ReadListEnd();
					
					structs.SetSuccess(value);
				}
				
				
				
				
				Validate(structs);
				
			}
			
			
			public void Write(getTagByIds_result structs, Protocol oprot){
				
				Validate(structs);
				oprot.WriteStructBegin();
				
				if(structs.GetSuccess() != null) {
					
					oprot.WriteFieldBegin("success");
					
					oprot.WriteListBegin();
					foreach(com.vip.osp.category.api.comm.CategoryTagAttribute _item0 in structs.GetSuccess()){
						
						
						com.vip.osp.category.api.comm.CategoryTagAttributeHelper.getInstance().Write(_item0, oprot);
						
					}
					
					oprot.WriteListEnd();
					
					oprot.WriteFieldEnd();
				}
				
				
				oprot.WriteFieldStop();
				oprot.WriteStructEnd();
			}
			
			
			public void Validate(getTagByIds_result bean){
				
				
			}
			
			
		}
		
		
		
		
		public class getTagInfoList_resultHelper : TBeanSerializer<getTagInfoList_result>
		{
			
			public static getTagInfoList_resultHelper OBJ = new getTagInfoList_resultHelper();
			
			public static getTagInfoList_resultHelper getInstance() {
				
				return OBJ;
			}
			
			
			public void Read(getTagInfoList_result structs, Protocol iprot){
				
				
				
				
				if(true){
					
					List<com.vip.osp.category.api.comm.TagInfo> value;
					
					value = new List<com.vip.osp.category.api.comm.TagInfo>();
					iprot.ReadListBegin();
					while(true){
						
						try{
							
							com.vip.osp.category.api.comm.TagInfo elem1;
							
							elem1 = new com.vip.osp.category.api.comm.TagInfo();
							com.vip.osp.category.api.comm.TagInfoHelper.getInstance().Read(elem1, iprot);
							
							value.Add(elem1);
						}
						catch(Exception e){
							
							
							break;
						}
					}
					
					iprot.ReadListEnd();
					
					structs.SetSuccess(value);
				}
				
				
				
				
				Validate(structs);
				
			}
			
			
			public void Write(getTagInfoList_result structs, Protocol oprot){
				
				Validate(structs);
				oprot.WriteStructBegin();
				
				if(structs.GetSuccess() != null) {
					
					oprot.WriteFieldBegin("success");
					
					oprot.WriteListBegin();
					foreach(com.vip.osp.category.api.comm.TagInfo _item0 in structs.GetSuccess()){
						
						
						com.vip.osp.category.api.comm.TagInfoHelper.getInstance().Write(_item0, oprot);
						
					}
					
					oprot.WriteListEnd();
					
					oprot.WriteFieldEnd();
				}
				
				
				oprot.WriteFieldStop();
				oprot.WriteStructEnd();
			}
			
			
			public void Validate(getTagInfoList_result bean){
				
				
			}
			
			
		}
		
		
		
		
		public class getTagsByTagType_resultHelper : TBeanSerializer<getTagsByTagType_result>
		{
			
			public static getTagsByTagType_resultHelper OBJ = new getTagsByTagType_resultHelper();
			
			public static getTagsByTagType_resultHelper getInstance() {
				
				return OBJ;
			}
			
			
			public void Read(getTagsByTagType_result structs, Protocol iprot){
				
				
				
				
				if(true){
					
					List<com.vip.osp.category.api.comm.TagInfo> value;
					
					value = new List<com.vip.osp.category.api.comm.TagInfo>();
					iprot.ReadListBegin();
					while(true){
						
						try{
							
							com.vip.osp.category.api.comm.TagInfo elem1;
							
							elem1 = new com.vip.osp.category.api.comm.TagInfo();
							com.vip.osp.category.api.comm.TagInfoHelper.getInstance().Read(elem1, iprot);
							
							value.Add(elem1);
						}
						catch(Exception e){
							
							
							break;
						}
					}
					
					iprot.ReadListEnd();
					
					structs.SetSuccess(value);
				}
				
				
				
				
				Validate(structs);
				
			}
			
			
			public void Write(getTagsByTagType_result structs, Protocol oprot){
				
				Validate(structs);
				oprot.WriteStructBegin();
				
				if(structs.GetSuccess() != null) {
					
					oprot.WriteFieldBegin("success");
					
					oprot.WriteListBegin();
					foreach(com.vip.osp.category.api.comm.TagInfo _item0 in structs.GetSuccess()){
						
						
						com.vip.osp.category.api.comm.TagInfoHelper.getInstance().Write(_item0, oprot);
						
					}
					
					oprot.WriteListEnd();
					
					oprot.WriteFieldEnd();
				}
				
				
				oprot.WriteFieldStop();
				oprot.WriteStructEnd();
			}
			
			
			public void Validate(getTagsByTagType_result bean){
				
				
			}
			
			
		}
		
		
		
		
		public class getUpdatedPublishCategories_resultHelper : TBeanSerializer<getUpdatedPublishCategories_result>
		{
			
			public static getUpdatedPublishCategories_resultHelper OBJ = new getUpdatedPublishCategories_resultHelper();
			
			public static getUpdatedPublishCategories_resultHelper getInstance() {
				
				return OBJ;
			}
			
			
			public void Read(getUpdatedPublishCategories_result structs, Protocol iprot){
				
				
				
				
				if(true){
					
					com.vip.osp.category.api.comm.CategoryUpdates value;
					
					value = new com.vip.osp.category.api.comm.CategoryUpdates();
					com.vip.osp.category.api.comm.CategoryUpdatesHelper.getInstance().Read(value, iprot);
					
					structs.SetSuccess(value);
				}
				
				
				
				
				Validate(structs);
				
			}
			
			
			public void Write(getUpdatedPublishCategories_result structs, Protocol oprot){
				
				Validate(structs);
				oprot.WriteStructBegin();
				
				if(structs.GetSuccess() != null) {
					
					oprot.WriteFieldBegin("success");
					
					com.vip.osp.category.api.comm.CategoryUpdatesHelper.getInstance().Write(structs.GetSuccess(), oprot);
					
					oprot.WriteFieldEnd();
				}
				
				
				oprot.WriteFieldStop();
				oprot.WriteStructEnd();
			}
			
			
			public void Validate(getUpdatedPublishCategories_result bean){
				
				
			}
			
			
		}
		
		
		
		
		public class healthCheck_resultHelper : TBeanSerializer<healthCheck_result>
		{
			
			public static healthCheck_resultHelper OBJ = new healthCheck_resultHelper();
			
			public static healthCheck_resultHelper getInstance() {
				
				return OBJ;
			}
			
			
			public void Read(healthCheck_result structs, Protocol iprot){
				
				
				
				
				if(true){
					
					com.vip.hermes.core.health.CheckResult value;
					
					value = new com.vip.hermes.core.health.CheckResult();
					com.vip.hermes.core.health.CheckResultHelper.getInstance().Read(value, iprot);
					
					structs.SetSuccess(value);
				}
				
				
				
				
				Validate(structs);
				
			}
			
			
			public void Write(healthCheck_result structs, Protocol oprot){
				
				Validate(structs);
				oprot.WriteStructBegin();
				
				if(structs.GetSuccess() != null) {
					
					oprot.WriteFieldBegin("success");
					
					com.vip.hermes.core.health.CheckResultHelper.getInstance().Write(structs.GetSuccess(), oprot);
					
					oprot.WriteFieldEnd();
				}
				
				
				oprot.WriteFieldStop();
				oprot.WriteStructEnd();
			}
			
			
			public void Validate(healthCheck_result bean){
				
				
			}
			
			
		}
		
		
		
		
		public class parseAttributes_resultHelper : TBeanSerializer<parseAttributes_result>
		{
			
			public static parseAttributes_resultHelper OBJ = new parseAttributes_resultHelper();
			
			public static parseAttributes_resultHelper getInstance() {
				
				return OBJ;
			}
			
			
			public void Read(parseAttributes_result structs, Protocol iprot){
				
				
				
				
				if(true){
					
					List<com.vip.osp.category.api.comm.Attribute> value;
					
					value = new List<com.vip.osp.category.api.comm.Attribute>();
					iprot.ReadListBegin();
					while(true){
						
						try{
							
							com.vip.osp.category.api.comm.Attribute elem0;
							
							elem0 = new com.vip.osp.category.api.comm.Attribute();
							com.vip.osp.category.api.comm.AttributeHelper.getInstance().Read(elem0, iprot);
							
							value.Add(elem0);
						}
						catch(Exception e){
							
							
							break;
						}
					}
					
					iprot.ReadListEnd();
					
					structs.SetSuccess(value);
				}
				
				
				
				
				Validate(structs);
				
			}
			
			
			public void Write(parseAttributes_result structs, Protocol oprot){
				
				Validate(structs);
				oprot.WriteStructBegin();
				
				if(structs.GetSuccess() != null) {
					
					oprot.WriteFieldBegin("success");
					
					oprot.WriteListBegin();
					foreach(com.vip.osp.category.api.comm.Attribute _item0 in structs.GetSuccess()){
						
						
						com.vip.osp.category.api.comm.AttributeHelper.getInstance().Write(_item0, oprot);
						
					}
					
					oprot.WriteListEnd();
					
					oprot.WriteFieldEnd();
				}
				
				
				oprot.WriteFieldStop();
				oprot.WriteStructEnd();
			}
			
			
			public void Validate(parseAttributes_result bean){
				
				
			}
			
			
		}
		
		
		
		
		public class CategoryAPIClient : OspRestStub , CategoryAPI  {
			
			
			public CategoryAPIClient():base("com.vip.osp.category.api.comm.CategoryAPI","1.0.0") {
				
				
			}
			
			
			
			public Dictionary<long?, com.vip.osp.category.api.comm.Qualification> batchGetQualifications(com.vip.osp.category.api.comm.ReqContext reqContext_,List<long?> qualificationIds_) {
				
				send_batchGetQualifications(reqContext_,qualificationIds_);
				return recv_batchGetQualifications(); 
				
			}
			
			
			private void send_batchGetQualifications(com.vip.osp.category.api.comm.ReqContext reqContext_,List<long?> qualificationIds_){
				
				InitInvocation("batchGetQualifications");
				
				batchGetQualifications_args args = new batchGetQualifications_args();
				args.SetReqContext(reqContext_);
				args.SetQualificationIds(qualificationIds_);
				
				SendBase(args, batchGetQualifications_argsHelper.getInstance());
			}
			
			
			private Dictionary<long?, com.vip.osp.category.api.comm.Qualification> recv_batchGetQualifications(){
				
				batchGetQualifications_result result = new batchGetQualifications_result();
				ReceiveBase(result, batchGetQualifications_resultHelper.getInstance());
				
				return result.GetSuccess();
				
			}
			
			
			public List<com.vip.osp.category.api.comm.Attribute> getAttributeByTag(int tagType_,bool? isIncludeOption_) {
				
				send_getAttributeByTag(tagType_,isIncludeOption_);
				return recv_getAttributeByTag(); 
				
			}
			
			
			private void send_getAttributeByTag(int tagType_,bool? isIncludeOption_){
				
				InitInvocation("getAttributeByTag");
				
				getAttributeByTag_args args = new getAttributeByTag_args();
				args.SetTagType(tagType_);
				args.SetIsIncludeOption(isIncludeOption_);
				
				SendBase(args, getAttributeByTag_argsHelper.getInstance());
			}
			
			
			private List<com.vip.osp.category.api.comm.Attribute> recv_getAttributeByTag(){
				
				getAttributeByTag_result result = new getAttributeByTag_result();
				ReceiveBase(result, getAttributeByTag_resultHelper.getInstance());
				
				return result.GetSuccess();
				
			}
			
			
			public List<com.vip.osp.category.api.comm.BriefCategoryAttributes> getBriefCategoryAttributesByIds(List<int?> categoryIds_,bool? isIncludeOption_) {
				
				send_getBriefCategoryAttributesByIds(categoryIds_,isIncludeOption_);
				return recv_getBriefCategoryAttributesByIds(); 
				
			}
			
			
			private void send_getBriefCategoryAttributesByIds(List<int?> categoryIds_,bool? isIncludeOption_){
				
				InitInvocation("getBriefCategoryAttributesByIds");
				
				getBriefCategoryAttributesByIds_args args = new getBriefCategoryAttributesByIds_args();
				args.SetCategoryIds(categoryIds_);
				args.SetIsIncludeOption(isIncludeOption_);
				
				SendBase(args, getBriefCategoryAttributesByIds_argsHelper.getInstance());
			}
			
			
			private List<com.vip.osp.category.api.comm.BriefCategoryAttributes> recv_getBriefCategoryAttributesByIds(){
				
				getBriefCategoryAttributesByIds_result result = new getBriefCategoryAttributesByIds_result();
				ReceiveBase(result, getBriefCategoryAttributesByIds_resultHelper.getInstance());
				
				return result.GetSuccess();
				
			}
			
			
			public com.vip.osp.category.api.comm.BriefCategory getBriefCategoryTree(int categoryId_,bool? isIncludeChildren_,List<com.vip.osp.category.api.comm.ResultFields?> resultFields_) {
				
				send_getBriefCategoryTree(categoryId_,isIncludeChildren_,resultFields_);
				return recv_getBriefCategoryTree(); 
				
			}
			
			
			private void send_getBriefCategoryTree(int categoryId_,bool? isIncludeChildren_,List<com.vip.osp.category.api.comm.ResultFields?> resultFields_){
				
				InitInvocation("getBriefCategoryTree");
				
				getBriefCategoryTree_args args = new getBriefCategoryTree_args();
				args.SetCategoryId(categoryId_);
				args.SetIsIncludeChildren(isIncludeChildren_);
				args.SetResultFields(resultFields_);
				
				SendBase(args, getBriefCategoryTree_argsHelper.getInstance());
			}
			
			
			private com.vip.osp.category.api.comm.BriefCategory recv_getBriefCategoryTree(){
				
				getBriefCategoryTree_result result = new getBriefCategoryTree_result();
				ReceiveBase(result, getBriefCategoryTree_resultHelper.getInstance());
				
				return result.GetSuccess();
				
			}
			
			
			public List<com.vip.osp.category.api.comm.Category> getCategories(string categoryids_) {
				
				send_getCategories(categoryids_);
				return recv_getCategories(); 
				
			}
			
			
			private void send_getCategories(string categoryids_){
				
				InitInvocation("getCategories");
				
				getCategories_args args = new getCategories_args();
				args.SetCategoryids(categoryids_);
				
				SendBase(args, getCategories_argsHelper.getInstance());
			}
			
			
			private List<com.vip.osp.category.api.comm.Category> recv_getCategories(){
				
				getCategories_result result = new getCategories_result();
				ReceiveBase(result, getCategories_resultHelper.getInstance());
				
				return result.GetSuccess();
				
			}
			
			
			public List<com.vip.osp.category.api.comm.Attribute> getCategoriesAndChildrenAttributes(List<int?> categoryids_,bool? isVendorProductAttribute_,bool? isIncludeOption_) {
				
				send_getCategoriesAndChildrenAttributes(categoryids_,isVendorProductAttribute_,isIncludeOption_);
				return recv_getCategoriesAndChildrenAttributes(); 
				
			}
			
			
			private void send_getCategoriesAndChildrenAttributes(List<int?> categoryids_,bool? isVendorProductAttribute_,bool? isIncludeOption_){
				
				InitInvocation("getCategoriesAndChildrenAttributes");
				
				getCategoriesAndChildrenAttributes_args args = new getCategoriesAndChildrenAttributes_args();
				args.SetCategoryids(categoryids_);
				args.SetIsVendorProductAttribute(isVendorProductAttribute_);
				args.SetIsIncludeOption(isIncludeOption_);
				
				SendBase(args, getCategoriesAndChildrenAttributes_argsHelper.getInstance());
			}
			
			
			private List<com.vip.osp.category.api.comm.Attribute> recv_getCategoriesAndChildrenAttributes(){
				
				getCategoriesAndChildrenAttributes_result result = new getCategoriesAndChildrenAttributes_result();
				ReceiveBase(result, getCategoriesAndChildrenAttributes_resultHelper.getInstance());
				
				return result.GetSuccess();
				
			}
			
			
			public com.vip.osp.category.api.comm.Category getCategory(int categoryId_) {
				
				send_getCategory(categoryId_);
				return recv_getCategory(); 
				
			}
			
			
			private void send_getCategory(int categoryId_){
				
				InitInvocation("getCategory");
				
				getCategory_args args = new getCategory_args();
				args.SetCategoryId(categoryId_);
				
				SendBase(args, getCategory_argsHelper.getInstance());
			}
			
			
			private com.vip.osp.category.api.comm.Category recv_getCategory(){
				
				getCategory_result result = new getCategory_result();
				ReceiveBase(result, getCategory_resultHelper.getInstance());
				
				return result.GetSuccess();
				
			}
			
			
			public List<com.vip.osp.category.api.comm.CategoryAttributeIds> getCategoryAttributeIdsByIds(List<int?> categoryIds_) {
				
				send_getCategoryAttributeIdsByIds(categoryIds_);
				return recv_getCategoryAttributeIdsByIds(); 
				
			}
			
			
			private void send_getCategoryAttributeIdsByIds(List<int?> categoryIds_){
				
				InitInvocation("getCategoryAttributeIdsByIds");
				
				getCategoryAttributeIdsByIds_args args = new getCategoryAttributeIdsByIds_args();
				args.SetCategoryIds(categoryIds_);
				
				SendBase(args, getCategoryAttributeIdsByIds_argsHelper.getInstance());
			}
			
			
			private List<com.vip.osp.category.api.comm.CategoryAttributeIds> recv_getCategoryAttributeIdsByIds(){
				
				getCategoryAttributeIdsByIds_result result = new getCategoryAttributeIdsByIds_result();
				ReceiveBase(result, getCategoryAttributeIdsByIds_resultHelper.getInstance());
				
				return result.GetSuccess();
				
			}
			
			
			public List<com.vip.osp.category.api.comm.Attribute> getCategoryAttributes(int categoryId_) {
				
				send_getCategoryAttributes(categoryId_);
				return recv_getCategoryAttributes(); 
				
			}
			
			
			private void send_getCategoryAttributes(int categoryId_){
				
				InitInvocation("getCategoryAttributes");
				
				getCategoryAttributes_args args = new getCategoryAttributes_args();
				args.SetCategoryId(categoryId_);
				
				SendBase(args, getCategoryAttributes_argsHelper.getInstance());
			}
			
			
			private List<com.vip.osp.category.api.comm.Attribute> recv_getCategoryAttributes(){
				
				getCategoryAttributes_result result = new getCategoryAttributes_result();
				ReceiveBase(result, getCategoryAttributes_resultHelper.getInstance());
				
				return result.GetSuccess();
				
			}
			
			
			public List<com.vip.osp.category.api.comm.Category> getCategoryByName(string name_,int limit_) {
				
				send_getCategoryByName(name_,limit_);
				return recv_getCategoryByName(); 
				
			}
			
			
			private void send_getCategoryByName(string name_,int limit_){
				
				InitInvocation("getCategoryByName");
				
				getCategoryByName_args args = new getCategoryByName_args();
				args.SetName(name_);
				args.SetLimit(limit_);
				
				SendBase(args, getCategoryByName_argsHelper.getInstance());
			}
			
			
			private List<com.vip.osp.category.api.comm.Category> recv_getCategoryByName(){
				
				getCategoryByName_result result = new getCategoryByName_result();
				ReceiveBase(result, getCategoryByName_resultHelper.getInstance());
				
				return result.GetSuccess();
				
			}
			
			
			public List<com.vip.osp.category.api.comm.CategoryIdAndName> getCategoryIdAndNameList(List<int?> categoryids_) {
				
				send_getCategoryIdAndNameList(categoryids_);
				return recv_getCategoryIdAndNameList(); 
				
			}
			
			
			private void send_getCategoryIdAndNameList(List<int?> categoryids_){
				
				InitInvocation("getCategoryIdAndNameList");
				
				getCategoryIdAndNameList_args args = new getCategoryIdAndNameList_args();
				args.SetCategoryids(categoryids_);
				
				SendBase(args, getCategoryIdAndNameList_argsHelper.getInstance());
			}
			
			
			private List<com.vip.osp.category.api.comm.CategoryIdAndName> recv_getCategoryIdAndNameList(){
				
				getCategoryIdAndNameList_result result = new getCategoryIdAndNameList_result();
				ReceiveBase(result, getCategoryIdAndNameList_resultHelper.getInstance());
				
				return result.GetSuccess();
				
			}
			
			
			public List<com.vip.osp.category.api.comm.CategoryPath> getCategoryPath(int categoryId_) {
				
				send_getCategoryPath(categoryId_);
				return recv_getCategoryPath(); 
				
			}
			
			
			private void send_getCategoryPath(int categoryId_){
				
				InitInvocation("getCategoryPath");
				
				getCategoryPath_args args = new getCategoryPath_args();
				args.SetCategoryId(categoryId_);
				
				SendBase(args, getCategoryPath_argsHelper.getInstance());
			}
			
			
			private List<com.vip.osp.category.api.comm.CategoryPath> recv_getCategoryPath(){
				
				getCategoryPath_result result = new getCategoryPath_result();
				ReceiveBase(result, getCategoryPath_resultHelper.getInstance());
				
				return result.GetSuccess();
				
			}
			
			
			public com.vip.osp.category.api.comm.CategoryQuestionAnswerShort getCategoryQuestionAnswer(com.vip.osp.category.api.comm.ReqContext reqContext_,int categoryId_) {
				
				send_getCategoryQuestionAnswer(reqContext_,categoryId_);
				return recv_getCategoryQuestionAnswer(); 
				
			}
			
			
			private void send_getCategoryQuestionAnswer(com.vip.osp.category.api.comm.ReqContext reqContext_,int categoryId_){
				
				InitInvocation("getCategoryQuestionAnswer");
				
				getCategoryQuestionAnswer_args args = new getCategoryQuestionAnswer_args();
				args.SetReqContext(reqContext_);
				args.SetCategoryId(categoryId_);
				
				SendBase(args, getCategoryQuestionAnswer_argsHelper.getInstance());
			}
			
			
			private com.vip.osp.category.api.comm.CategoryQuestionAnswerShort recv_getCategoryQuestionAnswer(){
				
				getCategoryQuestionAnswer_result result = new getCategoryQuestionAnswer_result();
				ReceiveBase(result, getCategoryQuestionAnswer_resultHelper.getInstance());
				
				return result.GetSuccess();
				
			}
			
			
			public List<com.vip.osp.category.api.comm.CategorySpecialAttributes> getCategorySpecialAttributeList(List<com.vip.osp.category.api.comm.CategorySpecialParam> categorySpecialParams_) {
				
				send_getCategorySpecialAttributeList(categorySpecialParams_);
				return recv_getCategorySpecialAttributeList(); 
				
			}
			
			
			private void send_getCategorySpecialAttributeList(List<com.vip.osp.category.api.comm.CategorySpecialParam> categorySpecialParams_){
				
				InitInvocation("getCategorySpecialAttributeList");
				
				getCategorySpecialAttributeList_args args = new getCategorySpecialAttributeList_args();
				args.SetCategorySpecialParams(categorySpecialParams_);
				
				SendBase(args, getCategorySpecialAttributeList_argsHelper.getInstance());
			}
			
			
			private List<com.vip.osp.category.api.comm.CategorySpecialAttributes> recv_getCategorySpecialAttributeList(){
				
				getCategorySpecialAttributeList_result result = new getCategorySpecialAttributeList_result();
				ReceiveBase(result, getCategorySpecialAttributeList_resultHelper.getInstance());
				
				return result.GetSuccess();
				
			}
			
			
			public List<com.vip.osp.category.api.comm.AttributeWithValue> getCategorySpecialAttributes(int categoryId_,int? attributeId_,int? brandId_) {
				
				send_getCategorySpecialAttributes(categoryId_,attributeId_,brandId_);
				return recv_getCategorySpecialAttributes(); 
				
			}
			
			
			private void send_getCategorySpecialAttributes(int categoryId_,int? attributeId_,int? brandId_){
				
				InitInvocation("getCategorySpecialAttributes");
				
				getCategorySpecialAttributes_args args = new getCategorySpecialAttributes_args();
				args.SetCategoryId(categoryId_);
				args.SetAttributeId(attributeId_);
				args.SetBrandId(brandId_);
				
				SendBase(args, getCategorySpecialAttributes_argsHelper.getInstance());
			}
			
			
			private List<com.vip.osp.category.api.comm.AttributeWithValue> recv_getCategorySpecialAttributes(){
				
				getCategorySpecialAttributes_result result = new getCategorySpecialAttributes_result();
				ReceiveBase(result, getCategorySpecialAttributes_resultHelper.getInstance());
				
				return result.GetSuccess();
				
			}
			
			
			public com.vip.osp.category.api.comm.Category getCategoryTree(int categoryId_) {
				
				send_getCategoryTree(categoryId_);
				return recv_getCategoryTree(); 
				
			}
			
			
			private void send_getCategoryTree(int categoryId_){
				
				InitInvocation("getCategoryTree");
				
				getCategoryTree_args args = new getCategoryTree_args();
				args.SetCategoryId(categoryId_);
				
				SendBase(args, getCategoryTree_argsHelper.getInstance());
			}
			
			
			private com.vip.osp.category.api.comm.Category recv_getCategoryTree(){
				
				getCategoryTree_result result = new getCategoryTree_result();
				ReceiveBase(result, getCategoryTree_resultHelper.getInstance());
				
				return result.GetSuccess();
				
			}
			
			
			public com.vip.osp.category.api.comm.CategoryExchangedReason getExchangedReasonByCategoryId(int? categoryId_,byte? reasonType_,byte? isShow_,string appId_,Dictionary<string, string> flagsMap_) {
				
				send_getExchangedReasonByCategoryId(categoryId_,reasonType_,isShow_,appId_,flagsMap_);
				return recv_getExchangedReasonByCategoryId(); 
				
			}
			
			
			private void send_getExchangedReasonByCategoryId(int? categoryId_,byte? reasonType_,byte? isShow_,string appId_,Dictionary<string, string> flagsMap_){
				
				InitInvocation("getExchangedReasonByCategoryId");
				
				getExchangedReasonByCategoryId_args args = new getExchangedReasonByCategoryId_args();
				args.SetCategoryId(categoryId_);
				args.SetReasonType(reasonType_);
				args.SetIsShow(isShow_);
				args.SetAppId(appId_);
				args.SetFlagsMap(flagsMap_);
				
				SendBase(args, getExchangedReasonByCategoryId_argsHelper.getInstance());
			}
			
			
			private com.vip.osp.category.api.comm.CategoryExchangedReason recv_getExchangedReasonByCategoryId(){
				
				getExchangedReasonByCategoryId_result result = new getExchangedReasonByCategoryId_result();
				ReceiveBase(result, getExchangedReasonByCategoryId_resultHelper.getInstance());
				
				return result.GetSuccess();
				
			}
			
			
			public List<com.vip.osp.category.api.comm.CategoryExchangedReason> getExchangedReasonListByCategoryIds(List<int?> categoryIdSet_,byte? reasonType_,byte? isShow_,string appId_,Dictionary<string, string> flagsMap_) {
				
				send_getExchangedReasonListByCategoryIds(categoryIdSet_,reasonType_,isShow_,appId_,flagsMap_);
				return recv_getExchangedReasonListByCategoryIds(); 
				
			}
			
			
			private void send_getExchangedReasonListByCategoryIds(List<int?> categoryIdSet_,byte? reasonType_,byte? isShow_,string appId_,Dictionary<string, string> flagsMap_){
				
				InitInvocation("getExchangedReasonListByCategoryIds");
				
				getExchangedReasonListByCategoryIds_args args = new getExchangedReasonListByCategoryIds_args();
				args.SetCategoryIdSet(categoryIdSet_);
				args.SetReasonType(reasonType_);
				args.SetIsShow(isShow_);
				args.SetAppId(appId_);
				args.SetFlagsMap(flagsMap_);
				
				SendBase(args, getExchangedReasonListByCategoryIds_argsHelper.getInstance());
			}
			
			
			private List<com.vip.osp.category.api.comm.CategoryExchangedReason> recv_getExchangedReasonListByCategoryIds(){
				
				getExchangedReasonListByCategoryIds_result result = new getExchangedReasonListByCategoryIds_result();
				ReceiveBase(result, getExchangedReasonListByCategoryIds_resultHelper.getInstance());
				
				return result.GetSuccess();
				
			}
			
			
			public List<com.vip.osp.category.api.comm.ExchangedReason> getExchangedReasonListByIds(List<int?> reasonIdSet_,string appId_) {
				
				send_getExchangedReasonListByIds(reasonIdSet_,appId_);
				return recv_getExchangedReasonListByIds(); 
				
			}
			
			
			private void send_getExchangedReasonListByIds(List<int?> reasonIdSet_,string appId_){
				
				InitInvocation("getExchangedReasonListByIds");
				
				getExchangedReasonListByIds_args args = new getExchangedReasonListByIds_args();
				args.SetReasonIdSet(reasonIdSet_);
				args.SetAppId(appId_);
				
				SendBase(args, getExchangedReasonListByIds_argsHelper.getInstance());
			}
			
			
			private List<com.vip.osp.category.api.comm.ExchangedReason> recv_getExchangedReasonListByIds(){
				
				getExchangedReasonListByIds_result result = new getExchangedReasonListByIds_result();
				ReceiveBase(result, getExchangedReasonListByIds_resultHelper.getInstance());
				
				return result.GetSuccess();
				
			}
			
			
			public string getHierachyFilterAttributes(int categoryId_) {
				
				send_getHierachyFilterAttributes(categoryId_);
				return recv_getHierachyFilterAttributes(); 
				
			}
			
			
			private void send_getHierachyFilterAttributes(int categoryId_){
				
				InitInvocation("getHierachyFilterAttributes");
				
				getHierachyFilterAttributes_args args = new getHierachyFilterAttributes_args();
				args.SetCategoryId(categoryId_);
				
				SendBase(args, getHierachyFilterAttributes_argsHelper.getInstance());
			}
			
			
			private string recv_getHierachyFilterAttributes(){
				
				getHierachyFilterAttributes_result result = new getHierachyFilterAttributes_result();
				ReceiveBase(result, getHierachyFilterAttributes_resultHelper.getInstance());
				
				return result.GetSuccess();
				
			}
			
			
			public List<com.vip.osp.category.api.comm.Category> getHierarchyCategoryTree(int hierarchyId_,bool? isIncludeChildren_) {
				
				send_getHierarchyCategoryTree(hierarchyId_,isIncludeChildren_);
				return recv_getHierarchyCategoryTree(); 
				
			}
			
			
			private void send_getHierarchyCategoryTree(int hierarchyId_,bool? isIncludeChildren_){
				
				InitInvocation("getHierarchyCategoryTree");
				
				getHierarchyCategoryTree_args args = new getHierarchyCategoryTree_args();
				args.SetHierarchyId(hierarchyId_);
				args.SetIsIncludeChildren(isIncludeChildren_);
				
				SendBase(args, getHierarchyCategoryTree_argsHelper.getInstance());
			}
			
			
			private List<com.vip.osp.category.api.comm.Category> recv_getHierarchyCategoryTree(){
				
				getHierarchyCategoryTree_result result = new getHierarchyCategoryTree_result();
				ReceiveBase(result, getHierarchyCategoryTree_resultHelper.getInstance());
				
				return result.GetSuccess();
				
			}
			
			
			public com.vip.osp.category.api.comm.HierarchyTopCategoryVre getHierarchyCategoryTreeForVre(int hierarchyId_) {
				
				send_getHierarchyCategoryTreeForVre(hierarchyId_);
				return recv_getHierarchyCategoryTreeForVre(); 
				
			}
			
			
			private void send_getHierarchyCategoryTreeForVre(int hierarchyId_){
				
				InitInvocation("getHierarchyCategoryTreeForVre");
				
				getHierarchyCategoryTreeForVre_args args = new getHierarchyCategoryTreeForVre_args();
				args.SetHierarchyId(hierarchyId_);
				
				SendBase(args, getHierarchyCategoryTreeForVre_argsHelper.getInstance());
			}
			
			
			private com.vip.osp.category.api.comm.HierarchyTopCategoryVre recv_getHierarchyCategoryTreeForVre(){
				
				getHierarchyCategoryTreeForVre_result result = new getHierarchyCategoryTreeForVre_result();
				ReceiveBase(result, getHierarchyCategoryTreeForVre_resultHelper.getInstance());
				
				return result.GetSuccess();
				
			}
			
			
			public List<com.vip.osp.category.api.comm.Category> getHierarchyCategroyidsByCategoryIds(int hierarchyId_,List<int?> categoryIds_) {
				
				send_getHierarchyCategroyidsByCategoryIds(hierarchyId_,categoryIds_);
				return recv_getHierarchyCategroyidsByCategoryIds(); 
				
			}
			
			
			private void send_getHierarchyCategroyidsByCategoryIds(int hierarchyId_,List<int?> categoryIds_){
				
				InitInvocation("getHierarchyCategroyidsByCategoryIds");
				
				getHierarchyCategroyidsByCategoryIds_args args = new getHierarchyCategroyidsByCategoryIds_args();
				args.SetHierarchyId(hierarchyId_);
				args.SetCategoryIds(categoryIds_);
				
				SendBase(args, getHierarchyCategroyidsByCategoryIds_argsHelper.getInstance());
			}
			
			
			private List<com.vip.osp.category.api.comm.Category> recv_getHierarchyCategroyidsByCategoryIds(){
				
				getHierarchyCategroyidsByCategoryIds_result result = new getHierarchyCategroyidsByCategoryIds_result();
				ReceiveBase(result, getHierarchyCategroyidsByCategoryIds_resultHelper.getInstance());
				
				return result.GetSuccess();
				
			}
			
			
			public List<int?> getHierarchyIdsForVre() {
				
				send_getHierarchyIdsForVre();
				return recv_getHierarchyIdsForVre(); 
				
			}
			
			
			private void send_getHierarchyIdsForVre(){
				
				InitInvocation("getHierarchyIdsForVre");
				
				getHierarchyIdsForVre_args args = new getHierarchyIdsForVre_args();
				
				SendBase(args, getHierarchyIdsForVre_argsHelper.getInstance());
			}
			
			
			private List<int?> recv_getHierarchyIdsForVre(){
				
				getHierarchyIdsForVre_result result = new getHierarchyIdsForVre_result();
				ReceiveBase(result, getHierarchyIdsForVre_resultHelper.getInstance());
				
				return result.GetSuccess();
				
			}
			
			
			public List<com.vip.osp.category.api.comm.HierarchyCategoryIdAndNames> getHierarchyLeafCategoryIdAndNameList(int hierarchyId_,List<int?> categoryIds_) {
				
				send_getHierarchyLeafCategoryIdAndNameList(hierarchyId_,categoryIds_);
				return recv_getHierarchyLeafCategoryIdAndNameList(); 
				
			}
			
			
			private void send_getHierarchyLeafCategoryIdAndNameList(int hierarchyId_,List<int?> categoryIds_){
				
				InitInvocation("getHierarchyLeafCategoryIdAndNameList");
				
				getHierarchyLeafCategoryIdAndNameList_args args = new getHierarchyLeafCategoryIdAndNameList_args();
				args.SetHierarchyId(hierarchyId_);
				args.SetCategoryIds(categoryIds_);
				
				SendBase(args, getHierarchyLeafCategoryIdAndNameList_argsHelper.getInstance());
			}
			
			
			private List<com.vip.osp.category.api.comm.HierarchyCategoryIdAndNames> recv_getHierarchyLeafCategoryIdAndNameList(){
				
				getHierarchyLeafCategoryIdAndNameList_result result = new getHierarchyLeafCategoryIdAndNameList_result();
				ReceiveBase(result, getHierarchyLeafCategoryIdAndNameList_resultHelper.getInstance());
				
				return result.GetSuccess();
				
			}
			
			
			public List<com.vip.osp.category.api.comm.HierarchyTopCategoryIdAndNames> getHierarchyTopCategoryIdAndNameList(int hierarchyId_,List<int?> categoryIds_) {
				
				send_getHierarchyTopCategoryIdAndNameList(hierarchyId_,categoryIds_);
				return recv_getHierarchyTopCategoryIdAndNameList(); 
				
			}
			
			
			private void send_getHierarchyTopCategoryIdAndNameList(int hierarchyId_,List<int?> categoryIds_){
				
				InitInvocation("getHierarchyTopCategoryIdAndNameList");
				
				getHierarchyTopCategoryIdAndNameList_args args = new getHierarchyTopCategoryIdAndNameList_args();
				args.SetHierarchyId(hierarchyId_);
				args.SetCategoryIds(categoryIds_);
				
				SendBase(args, getHierarchyTopCategoryIdAndNameList_argsHelper.getInstance());
			}
			
			
			private List<com.vip.osp.category.api.comm.HierarchyTopCategoryIdAndNames> recv_getHierarchyTopCategoryIdAndNameList(){
				
				getHierarchyTopCategoryIdAndNameList_result result = new getHierarchyTopCategoryIdAndNameList_result();
				ReceiveBase(result, getHierarchyTopCategoryIdAndNameList_resultHelper.getInstance());
				
				return result.GetSuccess();
				
			}
			
			
			public List<com.vip.osp.category.api.comm.Category> getLeafCategoryByName(string name_,int limit_) {
				
				send_getLeafCategoryByName(name_,limit_);
				return recv_getLeafCategoryByName(); 
				
			}
			
			
			private void send_getLeafCategoryByName(string name_,int limit_){
				
				InitInvocation("getLeafCategoryByName");
				
				getLeafCategoryByName_args args = new getLeafCategoryByName_args();
				args.SetName(name_);
				args.SetLimit(limit_);
				
				SendBase(args, getLeafCategoryByName_argsHelper.getInstance());
			}
			
			
			private List<com.vip.osp.category.api.comm.Category> recv_getLeafCategoryByName(){
				
				getLeafCategoryByName_result result = new getLeafCategoryByName_result();
				ReceiveBase(result, getLeafCategoryByName_resultHelper.getInstance());
				
				return result.GetSuccess();
				
			}
			
			
			public List<com.vip.osp.category.api.comm.Category> getMultiCategories(List<int?> categoryids_,bool? isIncludeChildren_,bool? isIncludeAttribute_) {
				
				send_getMultiCategories(categoryids_,isIncludeChildren_,isIncludeAttribute_);
				return recv_getMultiCategories(); 
				
			}
			
			
			private void send_getMultiCategories(List<int?> categoryids_,bool? isIncludeChildren_,bool? isIncludeAttribute_){
				
				InitInvocation("getMultiCategories");
				
				getMultiCategories_args args = new getMultiCategories_args();
				args.SetCategoryids(categoryids_);
				args.SetIsIncludeChildren(isIncludeChildren_);
				args.SetIsIncludeAttribute(isIncludeAttribute_);
				
				SendBase(args, getMultiCategories_argsHelper.getInstance());
			}
			
			
			private List<com.vip.osp.category.api.comm.Category> recv_getMultiCategories(){
				
				getMultiCategories_result result = new getMultiCategories_result();
				ReceiveBase(result, getMultiCategories_resultHelper.getInstance());
				
				return result.GetSuccess();
				
			}
			
			
			public com.vip.osp.category.api.comm.Category getPublishCategoryTree(com.vip.osp.category.api.comm.ReqContext reqContext_,int categoryId_,com.vip.osp.category.api.comm.TreeOption? option_) {
				
				send_getPublishCategoryTree(reqContext_,categoryId_,option_);
				return recv_getPublishCategoryTree(); 
				
			}
			
			
			private void send_getPublishCategoryTree(com.vip.osp.category.api.comm.ReqContext reqContext_,int categoryId_,com.vip.osp.category.api.comm.TreeOption? option_){
				
				InitInvocation("getPublishCategoryTree");
				
				getPublishCategoryTree_args args = new getPublishCategoryTree_args();
				args.SetReqContext(reqContext_);
				args.SetCategoryId(categoryId_);
				args.SetOption(option_);
				
				SendBase(args, getPublishCategoryTree_argsHelper.getInstance());
			}
			
			
			private com.vip.osp.category.api.comm.Category recv_getPublishCategoryTree(){
				
				getPublishCategoryTree_result result = new getPublishCategoryTree_result();
				ReceiveBase(result, getPublishCategoryTree_resultHelper.getInstance());
				
				return result.GetSuccess();
				
			}
			
			
			public List<com.vip.osp.category.api.comm.Category> getPublishHierarchyCategoryTree(com.vip.osp.category.api.comm.ReqContext reqContext_,com.vip.osp.category.api.comm.TreeOption? option_,bool? isIncludeChildren_) {
				
				send_getPublishHierarchyCategoryTree(reqContext_,option_,isIncludeChildren_);
				return recv_getPublishHierarchyCategoryTree(); 
				
			}
			
			
			private void send_getPublishHierarchyCategoryTree(com.vip.osp.category.api.comm.ReqContext reqContext_,com.vip.osp.category.api.comm.TreeOption? option_,bool? isIncludeChildren_){
				
				InitInvocation("getPublishHierarchyCategoryTree");
				
				getPublishHierarchyCategoryTree_args args = new getPublishHierarchyCategoryTree_args();
				args.SetReqContext(reqContext_);
				args.SetOption(option_);
				args.SetIsIncludeChildren(isIncludeChildren_);
				
				SendBase(args, getPublishHierarchyCategoryTree_argsHelper.getInstance());
			}
			
			
			private List<com.vip.osp.category.api.comm.Category> recv_getPublishHierarchyCategoryTree(){
				
				getPublishHierarchyCategoryTree_result result = new getPublishHierarchyCategoryTree_result();
				ReceiveBase(result, getPublishHierarchyCategoryTree_resultHelper.getInstance());
				
				return result.GetSuccess();
				
			}
			
			
			public List<com.vip.osp.category.api.comm.CategoryTagAttribute> getTagByIds(List<int?> tagIds_) {
				
				send_getTagByIds(tagIds_);
				return recv_getTagByIds(); 
				
			}
			
			
			private void send_getTagByIds(List<int?> tagIds_){
				
				InitInvocation("getTagByIds");
				
				getTagByIds_args args = new getTagByIds_args();
				args.SetTagIds(tagIds_);
				
				SendBase(args, getTagByIds_argsHelper.getInstance());
			}
			
			
			private List<com.vip.osp.category.api.comm.CategoryTagAttribute> recv_getTagByIds(){
				
				getTagByIds_result result = new getTagByIds_result();
				ReceiveBase(result, getTagByIds_resultHelper.getInstance());
				
				return result.GetSuccess();
				
			}
			
			
			public List<com.vip.osp.category.api.comm.TagInfo> getTagInfoList(List<int?> tagSnList_) {
				
				send_getTagInfoList(tagSnList_);
				return recv_getTagInfoList(); 
				
			}
			
			
			private void send_getTagInfoList(List<int?> tagSnList_){
				
				InitInvocation("getTagInfoList");
				
				getTagInfoList_args args = new getTagInfoList_args();
				args.SetTagSnList(tagSnList_);
				
				SendBase(args, getTagInfoList_argsHelper.getInstance());
			}
			
			
			private List<com.vip.osp.category.api.comm.TagInfo> recv_getTagInfoList(){
				
				getTagInfoList_result result = new getTagInfoList_result();
				ReceiveBase(result, getTagInfoList_resultHelper.getInstance());
				
				return result.GetSuccess();
				
			}
			
			
			public List<com.vip.osp.category.api.comm.TagInfo> getTagsByTagType(com.vip.osp.category.api.comm.TagType? tagType_,int curPage_,int pageSize_) {
				
				send_getTagsByTagType(tagType_,curPage_,pageSize_);
				return recv_getTagsByTagType(); 
				
			}
			
			
			private void send_getTagsByTagType(com.vip.osp.category.api.comm.TagType? tagType_,int curPage_,int pageSize_){
				
				InitInvocation("getTagsByTagType");
				
				getTagsByTagType_args args = new getTagsByTagType_args();
				args.SetTagType(tagType_);
				args.SetCurPage(curPage_);
				args.SetPageSize(pageSize_);
				
				SendBase(args, getTagsByTagType_argsHelper.getInstance());
			}
			
			
			private List<com.vip.osp.category.api.comm.TagInfo> recv_getTagsByTagType(){
				
				getTagsByTagType_result result = new getTagsByTagType_result();
				ReceiveBase(result, getTagsByTagType_resultHelper.getInstance());
				
				return result.GetSuccess();
				
			}
			
			
			public com.vip.osp.category.api.comm.CategoryUpdates getUpdatedPublishCategories(long sinceUpdateTime_,int hierarchyId_) {
				
				send_getUpdatedPublishCategories(sinceUpdateTime_,hierarchyId_);
				return recv_getUpdatedPublishCategories(); 
				
			}
			
			
			private void send_getUpdatedPublishCategories(long sinceUpdateTime_,int hierarchyId_){
				
				InitInvocation("getUpdatedPublishCategories");
				
				getUpdatedPublishCategories_args args = new getUpdatedPublishCategories_args();
				args.SetSinceUpdateTime(sinceUpdateTime_);
				args.SetHierarchyId(hierarchyId_);
				
				SendBase(args, getUpdatedPublishCategories_argsHelper.getInstance());
			}
			
			
			private com.vip.osp.category.api.comm.CategoryUpdates recv_getUpdatedPublishCategories(){
				
				getUpdatedPublishCategories_result result = new getUpdatedPublishCategories_result();
				ReceiveBase(result, getUpdatedPublishCategories_resultHelper.getInstance());
				
				return result.GetSuccess();
				
			}
			
			
			public com.vip.hermes.core.health.CheckResult healthCheck() {
				
				send_healthCheck();
				return recv_healthCheck(); 
				
			}
			
			
			private void send_healthCheck(){
				
				InitInvocation("healthCheck");
				
				healthCheck_args args = new healthCheck_args();
				
				SendBase(args, healthCheck_argsHelper.getInstance());
			}
			
			
			private com.vip.hermes.core.health.CheckResult recv_healthCheck(){
				
				healthCheck_result result = new healthCheck_result();
				ReceiveBase(result, healthCheck_resultHelper.getInstance());
				
				return result.GetSuccess();
				
			}
			
			
			public List<com.vip.osp.category.api.comm.Attribute> parseAttributes(int categoryId_,List<com.vip.osp.category.api.comm.AttrOptIds> attrOptIdsList_) {
				
				send_parseAttributes(categoryId_,attrOptIdsList_);
				return recv_parseAttributes(); 
				
			}
			
			
			private void send_parseAttributes(int categoryId_,List<com.vip.osp.category.api.comm.AttrOptIds> attrOptIdsList_){
				
				InitInvocation("parseAttributes");
				
				parseAttributes_args args = new parseAttributes_args();
				args.SetCategoryId(categoryId_);
				args.SetAttrOptIdsList(attrOptIdsList_);
				
				SendBase(args, parseAttributes_argsHelper.getInstance());
			}
			
			
			private List<com.vip.osp.category.api.comm.Attribute> recv_parseAttributes(){
				
				parseAttributes_result result = new parseAttributes_result();
				ReceiveBase(result, parseAttributes_resultHelper.getInstance());
				
				return result.GetSuccess();
				
			}
			
			
		}
		
		
	}
	
}